!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_5279) = coupl(nGC_4623)*dcw_QED2 + coupl(nGC_4624)*dsw_QED2 +  &
                        coupl(nGC_4625)*dZee_QED2
      coupl(nGC_8068) = coupl(nGC_8066) + coupl(nGC_8067)
      coupl(nGC_7268) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_8683) = -coupl(nGC_8679)
      coupl(nGC_5330) = coupl(nGC_4782)*dym_QED3 + coupl(nGC_4783)*da_QED2
      coupl(nGC_7105) = coupl(nGC_122)*dZuL_QCD2/2d0 + coupl(nGC_122)*dZuR_QCD2&
                        /2d0 + coupl(nGC_5334)
      coupl(nGC_8279) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_5101) = coupl(nGC_11)*sq2*(coupl(nGC_110)**2d0 + coupl(nGC_111 &
                        )*coupl(nGC_112) + coupl(nGC_113)**2d0 + coupl(nGC_114 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_4943) = (2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80   &
                        ) - 2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80&
                        ) - 2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_80&
                        ) + 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_85&
                        ) - 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85&
                        ) - 2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85&
                        ) + 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90&
                        ) - 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_90&
                        ) - 2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_90&
                        ) + 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(     &
                        nGC_50) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl&
                        (nGC_53) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*    &
                        coupl(nGC_54) + 2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33 &
                        )*coupl(nGC_51) - 2d0*Nc*cMT*coupl(nGC_110)*coupl(     &
                        nGC_33)*coupl(nGC_53) - 2d0*Nc*cMT*coupl(nGC_110)*coupl&
                        (nGC_33)*coupl(nGC_54) + 2d0*Nc*cMU*coupl(nGC_120)*    &
                        coupl(nGC_33)*coupl(nGC_51) - 2d0*Nc*cMU*coupl(nGC_120 &
                        )*coupl(nGC_33)*coupl(nGC_53) - 2d0*Nc*cMU*coupl(      &
                        nGC_120)*coupl(nGC_33)*coupl(nGC_54) + 2d0*cME*coupl(  &
                        nGC_33)*coupl(nGC_52)*coupl(nGC_95) - 2d0*cME*coupl(   &
                        nGC_33)*coupl(nGC_55)*coupl(nGC_95) - 2d0*cME*coupl(   &
                        nGC_33)*coupl(nGC_56)*coupl(nGC_95) + 2d0*cMM*coupl(   &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMM*coupl(  &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMM*coupl(  &
                        nGC_100)*coupl(nGC_33)*coupl(nGC_56) + 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMTA*coupl( &
                        nGC_115)*coupl(nGC_33)*coupl(nGC_56) + 4d0*cima*coupl( &
                        nGC_29)*coupl(nGC_68) + 4d0*cima*coupl(nGC_423)*coupl( &
                        nGC_71) - coupl(nGC_1581)*coupl(nGC_517)*coupl(nGC_72  &
                        ) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_68) + 6d0*coupl&
                        (nGC_3)*coupl(nGC_517)*coupl(nGC_71) - coupl(nGC_35)*  &
                        coupl(nGC_517)*coupl(nGC_69) + 6d0*coupl(nGC_37)*coupl(&
                        nGC_517)*coupl(nGC_68) - coupl(nGC_37)*coupl(nGC_55)*  &
                        coupl(nGC_68) - coupl(nGC_46)*coupl(nGC_517)*coupl(    &
                        nGC_70) - coupl(nGC_517)*coupl(nGC_73)*coupl(nGC_923   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_9212) = coupl(nGC_5235) + coupl(nGC_76)*dZHh_QED2 + coupl(     &
                        nGC_76)*dZHl_QED2/2d0 + coupl(nGC_78)*dZHhHl_QED2/2d0  &
                         + coupl(nGC_79)*dZHlHh_QED2 + coupl(nGC_TS_GC_22_Hh   &
                        ) + coupl(nGC_TS_GC_25_Hl)
      coupl(nGC_10691) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_5103) = coupl(nGC_11)*sq2*(-coupl(nGC_120)**2d0 - coupl(nGC_121&
                        )*coupl(nGC_122) - coupl(nGC_123)**2d0 - coupl(nGC_124 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_10696) = coupl(nGC_5428) + coupl(nGC_MHH)*dZHh_QED2 + coupl(   &
                         nGC_TS_GC_76_Hl) + coupl(nGC_TS_GC_78_Hh)
      coupl(nGC_5259) = coupl(nGC_4780)*dcw_QED2 + coupl(nGC_4781)*dZee_QED2
      coupl(nGC_7090) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_33)*dZnu_muL_QED2/2d0  &
                         + coupl(nGC_5274)
      coupl(nGC_7402) = coupl(nGC_37)*dZWMinus_QED2/2d0 + coupl(nGC_5216)
      coupl(nGC_9828) = coupl(nGC_5442) + coupl(nGC_9823)
      coupl(nGC_TS_GC_28_Hh) = -coupl(nGC_28)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7061) = coupl(nGC_39)*dZA_QED2/2d0 + coupl(nGC_39)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_5239) + coupl(nGC_8)*    &
                        dZZA_QED2/2d0
      coupl(nGC_TS_GC_123_Hh) = -coupl(nGC_123)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7361) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2 &
                         + coupl(nGC_37)*dZZA_QED2/2d0 + coupl(nGC_5214)
      coupl(nGC_7366) = coupl(nGC_21)*dZHh_QED2/2d0 + 3d0*coupl(nGC_21)*       &
                        dZHl_QED2/2d0 + coupl(nGC_23)*dZHlHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_25)*dZHhHl_QED2/2d0 + coupl(nGC_5230)
      coupl(nGC_7367) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_7568) = coupl(nGC_93)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_7569) = coupl(nGC_93)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_5348) = coupl(nGC_275)*dyt_QED1_QCD2
      coupl(nGC_5053) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_110)**&
                        2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(      &
                        nGC_517) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl&
                        (nGC_50)*coupl(nGC_81)*coupl(nGC_82) + coupl(nGC_50)*  &
                        coupl(nGC_83)**2d0 + coupl(nGC_50)*coupl(nGC_84)**2d0  &
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5349) = coupl(nGC_275)*dyt_QED3 + coupl(nGC_277)*da_QED2
      coupl(nGC_7847) = coupl(nGC_5264) + coupl(nGC_64)*dZZ_QED2
      coupl(nGC_5269) = coupl(nGC_4809)*dcw_QED2 + coupl(nGC_4810)*dsw_QED2 +  &
                        coupl(nGC_4811)*dZee_QED2 + coupl(nGC_4812)*dvev_QED1  &
                         + coupl(nGC_4813)*da_QED2
      coupl(nGC_13503) = coupl(nGC_13494) + coupl(nGC_5438)
      coupl(nGC_13501) = coupl(nGC_5437) + coupl(nGC_TS_GC_113_Hh) + coupl(    &
                         nGC_TS_GC_114_Hl)
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7928) = coupl(nGC_TS_GC_35_Hh) + coupl(nGC_TS_GC_46_Hl)
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
      coupl(nGC_5026) = coupl(nGC_11)**2d0*coupl(nGC_89)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5023) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5020) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_84) + 8d0*Nc*&
                        cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_84) - 8d0*Nc*&
                        cMB*coupl(nGC_53)**2d0*coupl(nGC_84) - 8d0*Nc*cMC*coupl&
                        (nGC_51)**2d0*coupl(nGC_89) + 8d0*Nc*cMC*coupl(nGC_51)*&
                        coupl(nGC_54)*coupl(nGC_89) - 8d0*Nc*cMC*coupl(nGC_54  &
                        )**2d0*coupl(nGC_89) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*  &
                        coupl(nGC_94) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*&
                        coupl(nGC_94) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(   &
                        nGC_94) - 8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_50)**2d0 &
                         + 8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_53&
                        ) - 8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_53)**2d0 - 8d0*&
                        Nc*cMT*coupl(nGC_114)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT* &
                        coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT&
                        *coupl(nGC_114)*coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl( &
                        nGC_124)*coupl(nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_124 &
                        )*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMU*coupl(      &
                        nGC_124)*coupl(nGC_54)**2d0 - 8d0*cME*coupl(nGC_52)**  &
                        2d0*coupl(nGC_99) + 8d0*cME*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_99) - 8d0*cME*coupl(nGC_55)**2d0*coupl(    &
                        nGC_99) - 8d0*cMM*coupl(nGC_104)*coupl(nGC_52)**2d0 +  &
                        8d0*cMM*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55) -   &
                        8d0*cMM*coupl(nGC_104)*coupl(nGC_55)**2d0 - 8d0*cMTA*  &
                        coupl(nGC_119)*coupl(nGC_52)**2d0 + 8d0*cMTA*coupl(    &
                        nGC_119)*coupl(nGC_52)*coupl(nGC_55) - 8d0*cMTA*coupl( &
                        nGC_119)*coupl(nGC_55)**2d0 + 4d0*cima*coupl(nGC_463)* &
                        coupl(nGC_70) - coupl(nGC_1183)*coupl(nGC_37)*coupl(   &
                        nGC_68) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_70) - coupl(&
                        nGC_37)*coupl(nGC_46)*coupl(nGC_68) - coupl(nGC_47)*   &
                        coupl(nGC_517)*coupl(nGC_68) + 6d0*coupl(nGC_517)**2d0*&
                        coupl(nGC_70) - coupl(nGC_517)*coupl(nGC_68)*coupl(    &
                        nGC_923))/(32d0*pi**2d0)
      coupl(nGC_7317) = coupl(nGC_115)*dZnu_tauL_QED2/2d0 + coupl(nGC_115)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_5319)
      coupl(nGC_7312) = coupl(nGC_29)*dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2 + &
                        coupl(nGC_5219)
      coupl(nGC_TS_GC_94_Hl) = -coupl(nGC_94)*dtHl_QED1/cMHL**2d0
      coupl(nGC_7494) = coupl(nGC_33)*dZWMinus_QED2/2d0 + coupl(nGC_33)*       &
                        dZnu_tauL_QED2/2d0 + coupl(nGC_33)*dZtauMinusL_QED2/2d0&
                         + coupl(nGC_5274)
      coupl(nGC_7695) = coupl(nGC_7693) + coupl(nGC_7694)
      coupl(nGC_5314) = coupl(nGC_4792)*dys_QED3 + coupl(nGC_4793)*da_QED2
      coupl(nGC_13227) = coupl(nGC_5236) + 3d0*coupl(nGC_77)*dZHl_QED2/2d0 +   &
                         3d0*coupl(nGC_79)*dZHhHl_QED2/2d0 + coupl(            &
                         nGC_TS_GC_21_Hh) + coupl(nGC_TS_GC_23_Hl)
      coupl(nGC_7140) = coupl(nGC_110)*dZbL_QED2/2d0 + coupl(nGC_110)*dZtR_QED2&
                        /2d0 + coupl(nGC_5290)
      coupl(nGC_7994) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZtR_QED2 + &
                        coupl(nGC_5275)
      coupl(nGC_5364) = coupl(nGC_4643)*dcw_QED2 + coupl(nGC_4644)*dsw_QED2 +  &
                        coupl(nGC_4645)*dZee_QED2 + coupl(nGC_4646)*dMZ2_QED2  &
                         + coupl(nGC_4647)*da_QED2
      coupl(nGC_5360) = coupl(nGC_4639)*dcw_QED2 + coupl(nGC_4640)*dsw_QED2 +  &
                        coupl(nGC_4641)*dZee_QED2 + coupl(nGC_4642)*dMW2_QED2
      coupl(nGC_5361) = coupl(nGC_4821)*dcw_QED2 + coupl(nGC_4822)*dsw_QED2 +  &
                        coupl(nGC_4823)*dZee_QED2
      coupl(nGC_5362) = coupl(nGC_4589)*dsw_QED2 + coupl(nGC_4590)*dZee_QED2 + &
                        coupl(nGC_4591)*dMW2_QED2
      coupl(nGC_5363) = coupl(nGC_4583)*dsw_QED2 + coupl(nGC_4584)*dZee_QED2 + &
                        coupl(nGC_4585)*dMZ2_QED2
      coupl(nGC_7387) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_7382) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_7859) = coupl(nGC_101)*dZmuMinusL_QED2/2d0 + coupl(nGC_101)*   &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_5323)
      coupl(nGC_7227) = coupl(nGC_17)*dZHl_QED2/2d0 + coupl(nGC_17)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_17)*dZZ_QED2/2d0 + coupl(&
                        nGC_48)*dZAZ_QED2/2d0 + coupl(nGC_5261) + coupl(nGC_9)*&
                        dZHhHl_QED2/2d0
      coupl(nGC_7389) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_10240) = coupl(nGC_118)*dZHh_QED2/2d0 + coupl(nGC_119)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_5328)
      coupl(nGC_4912) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*   &
                        coupl(nGC_80)**2d0 + coupl(nGC_111)*coupl(nGC_112)*    &
                        coupl(nGC_2) + coupl(nGC_113)**2d0*coupl(nGC_2) + coupl&
                        (nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 +  &
                        4d0*coupl(nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*&
                        coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9700) = coupl(nGC_5434) + coupl(nGC_9695)
      coupl(nGC_TS_GC_124_Hl) = -coupl(nGC_124)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4987) = 3d0*(8d0*Nc*cMB*coupl(nGC_83)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_88)**3d0 + 8d0*Nc*cMD*coupl(nGC_93)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_108)**3d0 + 8d0*Nc*cMT*coupl(nGC_113)**  &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_123)**3d0 + 8d0*cME*coupl(  &
                        nGC_98)**3d0 + 8d0*cMM*coupl(nGC_103)**3d0 + 8d0*cMTA* &
                        coupl(nGC_118)**3d0 + 4d0*cima*coupl(nGC_28)*coupl(    &
                        nGC_69) + 2d0*cima*coupl(nGC_65)*coupl(nGC_72) - coupl(&
                        nGC_1581)*coupl(nGC_34)*coupl(nGC_69) + coupl(nGC_1581 &
                        )*coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_2389)*coupl( &
                        nGC_57)*coupl(nGC_72) + coupl(nGC_2389)*coupl(nGC_57)* &
                        coupl(nGC_75) - coupl(nGC_35)*coupl(nGC_69)*coupl(     &
                        nGC_931) + coupl(nGC_35)*coupl(nGC_75)*coupl(nGC_931   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_7662) = coupl(nGC_5279) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(  &
                        nGC_56)*dZnu_tauL_QED2
      coupl(nGC_4984) = coupl(nGC_11)**2d0*coupl(nGC_121)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7667) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_4980) = coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5298) = coupl(nGC_4788)*dys_QED3
      coupl(nGC_5299) = coupl(nGC_4787)*dys_QED1_QCD2
      coupl(nGC_10236) = coupl(nGC_118)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_10338) = coupl(nGC_5293) + coupl(nGC_91)*dZdL_QCD2/2d0 + coupl(&
                         nGC_91)*dZdR_QCD2/2d0
      coupl(nGC_7038) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_5272)
      coupl(nGC_7039) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_11540) = -coupl(nGC_11539)
      coupl(nGC_7037) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_9098) = coupl(nGC_7367) + coupl(nGC_9097)
      coupl(nGC_7035) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_5295) = coupl(nGC_4742)*dydo_QED1_QCD2
      coupl(nGC_7030) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_5297) = coupl(nGC_4788)*dys_QED1_QCD2
      coupl(nGC_5096) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_105)**2d0 + coupl(nGC_106)*coupl(nGC_107) + coupl( &
                        nGC_108)**2d0 + coupl(nGC_109)**2d0 + 4d0*coupl(nGC_50 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_5097) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_5094) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_5095) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_106)*coupl(nGC_107) + coupl(nGC_108)**2d0 + coupl( &
                        nGC_109)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_85)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5092) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_106)*coupl(nGC_107) - coupl(nGC_108)**2d0 - coupl( &
                        nGC_109)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_85)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5093) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_105)**2d0 - coupl(nGC_106)*coupl(nGC_107) - coupl( &
                        nGC_108)**2d0 - coupl(nGC_109)**2d0 - 4d0*coupl(nGC_50 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5090) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_120)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_91)*coupl(nGC_92) - coupl(    &
                        nGC_93)**2d0 - coupl(nGC_94)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5091) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_50)**2d0 - coupl(nGC_90)**2d0 - coupl(nGC_91)*coupl&
                        (nGC_92) - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_5098) = coupl(nGC_11)*sq2*(-coupl(nGC_111)*coupl(nGC_112) -    &
                        coupl(nGC_113)**2d0 - coupl(nGC_114)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_80)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5099) = coupl(nGC_11)*sq2*(-coupl(nGC_110)**2d0 - coupl(nGC_111&
                        )*coupl(nGC_112) - coupl(nGC_113)**2d0 - coupl(nGC_114 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_7529) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_TS_GC_84_Hl) = -coupl(nGC_84)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4914) = coupl(nGC_4)*(coupl(nGC_116)*coupl(nGC_117) + coupl(   &
                        nGC_118)**2d0 + coupl(nGC_119)**2d0 + 4d0*coupl(nGC_4  &
                        )**2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4915) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4) + coupl(   &
                        nGC_118)**2d0*coupl(nGC_4) + coupl(nGC_119)**2d0*coupl(&
                        nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*    &
                        coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_4917) = (coupl(nGC_1)*coupl(nGC_120)**2d0 + coupl(nGC_121)*    &
                        coupl(nGC_122)*coupl(nGC_2) + coupl(nGC_123)**2d0*coupl&
                        (nGC_2) + coupl(nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(&
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_4911) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*  &
                        coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 +    &
                        coupl(nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*   &
                        coupl(nGC_50)**2d0 + coupl(nGC_105)**2d0*coupl(nGC_2   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_4913) = (coupl(nGC_1)*coupl(nGC_110)**2d0 + coupl(nGC_111)*    &
                        coupl(nGC_112)*coupl(nGC_2) + coupl(nGC_113)**2d0*coupl&
                        (nGC_2) + coupl(nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(&
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_4908) = (coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*  &
                        coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4&
                        ))/(32d0*pi**2d0)
      coupl(nGC_8730) = coupl(nGC_113)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_5035) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_84) + cMC*  &
                        coupl(nGC_89) + cMD*coupl(nGC_94) + cMS*coupl(nGC_109  &
                        ) + cMT*coupl(nGC_114) + cMU*coupl(nGC_124))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_10660) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_10664) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_8374) = -coupl(nGC_7361)
      coupl(nGC_5008) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_34) - coupl(nGC_105)*coupl(    &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_106)**2d0*coupl(     &
                        nGC_108) - coupl(nGC_106)*coupl(nGC_2389)*coupl(nGC_50 &
                        ) - coupl(nGC_106)*coupl(nGC_53)*coupl(nGC_57) - coupl(&
                        nGC_108)**3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 +   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_10465) = 2d0*coupl(nGC_21)*dZHhHl_QED2 + 2d0*coupl(nGC_23)*    &
                         dZHl_QED2 + coupl(nGC_5225)
      coupl(nGC_7295) = coupl(nGC_32)*dZWMinus_QED2/2d0 + coupl(nGC_5243)
      coupl(nGC_5140) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_5141) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5061) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_120)**&
                        2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(      &
                        nGC_517) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl&
                        (nGC_50)*coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_50)*  &
                        coupl(nGC_93)**2d0 + coupl(nGC_50)*coupl(nGC_94)**2d0  &
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5148) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_105)**2d0 &
                         - coupl(nGC_110)**2d0 - coupl(nGC_120)**2d0 - coupl(  &
                        nGC_80)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_90)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_5149) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_105)**2d0  &
                         + coupl(nGC_110)**2d0 + coupl(nGC_120)**2d0 + coupl(  &
                        nGC_80)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_90)**2d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_7452) = coupl(nGC_114)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_7357) = coupl(nGC_39)*dZAZ_QED2/2d0 + coupl(nGC_5259) + coupl( &
                        nGC_8)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_4993) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)* &
                        coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_2389)*coupl(  &
                        nGC_50)*coupl(nGC_81) - coupl(nGC_33)*coupl(nGC_34)*   &
                        coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_83) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_81) -  &
                        coupl(nGC_81)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0  &
                         - coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7797) = coupl(nGC_105)*dZcL_QED2/2d0 + coupl(nGC_105)*dZsR_QED2&
                        /2d0 + coupl(nGC_5286)
      coupl(nGC_7795) = coupl(nGC_105)*dZcL_QCD2/2d0 + coupl(nGC_105)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5285)
      coupl(nGC_7187) = coupl(nGC_111)*dZtL_QED2/2d0 + coupl(nGC_111)*dZtR_QED2&
                        /2d0 + coupl(nGC_5341)
      coupl(nGC_7185) = coupl(nGC_111)*dZtL_QCD2/2d0 + coupl(nGC_111)*dZtR_QCD2&
                        /2d0 + coupl(nGC_5340)
      coupl(nGC_5324) = coupl(nGC_4801)*dytau_QED3
      coupl(nGC_7819) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_37)*            &
                        dZWMinus_QED2 + coupl(nGC_37)*dZZ_QED2/2d0 + coupl(    &
                        nGC_5216)
      coupl(nGC_5326) = coupl(nGC_4817)*dye_QED3 + coupl(nGC_4818)*da_QED2
      coupl(nGC_9455) = coupl(nGC_5439) + coupl(nGC_TS_GC_93_Hh) + coupl(      &
                        nGC_TS_GC_94_Hl)
      coupl(nGC_8578) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_8579) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_8573) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_8576) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_5078) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_110)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_81)*coupl(nGC_82) + coupl(    &
                        nGC_83)**2d0 + coupl(nGC_84)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_8807) = coupl(nGC_35)*dZHhHl_QED2/2d0 + coupl(nGC_46)*dZHl_QED2&
                        /2d0 + coupl(nGC_46)*dZWMinus_QED2/2d0 + coupl(nGC_5245&
                        )
      coupl(nGC_8595) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_8596) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_8597) = coupl(nGC_5435) + coupl(nGC_TS_GC_88_Hh) + coupl(      &
                        nGC_TS_GC_89_Hl)
      coupl(nGC_8590) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_11182) = coupl(nGC_5445) + coupl(nGC_MZ)*dZZ_QED2 + coupl(     &
                         nGC_TS_GC_72_Hh) + coupl(nGC_TS_GC_73_Hl)
      coupl(nGC_8598) = coupl(nGC_8589) + coupl(nGC_8597)
      coupl(nGC_8599) = coupl(nGC_5436) + coupl(nGC_8590)
      coupl(nGC_8626) = coupl(nGC_7320) + coupl(nGC_8624)
      coupl(nGC_5068) = (coupl(nGC_115)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_55) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_8985) = coupl(nGC_108)*dZHh_QED2/2d0 + coupl(nGC_109)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_5308)
      coupl(nGC_7459) = coupl(nGC_38)*dZA_QED2/2d0 + coupl(nGC_38)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_5246) + coupl(nGC_7)*    &
                        dZZA_QED2/2d0
      coupl(nGC_7075) = coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2 +   &
                        coupl(nGC_5215)
      coupl(nGC_9374) = coupl(nGC_5365) + coupl(nGC_60)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_62)*dZHl_QED2/2d0
      coupl(nGC_5251) = coupl(nGC_4795)*dsw_QED2 + coupl(nGC_4796)*dZee_QED2 + &
                        coupl(nGC_4797)*da_QED2
      coupl(nGC_5252) = coupl(nGC_4798)*dsw_QED2 + coupl(nGC_4799)*dZee_QED2 + &
                        coupl(nGC_4800)*da_QED2
      coupl(nGC_5253) = coupl(nGC_4679)*dsw_QED2 + coupl(nGC_4680)*dZee_QED2 + &
                        coupl(nGC_4681)*dvev_QED1 + coupl(nGC_4682)*da_QED2
      coupl(nGC_5063) = (coupl(nGC_100)**2d0*coupl(nGC_56) + coupl(nGC_101)*   &
                        coupl(nGC_102)*coupl(nGC_55) + coupl(nGC_103)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_104)**2d0*coupl(nGC_55) + 4d0&
                        *coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_5267) = coupl(nGC_4673)*dcw_QED2 + coupl(nGC_4674)*dsw_QED2 +  &
                        coupl(nGC_4675)*dZee_QED2 + coupl(nGC_4676)*da_QED2
      coupl(nGC_7270) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_5271)
      coupl(nGC_7271) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_7272) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_7273) = coupl(nGC_7270) + coupl(nGC_7272)
      coupl(nGC_7170) = coupl(nGC_5326) + coupl(nGC_98)*dZHh_QED2/2d0 + coupl( &
                        nGC_99)*dZHlHh_QED2/2d0
      coupl(nGC_11467) = 2d0*coupl(nGC_22)*dZHlHh_QED2 + 2d0*coupl(nGC_24)*    &
                         dZHh_QED2 + coupl(nGC_5224)
      coupl(nGC_10999) = coupl(nGC_TS_GC_74_Hl) + coupl(nGC_TS_GC_75_Hh)
      coupl(nGC_8978) = coupl(nGC_108)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_8979) = coupl(nGC_108)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_5075) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52) + coupl(  &
                        nGC_118)**2d0*coupl(nGC_52) + coupl(nGC_119)**2d0*coupl&
                        (nGC_52) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0* &
                        coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**  &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_40_Hh) = -coupl(nGC_40)*dtHh_QED1/cMHH**2d0
      coupl(nGC_7451) = coupl(nGC_114)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_5065) = (4d0*coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52&
                        )**3d0 + coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_97) +   &
                        coupl(nGC_55)*coupl(nGC_98)**2d0 + coupl(nGC_55)*coupl(&
                        nGC_99)**2d0 + coupl(nGC_56)*coupl(nGC_95)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_5064) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_52) + coupl(  &
                        nGC_103)**2d0*coupl(nGC_52) + coupl(nGC_104)**2d0*coupl&
                        (nGC_52) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0* &
                        coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**  &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_7112) = 3d0*coupl(nGC_22)*dZHh_QED2/2d0 + coupl(nGC_22)*       &
                        dZHl_QED2/2d0 + coupl(nGC_24)*dZHhHl_QED2/2d0 + 3d0*   &
                        coupl(nGC_25)*dZHlHh_QED2/2d0 + coupl(nGC_5229)
      coupl(nGC_8603) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_5238) + coupl(   &
                        nGC_55)*dZZA_QED2/2d0
      coupl(nGC_4950) = (coupl(nGC_2061)*coupl(nGC_56)*coupl(nGC_95) + coupl(  &
                        nGC_33)*coupl(nGC_35)*coupl(nGC_98) + coupl(nGC_33)*   &
                        coupl(nGC_419)*coupl(nGC_96) + coupl(nGC_33)*coupl(    &
                        nGC_46)*coupl(nGC_99) + coupl(nGC_4)**2d0*coupl(nGC_95 &
                        ) + coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_95) + 8d0*   &
                        coupl(nGC_52)*coupl(nGC_56)*coupl(nGC_95))/(32d0*pi**  &
                        2d0)
      coupl(nGC_4951) = (coupl(nGC_100)*coupl(nGC_2061)*coupl(nGC_56) + coupl( &
                        nGC_100)*coupl(nGC_4)**2d0 + coupl(nGC_100)*coupl(     &
                        nGC_52)*coupl(nGC_55) + 8d0*coupl(nGC_100)*coupl(nGC_52&
                        )*coupl(nGC_56) + coupl(nGC_101)*coupl(nGC_33)*coupl(  &
                        nGC_419) + coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_35   &
                        ) + coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_46))/(32d0* &
                        pi**2d0)
      coupl(nGC_4899) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_2)*coupl(    &
                        nGC_88)**2d0 + coupl(nGC_2)*coupl(nGC_89)**2d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_7117) = -coupl(nGC_7116)
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_5342) = coupl(nGC_4794)*dyt_QED1_QCD2
      coupl(nGC_7532) = coupl(nGC_11)*dZdR_QCD2
      coupl(nGC_5100) = coupl(nGC_11)*sq2*(coupl(nGC_111)*coupl(nGC_112) +     &
                        coupl(nGC_113)**2d0 + coupl(nGC_114)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_80)**2d0)/(64d0*pi**2d0)
      coupl(nGC_8172) = -coupl(nGC_8171)
      coupl(nGC_5102) = coupl(nGC_11)*sq2*(-coupl(nGC_121)*coupl(nGC_122) -    &
                        coupl(nGC_123)**2d0 - coupl(nGC_124)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_90)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_7552) = coupl(nGC_5267) + coupl(nGC_65)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_66)*dZHh_QED2/2d0 + coupl(nGC_66)*dZHl_QED2/2d0 + &
                        coupl(nGC_66)*dZZ_QED2 + coupl(nGC_67)*dZHlHh_QED2/2d0
      coupl(nGC_5104) = coupl(nGC_11)*sq2*(coupl(nGC_121)*coupl(nGC_122) +     &
                        coupl(nGC_123)**2d0 + coupl(nGC_124)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_90)**2d0)/(64d0*pi**2d0)
      coupl(nGC_5105) = coupl(nGC_11)*sq2*(coupl(nGC_120)**2d0 + coupl(nGC_121 &
                        )*coupl(nGC_122) + coupl(nGC_123)**2d0 + coupl(nGC_124 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_5106) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_5107) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_7087) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_76_Hh) + coupl(      &
                        nGC_TS_GC_79_Hl)
      coupl(nGC_7571) = coupl(nGC_5306) + coupl(nGC_93)*dZHh_QED2/2d0 + coupl( &
                        nGC_94)*dZHlHh_QED2/2d0
      coupl(nGC_7996) = coupl(nGC_7667) + coupl(nGC_7994)
      coupl(nGC_7057) = coupl(nGC_5337) + coupl(nGC_87)*dZcL_QED2/2d0 + coupl( &
                        nGC_87)*dZcR_QED2/2d0
      coupl(nGC_5263) = coupl(nGC_4677)*dcw_QED2 + coupl(nGC_4678)*dZee_QED2
      coupl(nGC_5343) = coupl(nGC_4794)*dyt_QED3
      coupl(nGC_5262) = coupl(nGC_4670)*dcw_QED2 + coupl(nGC_4671)*dvev_QED1 + &
                        coupl(nGC_4672)*dZee_QED2
      coupl(nGC_5218) = coupl(nGC_4586)*dcw_QED2 + coupl(nGC_4587)*dsw_QED2 +  &
                        coupl(nGC_4588)*dZee_QED2
      coupl(nGC_7570) = coupl(nGC_5305) + coupl(nGC_7569)
      coupl(nGC_7081) = coupl(nGC_I)*dZHlHh_QED2/2d0
      coupl(nGC_7330) = coupl(nGC_5237) + coupl(nGC_58)*dZZA_QED2 + coupl(nGC_6&
                        )*dZA_QED2
      coupl(nGC_5266) = coupl(nGC_4691)*dcw_QED2 + coupl(nGC_4692)*dsw_QED2 +  &
                        coupl(nGC_4693)*dZee_QED2 + coupl(nGC_4694)*da_QED2
      coupl(nGC_5034) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_84) - cMC* &
                        coupl(nGC_89) - cMD*coupl(nGC_94) - cMS*coupl(nGC_109  &
                        ) - cMT*coupl(nGC_114) - cMU*coupl(nGC_124))/(16d0*pi**&
                        2d0)
      coupl(nGC_8731) = coupl(nGC_113)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_8732) = coupl(nGC_5348) + coupl(nGC_8731)
      coupl(nGC_8733) = coupl(nGC_113)*dZHh_QED2/2d0 + coupl(nGC_114)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_5349)
      coupl(nGC_7307) = coupl(nGC_103)*dZHhHl_QED2/2d0 + coupl(nGC_104)*       &
                        dZHl_QED2/2d0 + coupl(nGC_5330)
      coupl(nGC_5038) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7303) = coupl(nGC_104)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_7434) = coupl(nGC_5446) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                        nGC_TS_GC_69_Hh) + coupl(nGC_TS_GC_70_Hl)
      coupl(nGC_8519) = coupl(nGC_5301) + coupl(nGC_82)*dZbL_QCD2/2d0 + coupl( &
                        nGC_82)*dZbR_QCD2/2d0
      coupl(nGC_11459) = coupl(nGC_5269) + coupl(nGC_72)*dZHh_QED2/2d0 + coupl(&
                         nGC_72)*dZZ_QED2 + coupl(nGC_73)*dZHlHh_QED2/2d0 +    &
                         coupl(nGC_TS_GC_65_Hh) + coupl(nGC_TS_GC_66_Hl)
      coupl(nGC_5057) = (coupl(nGC_105)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_2)**&
                        2d0*coupl(nGC_54) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_37&
                        ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_53) + coupl(nGC_51&
                        )*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_51)*coupl(   &
                        nGC_88)**2d0 + coupl(nGC_51)*coupl(nGC_89)**2d0 + 4d0* &
                        coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5320) = coupl(nGC_4808)*dye_QED3
      coupl(nGC_5321) = coupl(nGC_4816)*dye_QED3
      coupl(nGC_5351) = coupl(nGC_4814)*dyup_QED3 + coupl(nGC_4815)*da_QED2
      coupl(nGC_5350) = coupl(nGC_4814)*dyup_QED1_QCD2
      coupl(nGC_5355) = coupl(nGC_281)*dyt_QED3 + coupl(nGC_283)*da_QED2
      coupl(nGC_5354) = coupl(nGC_281)*dyt_QED1_QCD2
      coupl(nGC_7981) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_37)*dZZ_QED2/2d0&
                         + coupl(nGC_5216)
      coupl(nGC_8396) = coupl(nGC_TS_GC_34_Hh) + coupl(nGC_TS_GC_47_Hl)
      coupl(nGC_8680) = -2d0*coupl(nGC_8679)
      coupl(nGC_8422) = coupl(nGC_5258) + coupl(nGC_55)*dZZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZmuMinusL_QED2
      coupl(nGC_5325) = coupl(nGC_4802)*dytau_QED3
      coupl(nGC_11135) = -coupl(nGC_11134)
      coupl(nGC_7138) = coupl(nGC_110)*dZbL_QCD2/2d0 + coupl(nGC_110)*dZtR_QCD2&
                        /2d0 + coupl(nGC_5289)
      coupl(nGC_7770) = coupl(nGC_35)*dZHh_QED2/2d0 + coupl(nGC_35)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2/2d0 +    &
                        coupl(nGC_5244)
      coupl(nGC_4998) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)* &
                        coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_1581)*coupl(  &
                        nGC_33)*coupl(nGC_90) - coupl(nGC_2389)*coupl(nGC_53)* &
                        coupl(nGC_92) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_93) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_92) -  &
                        coupl(nGC_92)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0  &
                         - coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4999) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)* &
                        coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_2389)*coupl(  &
                        nGC_50)*coupl(nGC_91) - coupl(nGC_33)*coupl(nGC_34)*   &
                        coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_93) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_91) -  &
                        coupl(nGC_91)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0  &
                         - coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4995) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_2389)*coupl&
                        (nGC_54)*coupl(nGC_86) - coupl(nGC_33)*coupl(nGC_85)*  &
                        coupl(nGC_931) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(&
                        nGC_88) - coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_86) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0  &
                         - coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4996) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_2389)*coupl&
                        (nGC_51)*coupl(nGC_87) - coupl(nGC_33)*coupl(nGC_35)*  &
                        coupl(nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_88) - coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_87) -  &
                        coupl(nGC_87)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0  &
                         - coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7674) = coupl(nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZcR_QED2 + &
                        coupl(nGC_5275)
      coupl(nGC_7675) = coupl(nGC_5276) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZcL_QED2
      coupl(nGC_4992) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)* &
                        coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_1581)*coupl(  &
                        nGC_33)*coupl(nGC_80) - coupl(nGC_2389)*coupl(nGC_53)* &
                        coupl(nGC_82) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_83) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_82) -  &
                        coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0  &
                         - coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_7677) = coupl(nGC_7667) + coupl(nGC_7675)
      coupl(nGC_5069) = (coupl(nGC_100)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_55) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_10329) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_7041) = coupl(nGC_7037) + coupl(nGC_7038)
      coupl(nGC_7040) = coupl(nGC_7038) + coupl(nGC_7039)
      coupl(nGC_7045) = coupl(nGC_38)*dZAZ_QED2/2d0 + coupl(nGC_5263) + coupl( &
                        nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
      coupl(nGC_9060) = coupl(nGC_5316) + coupl(nGC_83)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_84)*dZHl_QED2/2d0
      coupl(nGC_8471) = coupl(nGC_7667) + coupl(nGC_8470)
      coupl(nGC_9289) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_8424) = coupl(nGC_7320) + coupl(nGC_8423)
      coupl(nGC_4958) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_61_Hl) = -coupl(nGC_61)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8397) = coupl(nGC_5447) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_7511) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_7512) = coupl(nGC_11)*dZbR_QCD2
      coupl(nGC_4922) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) + &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) + 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) - 4d0*coupl( &
                        nGC_100)*coupl(nGC_103)*coupl(nGC_33) - 4d0*coupl(     &
                        nGC_115)*coupl(nGC_118)*coupl(nGC_33) + coupl(nGC_1183 &
                        )**2d0*coupl(nGC_1581) + coupl(nGC_1581)*coupl(nGC_32  &
                        )**2d0 + coupl(nGC_1581)*coupl(nGC_931)**2d0 + coupl(  &
                        nGC_2061)*coupl(nGC_2389)*coupl(nGC_419) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_34)*coupl(nGC_4) - 4d0*coupl(nGC_33)* &
                        coupl(nGC_95)*coupl(nGC_98) - 6d0*coupl(nGC_34)*coupl( &
                        nGC_37)*coupl(nGC_55) - 6d0*coupl(nGC_419)*coupl(      &
                        nGC_517)*coupl(nGC_57))/(96d0*pi**2d0)
      coupl(nGC_4925) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80) - coupl(  &
                        nGC_1)*coupl(nGC_443)*coupl(nGC_80) - coupl(nGC_110)*  &
                        coupl(nGC_111)*coupl(nGC_82) - coupl(nGC_110)*coupl(   &
                        nGC_113)*coupl(nGC_83) - coupl(nGC_110)*coupl(nGC_114)*&
                        coupl(nGC_84) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_80 &
                        ) - coupl(nGC_2061)*coupl(nGC_50)*coupl(nGC_80) - coupl&
                        (nGC_33)*coupl(nGC_34)*coupl(nGC_83) - coupl(nGC_33)*  &
                        coupl(nGC_419)*coupl(nGC_82) - coupl(nGC_33)*coupl(    &
                        nGC_47)*coupl(nGC_84) + 8d0*coupl(nGC_50)*coupl(nGC_54 &
                        )*coupl(nGC_80) - coupl(nGC_54)*coupl(nGC_55)*coupl(   &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_7236) = coupl(nGC_5311) + coupl(nGC_7231)
      coupl(nGC_4927) = (8d0*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_110)*coupl(nGC_443) - coupl(nGC_110)* &
                        coupl(nGC_2)*coupl(nGC_4) - coupl(nGC_110)*coupl(      &
                        nGC_2061)*coupl(nGC_53) + 8d0*coupl(nGC_110)*coupl(    &
                        nGC_51)*coupl(nGC_53) - coupl(nGC_110)*coupl(nGC_51)*  &
                        coupl(nGC_55) - coupl(nGC_112)*coupl(nGC_32)*coupl(    &
                        nGC_33) - coupl(nGC_112)*coupl(nGC_80)*coupl(nGC_81) - &
                        coupl(nGC_113)*coupl(nGC_33)*coupl(nGC_931) - coupl(   &
                        nGC_113)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_114)* &
                        coupl(nGC_1183)*coupl(nGC_33) - coupl(nGC_114)*coupl(  &
                        nGC_80)*coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_4928) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7237) = coupl(nGC_5312) + coupl(nGC_93)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_94)*dZHl_QED2/2d0
      coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4929) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_85) - coupl(nGC_105)*    &
                        coupl(nGC_106)*coupl(nGC_87) - coupl(nGC_105)*coupl(   &
                        nGC_108)*coupl(nGC_88) - coupl(nGC_105)*coupl(nGC_109)*&
                        coupl(nGC_89) + coupl(nGC_2)*coupl(nGC_443)*coupl(     &
                        nGC_85) + coupl(nGC_2061)*coupl(nGC_51)*coupl(nGC_85   &
                        ) + coupl(nGC_33)*coupl(nGC_34)*coupl(nGC_88) + coupl( &
                        nGC_33)*coupl(nGC_419)*coupl(nGC_87) + coupl(nGC_33)*  &
                        coupl(nGC_47)*coupl(nGC_89) + 8d0*coupl(nGC_51)*coupl( &
                        nGC_53)*coupl(nGC_85) + coupl(nGC_53)*coupl(nGC_55)*   &
                        coupl(nGC_85))/(32d0*pi**2d0)
      coupl(nGC_5273) = coupl(nGC_259)*dZgs_QCD2
      coupl(nGC_8265) = coupl(nGC_5444) + coupl(nGC_8256)
      coupl(nGC_8348) = coupl(nGC_34)*dZHhHl_QED2/2d0 + coupl(nGC_47)*dZHl_QED2&
                        /2d0 + coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl(nGC_5248&
                        )
      coupl(nGC_8340) = coupl(nGC_5310) + coupl(nGC_83)*dZHh_QED2/2d0 + coupl( &
                        nGC_84)*dZHlHh_QED2/2d0
      coupl(nGC_5173) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 &
                         - coupl(nGC_113)**2d0 - coupl(nGC_123)**2d0 - coupl(  &
                        nGC_83)**2d0 - coupl(nGC_88)**2d0 - coupl(nGC_93)**2d0 &
                        )/(16d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
