!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl3()
      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7330])

      allocate(vertices(193)%branchCT(0:1))
      call avCT(193, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_8033, nGC_8034])

      call avCT(193, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_8035, nGC_8036])

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8039])

      allocate(vertices(195)%branchCT(0:0))
      call avCT(195, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7403])

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7528])

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8010, nGC_8011])

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7061])

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8068, nGC_8068])

      allocate(vertices(202)%branchCT(0:3))
      call avCT(202, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_8073, nGC_8069])

      call avCT(202, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_8075, nGC_8076])

      call avCT(202, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_8073, nGC_8069])

      call avCT(202, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_8075, nGC_8076])

      allocate(vertices(922)%branchCT(0:0))
      call avCT(922, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7080])

      allocate(vertices(1182)%branchCT(0:0))
      call avCT(1182, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7045])

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7464])

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7403])

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(207)%branchCT(0:1))
      call avCT(207, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_7599, nGC_7599])

      call avCT(207, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_7601, nGC_7601])

      allocate(vertices(1191)%branchCT(0:0))
      call avCT(1191, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_7695, nGC_7695])

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7494])

      allocate(vertices(1190)%branchCT(0:0))
      call avCT(1190, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7552])

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(279)%branchCT(0:1))
      call avCT(279, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8127, nGC_8127])

      call avCT(279, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8129, nGC_8129])

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8131])

      allocate(vertices(212)%branchCT(0:1))
      call avCT(212, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_7453, nGC_7453])

      call avCT(212, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_7455, nGC_7455])

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7366])

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7657])

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7847])

      allocate(vertices(1403)%branchCT(0:0))
      call avCT(1403, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7412])

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7122])

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7403])

      allocate(vertices(1241)%branchCT(0:0))
      call avCT(1241, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7755])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8039])

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7662])

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_8172])

      allocate(vertices(223)%branchCT(0:1))
      call avCT(223, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_7795, nGC_7796])

      call avCT(223, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_7797, nGC_7798])

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7464])

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(227)%branchCT(0:1))
      call avCT(227, 0, 36, 4, 0, UUaV0, 0, [3, 0], [nGC_8196])

      call avCT(227, 1, 37, 5, 0, UUaV0, 0, [3, 0], [nGC_8196])

      allocate(vertices(1296)%branchCT(0:1))
      call avCT(1296, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_7137, nGC_7138])

      call avCT(1296, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_7139, nGC_7140])

      allocate(vertices(78)%branchCT(0:0))
      call avCT(78, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_7065])

      allocate(vertices(1240)%branchCT(0:0))
      call avCT(1240, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_8213])

      allocate(vertices(229)%branchCT(0:3))
      call avCT(229, 0, 19, 2, 0, FaFV0, 0, [1, 2], [nGC_7726, nGC_7728])

      call avCT(229, 1, 19, 2, 0, FaFV0, 0, [3, 0], [nGC_7730, nGC_7731])

      call avCT(229, 2, 20, 3, 0, FaFV0, 0, [1, 2], [nGC_7726, nGC_7728])

      call avCT(229, 3, 20, 3, 0, FaFV0, 0, [3, 0], [nGC_7730, nGC_7731])

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7205, nGC_7206&
      ])

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7662])

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7464])

      allocate(vertices(233)%branchCT(0:1))
      call avCT(233, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8244, nGC_8244])

      call avCT(233, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8246, nGC_8246])

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(1404)%branchCT(0:1))
      call avCT(1404, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8261, nGC_8253,       &
      nGC_8264, nGC_8264])

      call avCT(1404, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_8262, nGC_8254,       &
      nGC_8265, nGC_8265])

      allocate(vertices(1333)%branchCT(0:1))
      call avCT(1333, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7104, nGC_7105])

      call avCT(1333, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7106, nGC_7107])

      allocate(vertices(1405)%branchCT(0:0))
      call avCT(1405, 0, 14, 1, 0, FaF0, 0, [0, 2], [nGC_8274])

      allocate(vertices(236)%branchCT(0:1))
      call avCT(236, 0, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8276, nGC_8279])

      call avCT(236, 1, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8285, nGC_8286])

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7403])

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(1406)%branchCT(0:0))
      call avCT(1406, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7723])

      allocate(vertices(239)%branchCT(0:1))
      call avCT(239, 0, 28, 1, 0, FaFV1, 0, [0, 3], [nGC_7288])

      call avCT(239, 1, 28, 1, 0, FaFV1, 0, [2, 1], [nGC_7287])

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(1407)%branchCT(0:0))
      call avCT(1407, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7723])

      allocate(vertices(242)%branchCT(0:3))
      call avCT(242, 0, 21, 2, 0, FVFa1, 0, [1, 2], [nGC_7511, nGC_7507])

      call avCT(242, 1, 21, 2, 0, FVFa1, 0, [3, 0], [nGC_7513, nGC_7514])

      call avCT(242, 2, 22, 3, 0, FVFa1, 0, [1, 2], [nGC_7511, nGC_7507])

      call avCT(242, 3, 22, 3, 0, FVFa1, 0, [3, 0], [nGC_7513, nGC_7514])

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7755])

      allocate(vertices(244)%branchCT(0:3))
      call avCT(244, 0, 17, 2, 0, FaVF1, 0, [1, 2], [nGC_8319, nGC_8321])

      call avCT(244, 1, 17, 2, 0, FaVF1, 0, [3, 0], [nGC_8323, nGC_8324])

      call avCT(244, 2, 18, 3, 0, FaVF1, 0, [1, 2], [nGC_8319, nGC_8321])

      call avCT(244, 3, 18, 3, 0, FaVF1, 0, [3, 0], [nGC_8323, nGC_8324])

      allocate(vertices(245)%branchCT(0:1))
      call avCT(245, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8339, nGC_8339])

      call avCT(245, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8341, nGC_8341])

      allocate(vertices(1311)%branchCT(0:0))
      call avCT(1311, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7045])

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8349])

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7205,        &
      nGC_7206])

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_7819])

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7783])

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7357])

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8374])

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_7221, nGC_7222])

      allocate(vertices(255)%branchCT(0:0))
      call avCT(255, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_7819])

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7982])

      allocate(vertices(257)%branchCT(0:0))
      call avCT(257, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8374])

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 14, 1, 0, VS0, 0, [0, 2], [nGC_8396, nGC_8397])

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_8401])

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7801])

      allocate(vertices(1410)%branchCT(0:0))
      call avCT(1410, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7116])

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7366])

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8413])

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_8401])

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8424, nGC_8425])

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7755])

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7196])

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7061])

      allocate(vertices(269)%branchCT(0:1))
      call avCT(269, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7236, nGC_7236])

      call avCT(269, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7238, nGC_7238])

      allocate(vertices(271)%branchCT(0:1))
      call avCT(271, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7376, nGC_7377])

      call avCT(271, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7373, nGC_7370])

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8424, nGC_8425])

      allocate(vertices(273)%branchCT(0:0))
      call avCT(273, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7045])

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(275)%branchCT(0:1))
      call avCT(275, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_8471, nGC_8472])

      call avCT(275, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_8467, nGC_8464])

      allocate(vertices(276)%branchCT(0:1))
      call avCT(276, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_7599, nGC_7599])

      call avCT(276, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_7601, nGC_7601])

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7618])

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7357])

      allocate(vertices(281)%branchCT(0:1))
      call avCT(281, 0, 27, 1, 0, FaVF1, 0, [0, 3], [nGC_7391, nGC_7392])

      call avCT(281, 1, 27, 1, 0, FaVF1, 0, [2, 1], [nGC_7387, nGC_7382])

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7061])

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7494])

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7783])

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7123])

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_7860, nGC_7859])

      allocate(vertices(258)%branchCT(0:1))
      call avCT(258, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8519, nGC_8520])

      call avCT(258, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8521, nGC_8522])

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7657])

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7061])

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7205,        &
      nGC_7206])

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(293)%branchCT(0:0))
      call avCT(293, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8348])

      allocate(vertices(190)%branchCT(0:1))
      call avCT(190, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_7158, nGC_7158])

      call avCT(190, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_7160, nGC_7160])

      allocate(vertices(295)%branchCT(0:1))
      call avCT(295, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8285, nGC_8286])

      call avCT(295, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8276, nGC_8279])

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7295])

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8563, nGC_8563])

      allocate(vertices(1197)%branchCT(0:0))
      call avCT(1197, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7464])

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(300)%branchCT(0:1))
      call avCT(300, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8580, nGC_8581])

      call avCT(300, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8573, nGC_8576])

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7061])

      allocate(vertices(1412)%branchCT(0:1))
      call avCT(1412, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8595, nGC_8587,       &
      nGC_8598, nGC_8598])

      call avCT(1412, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_8596, nGC_8588,       &
      nGC_8599, nGC_8599])

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8604])

      allocate(vertices(708)%branchCT(0:1))
      call avCT(708, 0, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_7996, nGC_7997])

      call avCT(708, 1, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_7990, nGC_7993])

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_7317])

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8625, nGC_8626])

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7128])

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7459])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7296])

      allocate(vertices(1413)%branchCT(0:0))
      call avCT(1413, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7546])

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8348])

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7061])

      allocate(vertices(312)%branchCT(0:1))
      call avCT(312, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7570, nGC_7570])

      call avCT(312, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7572, nGC_7572])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7061])

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(315)%branchCT(0:3))
      call avCT(315, 0, 25, 2, 0, VFFa1, 0, [1, 2], [nGC_8073, nGC_8069])

      call avCT(315, 1, 25, 2, 0, VFFa1, 0, [3, 0], [nGC_8075, nGC_8076])

      call avCT(315, 2, 26, 3, 0, VFFa1, 0, [1, 2], [nGC_8073, nGC_8069])

      call avCT(315, 3, 26, 3, 0, VFFa1, 0, [3, 0], [nGC_8075, nGC_8076])

      allocate(vertices(96)%branchCT(0:1))
      call avCT(96, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_7570, nGC_7570])

      call avCT(96, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_7572, nGC_7572])

      allocate(vertices(316)%branchCT(0:5))
      call avCT(316, 0, 3, 6, 0, VVVV0, 0, [4, 0], [nGC_8679, nGC_8679,        &
      nGC_8680])

      call avCT(316, 1, 7, 7, 0, VVVV0, 0, [4, 0], [nGC_8683, nGC_8684,        &
      nGC_8683])

      call avCT(316, 2, 6, 7, 0, VVVV0, 0, [4, 0], [nGC_8684, nGC_8683,        &
      nGC_8683])

      call avCT(316, 3, 2, 6, 0, VVVV0, 0, [4, 0], [nGC_8679, nGC_8679,        &
      nGC_8680])

      call avCT(316, 4, 5, 7, 0, VVVV0, 0, [4, 0], [nGC_8683, nGC_8684,        &
      nGC_8683])

      call avCT(316, 5, 4, 7, 0, VVVV0, 0, [4, 0], [nGC_8684, nGC_8683,        &
      nGC_8683])

      allocate(vertices(317)%branchCT(0:1))
      call avCT(317, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_7236, nGC_7236])

      call avCT(317, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_7238, nGC_7238])

      allocate(vertices(944)%branchCT(0:0))
      call avCT(944, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7464])

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7657])

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(322)%branchCT(0:1))
      call avCT(322, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_7040, nGC_7041])

      call avCT(322, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_7035, nGC_7030])

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7061])

      allocate(vertices(324)%branchCT(0:1))
      call avCT(324, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8732, nGC_8732])

      call avCT(324, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8734, nGC_8734])

      allocate(vertices(325)%branchCT(0:1))
      call avCT(325, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7796, nGC_7795])

      call avCT(325, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7798, nGC_7797])

      allocate(vertices(669)%branchCT(0:0))
      call avCT(669, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7090])

      allocate(vertices(1351)%branchCT(0:1))
      call avCT(1351, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8759, nGC_8754])

      call avCT(1351, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8763, nGC_8764])

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7686])

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7061])

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(333)%branchCT(0:1))
      call avCT(333, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_7590])

      call avCT(333, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_7589])

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7723])

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7755])

      allocate(vertices(267)%branchCT(0:3))
      call avCT(267, 0, 23, 2, 0, VFaF1, 0, [1, 2], [nGC_7531, nGC_7529])

      call avCT(267, 1, 23, 2, 0, VFaF1, 0, [3, 0], [nGC_7535, nGC_7536])

      call avCT(267, 2, 24, 3, 0, VFaF1, 0, [1, 2], [nGC_7531, nGC_7529])

      call avCT(267, 3, 24, 3, 0, VFaF1, 0, [3, 0], [nGC_7535, nGC_7536])

      allocate(vertices(715)%branchCT(0:1))
      call avCT(715, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_7160, nGC_7160])

      call avCT(715, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_7158, nGC_7158])

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8807])

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7128])

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7618])

      allocate(vertices(745)%branchCT(0:0))
      call avCT(745, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7552])

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8010, nGC_8011])

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8068, nGC_8068])

      allocate(vertices(346)%branchCT(0:1))
      call avCT(346, 0, 27, 1, 0, FaVF1, 0, [0, 3], [nGC_7040, nGC_7041])

      call avCT(346, 1, 27, 1, 0, FaVF1, 0, [2, 1], [nGC_7035, nGC_7030])

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(783)%branchCT(0:0))
      call avCT(783, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7122])

      allocate(vertices(1415)%branchCT(0:0))
      call avCT(1415, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7428])

      allocate(vertices(349)%branchCT(0:0))
      call avCT(349, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7061])

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7755])

      allocate(vertices(351)%branchCT(0:1))
      call avCT(351, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_7185, nGC_7186])

      call avCT(351, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_7187, nGC_7188])

      allocate(vertices(354)%branchCT(0:1))
      call avCT(354, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_7137, nGC_7138])

      call avCT(354, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_7139, nGC_7140])

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(356)%branchCT(0:3))
      call avCT(356, 0, 17, 2, 0, FaVF1, 0, [1, 2], [nGC_7726, nGC_7728])

      call avCT(356, 1, 17, 2, 0, FaVF1, 0, [3, 0], [nGC_7730, nGC_7731])

      call avCT(356, 2, 18, 3, 0, FaVF1, 0, [1, 2], [nGC_7726, nGC_7728])

      call avCT(356, 3, 18, 3, 0, FaVF1, 0, [3, 0], [nGC_7730, nGC_7731])

      allocate(vertices(1170)%branchCT(0:0))
      call avCT(1170, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7755])

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7459])

      allocate(vertices(359)%branchCT(0:1))
      call avCT(359, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8906, nGC_8907])

      call avCT(359, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8899, nGC_8902])

      allocate(vertices(1416)%branchCT(0:0))
      call avCT(1416, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7412])

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7614])

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7464])

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_7317])

      allocate(vertices(897)%branchCT(0:0))
      call avCT(897, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_8924])

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(366)%branchCT(0:1))
      call avCT(366, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_7192])

      call avCT(366, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_7191])

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(59)%branchCT(0:1))
      call avCT(59, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_7391, nGC_7392])

      call avCT(59, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_7387, nGC_7382])

      allocate(vertices(1047)%branchCT(0:0))
      call avCT(1047, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7441])

      allocate(vertices(580)%branchCT(0:0))
      call avCT(580, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_8401])

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7090])

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7080])

      allocate(vertices(975)%branchCT(0:1))
      call avCT(975, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8965, nGC_8965])

      call avCT(975, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8966, nGC_8966])

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 14, 1, 0, VV1, 0, [0, 2], [nGC_8967, nGC_8968,        &
      nGC_8967, nGC_8968, nGC_8969])

      allocate(vertices(1418)%branchCT(0:0))
      call avCT(1418, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7412])

      allocate(vertices(1004)%branchCT(0:0))
      call avCT(1004, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7061])

      allocate(vertices(378)%branchCT(0:1))
      call avCT(378, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8984, nGC_8984])

      call avCT(378, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8986, nGC_8986])

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7686])

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5357])

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7061])

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7528])

      allocate(vertices(382)%branchCT(0:0))
      call avCT(382, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8413])

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7464])

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_7860, nGC_7859])

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7122])

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7464])

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7441])

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7686])

      allocate(vertices(390)%branchCT(0:0))
      call avCT(390, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9035])

      allocate(vertices(391)%branchCT(0:3))
      call avCT(391, 0, 19, 2, 0, FaFV0, 0, [1, 2], [nGC_7511, nGC_7507])

      call avCT(391, 1, 19, 2, 0, FaFV0, 0, [3, 0], [nGC_7513, nGC_7514])

      call avCT(391, 2, 20, 3, 0, FaFV0, 0, [1, 2], [nGC_7511, nGC_7507])

      call avCT(391, 3, 20, 3, 0, FaFV0, 0, [3, 0], [nGC_7513, nGC_7514])

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8603])

      allocate(vertices(393)%branchCT(0:1))
      call avCT(393, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_9059, nGC_9059])

      call avCT(393, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_9061, nGC_9061])

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_9070])

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5360])

      allocate(vertices(397)%branchCT(0:1))
      call avCT(397, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_7376, nGC_7377])

      call avCT(397, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_7373, nGC_7370])

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7847])

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7122])

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(401)%branchCT(0:0))
      call avCT(401, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5357])

      allocate(vertices(402)%branchCT(0:0))
      call avCT(402, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(403)%branchCT(0:1))
      call avCT(403, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9098, nGC_9099])

      call avCT(403, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9095, nGC_9091])

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7618])

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_9108])

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7045])

      allocate(vertices(408)%branchCT(0:0))
      call avCT(408, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5357])

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_9108])

      allocate(vertices(411)%branchCT(0:0))
      call avCT(411, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7459])

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7755])

      allocate(vertices(413)%branchCT(0:1))
      call avCT(413, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_7288])

      call avCT(413, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_7287])

      allocate(vertices(1218)%branchCT(0:0))
      call avCT(1218, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8039])

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7494])

      allocate(vertices(416)%branchCT(0:1))
      call avCT(416, 0, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_8580, nGC_8581])

      call avCT(416, 1, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_8573, nGC_8576])

      allocate(vertices(417)%branchCT(0:1))
      call avCT(417, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_7138, nGC_7137])

      call avCT(417, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_7140, nGC_7139])

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7095])

      allocate(vertices(419)%branchCT(0:1))
      call avCT(419, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8285, nGC_8286])

      call avCT(419, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8276, nGC_8279])

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7441])

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_9108])

      allocate(vertices(1295)%branchCT(0:0))
      call avCT(1295, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7552])

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_7486, nGC_7487])

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7357])

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_7317])

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5362])

      allocate(vertices(430)%branchCT(0:1))
      call avCT(430, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_8732, nGC_8732])

      call avCT(430, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_8734, nGC_8734])

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7296])

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7227])

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_9212])

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8039])

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(437)%branchCT(0:3))
      call avCT(437, 0, 23, 2, 0, VFaF1, 0, [1, 2], [nGC_7511, nGC_7507])

      call avCT(437, 1, 23, 2, 0, VFaF1, 0, [3, 0], [nGC_7513, nGC_7514])

      call avCT(437, 2, 24, 3, 0, VFaF1, 0, [1, 2], [nGC_7511, nGC_7507])

      call avCT(437, 3, 24, 3, 0, VFaF1, 0, [3, 0], [nGC_7513, nGC_7514])

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7080])

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_8924])

      allocate(vertices(927)%branchCT(0:0))
      call avCT(927, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_8401])

      allocate(vertices(733)%branchCT(0:0))
      call avCT(733, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7095])

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7783])

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7090])

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5360])

      allocate(vertices(446)%branchCT(0:0))
      call avCT(446, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7459])

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7441])

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(449)%branchCT(0:1))
      call avCT(449, 0, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_7268, nGC_7265])

      call avCT(449, 1, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_7273, nGC_7274])

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5362])

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7205, nGC_7206,        &
      nGC_7206])

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7330])

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5363])

      allocate(vertices(1419)%branchCT(0:0))
      call avCT(1419, 0, 14, 1, 0, VS1, 0, [0, 2], [nGC_9289])

      allocate(vertices(457)%branchCT(0:1))
      call avCT(457, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_8984, nGC_8984])

      call avCT(457, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_8986, nGC_8986])

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7755])

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7464])

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7196])

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7494])

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7325, nGC_7326])

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7205, nGC_7206,        &
      nGC_7206])

      allocate(vertices(465)%branchCT(0:0))
      call avCT(465, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7357])

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7831])

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5360])

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7546])

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7459])

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7045])

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7071])

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5363])

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7061])

      allocate(vertices(475)%branchCT(0:0))
      call avCT(475, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9364])

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7486, nGC_7487])

      allocate(vertices(478)%branchCT(0:0))
      call avCT(478, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_9374])

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7459])

      allocate(vertices(480)%branchCT(0:1))
      call avCT(480, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8984, nGC_8984])

      call avCT(480, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8986, nGC_8986])

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_8924])

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7252])

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_7317])

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8625, nGC_8626])

      allocate(vertices(1421)%branchCT(0:0))
      call avCT(1421, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9407, nGC_9402,       &
      nGC_9409, nGC_9409])

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7783])

      allocate(vertices(485)%branchCT(0:1))
      call avCT(485, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_8033, nGC_8034])

      call avCT(485, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_8035, nGC_8036])

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7227])

      allocate(vertices(656)%branchCT(0:1))
      call avCT(656, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_7238, nGC_7238])

      call avCT(656, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_7236, nGC_7236])

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(489)%branchCT(0:0))
      call avCT(489, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(1422)%branchCT(0:0))
      call avCT(1422, 0, 14, 1, 0, SV1, 0, [0, 2], [nGC_9289])

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7779])

      allocate(vertices(1424)%branchCT(0:1))
      call avCT(1424, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_9453, nGC_9449,       &
      nGC_9456, nGC_9456])

      call avCT(1424, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_9454, nGC_9450,       &
      nGC_9457, nGC_9457])

      allocate(vertices(1425)%branchCT(0:0))
      call avCT(1425, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7428])

      allocate(vertices(491)%branchCT(0:1))
      call avCT(491, 0, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_8471, nGC_8472])

      call avCT(491, 1, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_8467, nGC_8464])

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_9471])

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7686])

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5356])

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_8401])

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7128])

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7860, nGC_7859])

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5356])

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_7308, nGC_7308])

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7339])

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9509])

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7428])

      allocate(vertices(1293)%branchCT(0:0))
      call avCT(1293, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7441])

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7464])

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_8924])

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7552])

      allocate(vertices(1427)%branchCT(0:0))
      call avCT(1427, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7123])

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7464])

      allocate(vertices(507)%branchCT(0:1))
      call avCT(507, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_7104, nGC_7105])

      call avCT(507, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_7106, nGC_7107])

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7296])

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(510)%branchCT(0:0))
      call avCT(510, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7357])

      allocate(vertices(511)%branchCT(0:3))
      call avCT(511, 0, 17, 2, 0, FaVF1, 0, [1, 2], [nGC_7531, nGC_7529])

      call avCT(511, 1, 17, 2, 0, FaVF1, 0, [3, 0], [nGC_7535, nGC_7536])

      call avCT(511, 2, 18, 3, 0, FaVF1, 0, [1, 2], [nGC_7531, nGC_7529])

      call avCT(511, 3, 18, 3, 0, FaVF1, 0, [3, 0], [nGC_7535, nGC_7536])

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(513)%branchCT(0:0))
      call avCT(513, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7128])

      allocate(vertices(514)%branchCT(0:1))
      call avCT(514, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8519, nGC_8520])

      call avCT(514, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8521, nGC_8522])

      allocate(vertices(515)%branchCT(0:0))
      call avCT(515, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7205,        &
      nGC_7206])

      allocate(vertices(1233)%branchCT(0:0))
      call avCT(1233, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7045])

      allocate(vertices(519)%branchCT(0:0))
      call avCT(519, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7459])

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_8401])

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(522)%branchCT(0:1))
      call avCT(522, 0, 27, 1, 0, FaVF1, 0, [0, 3], [nGC_8285, nGC_8286])

      call avCT(522, 1, 27, 1, 0, FaVF1, 0, [2, 1], [nGC_8276, nGC_8279])

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(524)%branchCT(0:0))
      call avCT(524, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7246])

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_7325, nGC_7326])

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_8213])

      allocate(vertices(540)%branchCT(0:1))
      call avCT(540, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_9061, nGC_9061])

      call avCT(540, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_9059, nGC_9059])

      allocate(vertices(979)%branchCT(0:0))
      call avCT(979, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7061])

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7357])

      allocate(vertices(921)%branchCT(0:0))
      call avCT(921, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_9212])

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7122])

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7528])

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7552])

      allocate(vertices(535)%branchCT(0:1))
      call avCT(535, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_8732, nGC_8732])

      call avCT(535, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_8734, nGC_8734])

      allocate(vertices(536)%branchCT(0:1))
      call avCT(536, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8763, nGC_8764])

      call avCT(536, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8759, nGC_8754])

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7646])

      allocate(vertices(982)%branchCT(0:0))
      call avCT(982, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_8924])

      allocate(vertices(599)%branchCT(0:0))
      call avCT(599, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5357])

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8563, nGC_8563])

      allocate(vertices(1428)%branchCT(0:1))
      call avCT(1428, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_9696, nGC_9692,       &
      nGC_9699, nGC_9699])

      call avCT(1428, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_9697, nGC_9693,       &
      nGC_9700, nGC_9700])

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7723])

      allocate(vertices(627)%branchCT(0:1))
      call avCT(627, 0, 0, 4, 0, UaUV0, 0, [3, 0], [nGC_8196])

      call avCT(627, 1, 1, 5, 0, UaUV0, 0, [3, 0], [nGC_8196])

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9709])

      allocate(vertices(633)%branchCT(0:1))
      call avCT(633, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7158, nGC_7158])

      call avCT(633, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7160, nGC_7160])

      allocate(vertices(1225)%branchCT(0:0))
      call avCT(1225, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(545)%branchCT(0:0))
      call avCT(545, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7657])

      allocate(vertices(546)%branchCT(0:0))
      call avCT(546, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7783])

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(657)%branchCT(0:0))
      call avCT(657, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7403])

      allocate(vertices(549)%branchCT(0:1))
      call avCT(549, 0, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_7192])

      call avCT(549, 1, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_7191])

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(551)%branchCT(0:0))
      call avCT(551, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(552)%branchCT(0:0))
      call avCT(552, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_7065])

      allocate(vertices(553)%branchCT(0:1))
      call avCT(553, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7590])

      call avCT(553, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7589])

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7723])

      allocate(vertices(555)%branchCT(0:1))
      call avCT(555, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_7138, nGC_7137])

      call avCT(555, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_7140, nGC_7139])

      allocate(vertices(556)%branchCT(0:0))
      call avCT(556, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7206,        &
      nGC_7205])

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7045])

      allocate(vertices(559)%branchCT(0:0))
      call avCT(559, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7252])

      allocate(vertices(560)%branchCT(0:3))
      call avCT(560, 0, 23, 2, 0, VFaF1, 0, [1, 2], [nGC_7726, nGC_7728])

      call avCT(560, 1, 23, 2, 0, VFaF1, 0, [3, 0], [nGC_7730, nGC_7731])

      call avCT(560, 2, 24, 3, 0, VFaF1, 0, [1, 2], [nGC_7726, nGC_7728])

      call avCT(560, 3, 24, 3, 0, VFaF1, 0, [3, 0], [nGC_7730, nGC_7731])

      allocate(vertices(561)%branchCT(0:0))
      call avCT(561, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7295])

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8349])

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9709])

      allocate(vertices(734)%branchCT(0:0))
      call avCT(734, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7441])

      allocate(vertices(566)%branchCT(0:0))
      call avCT(566, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7071])

      allocate(vertices(1244)%branchCT(0:0))
      call avCT(1244, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(1431)%branchCT(0:1))
      call avCT(1431, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_9824, nGC_9820,       &
      nGC_9827, nGC_9827])

      call avCT(1431, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_9825, nGC_9821,       &
      nGC_9828, nGC_9828])

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8039])

      allocate(vertices(568)%branchCT(0:1))
      call avCT(568, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_7236, nGC_7236])

      call avCT(568, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_7238, nGC_7238])

      allocate(vertices(730)%branchCT(0:1))
      call avCT(730, 0, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_8906, nGC_8907])

      call avCT(730, 1, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_8899, nGC_8902])

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_8401])

      allocate(vertices(570)%branchCT(0:1))
      call avCT(570, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_7676, nGC_7677])

      call avCT(570, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_7670, nGC_7673])

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8068, nGC_8068])

      allocate(vertices(1432)%branchCT(0:0))
      call avCT(1432, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7546])

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7117])

      allocate(vertices(989)%branchCT(0:0))
      call avCT(989, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5360])

      allocate(vertices(573)%branchCT(0:0))
      call avCT(573, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5363])

      allocate(vertices(534)%branchCT(0:0))
      call avCT(534, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7552])

      allocate(vertices(1434)%branchCT(0:1))
      call avCT(1434, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_9453, nGC_9449,       &
      nGC_9456, nGC_9456])

      call avCT(1434, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_9454, nGC_9450,       &
      nGC_9457, nGC_9457])

      allocate(vertices(1435)%branchCT(0:0))
      call avCT(1435, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7428])

      allocate(vertices(575)%branchCT(0:0))
      call avCT(575, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(576)%branchCT(0:0))
      call avCT(576, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_7810, nGC_7811])

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8625, nGC_8626])

      allocate(vertices(578)%branchCT(0:0))
      call avCT(578, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7071])

      allocate(vertices(579)%branchCT(0:1))
      call avCT(579, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7054, nGC_7055])

      call avCT(579, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7056, nGC_7057])

      allocate(vertices(1104)%branchCT(0:0))
      call avCT(1104, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9364])

      allocate(vertices(581)%branchCT(0:0))
      call avCT(581, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5356])

      allocate(vertices(582)%branchCT(0:0))
      call avCT(582, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_7145, nGC_7146])

      allocate(vertices(583)%branchCT(0:1))
      call avCT(583, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7599, nGC_7599])

      call avCT(583, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7601, nGC_7601])

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(104)%branchCT(0:1))
      call avCT(104, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_7376, nGC_7377])

      call avCT(104, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_7373, nGC_7370])

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7206,        &
      nGC_7205])

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7045])

      allocate(vertices(588)%branchCT(0:0))
      call avCT(588, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7831])

      allocate(vertices(1436)%branchCT(0:0))
      call avCT(1436, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7428])

      allocate(vertices(590)%branchCT(0:0))
      call avCT(590, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9364])

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7722])

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

      allocate(vertices(594)%branchCT(0:0))
      call avCT(594, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7330])

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7339])

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7080])

      allocate(vertices(598)%branchCT(0:0))
      call avCT(598, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7122])

      allocate(vertices(539)%branchCT(0:1))
      call avCT(539, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8519, nGC_8520])

      call avCT(539, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8521, nGC_8522])

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7122])

      allocate(vertices(601)%branchCT(0:0))
      call avCT(601, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_7221, nGC_7222])

      allocate(vertices(602)%branchCT(0:0))
      call avCT(602, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7122])

      allocate(vertices(603)%branchCT(0:0))
      call avCT(603, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5363])

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7552])

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_7065])

      allocate(vertices(606)%branchCT(0:0))
      call avCT(606, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(607)%branchCT(0:0))
      call avCT(607, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5360])

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5356])

      allocate(vertices(609)%branchCT(0:0))
      call avCT(609, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7357])

      allocate(vertices(610)%branchCT(0:1))
      call avCT(610, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9059, nGC_9059])

      call avCT(610, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9061, nGC_9061])

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7723])

      allocate(vertices(611)%branchCT(0:0))
      call avCT(611, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7325, nGC_7326])

      allocate(vertices(1045)%branchCT(0:1))
      call avCT(1045, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_9098, nGC_9099])

      call avCT(1045, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_9095, nGC_9091])

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7116])

      allocate(vertices(614)%branchCT(0:1))
      call avCT(614, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_7453, nGC_7453])

      call avCT(614, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_7455, nGC_7455])

      allocate(vertices(615)%branchCT(0:0))
      call avCT(615, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_8213])

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7045])

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10053])

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(619)%branchCT(0:0))
      call avCT(619, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7246])

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7494])

      allocate(vertices(621)%branchCT(0:0))
      call avCT(621, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(622)%branchCT(0:0))
      call avCT(622, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(623)%branchCT(0:0))
      call avCT(623, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_8213])

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(625)%branchCT(0:1))
      call avCT(625, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_9061, nGC_9061])

      call avCT(625, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_9059, nGC_9059])

      allocate(vertices(626)%branchCT(0:1))
      call avCT(626, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7192])

      call avCT(626, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7191])

      allocate(vertices(541)%branchCT(0:1))
      call avCT(541, 0, 32, 4, 0, UaVU0, 0, [3, 0], [nGC_8196])

      call avCT(541, 1, 33, 5, 0, UaVU0, 0, [3, 0], [nGC_8196])

      allocate(vertices(628)%branchCT(0:1))
      call avCT(628, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_7236, nGC_7236])

      call avCT(628, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_7238, nGC_7238])

      allocate(vertices(629)%branchCT(0:0))
      call avCT(629, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10053])

      allocate(vertices(630)%branchCT(0:0))
      call avCT(630, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(631)%branchCT(0:1))
      call avCT(631, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7137, nGC_7138])

      call avCT(631, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7139, nGC_7140])

      allocate(vertices(632)%branchCT(0:0))
      call avCT(632, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(543)%branchCT(0:0))
      call avCT(543, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8424, nGC_8425])

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_7317])

      allocate(vertices(636)%branchCT(0:0))
      call avCT(636, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7028, nGC_7027,        &
      nGC_7027])

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(639)%branchCT(0:1))
      call avCT(639, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8339, nGC_8339])

      call avCT(639, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8341, nGC_8341])

      allocate(vertices(1439)%branchCT(0:0))
      call avCT(1439, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7801])

      allocate(vertices(640)%branchCT(0:0))
      call avCT(640, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7090])

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_10150])

      allocate(vertices(1440)%branchCT(0:0))
      call avCT(1440, 0, 14, 1, 0, VV2, 0, [0, 2], [nGC_7435, nGC_7429,        &
      nGC_7434])

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7831])

      allocate(vertices(1124)%branchCT(0:1))
      call avCT(1124, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_7054, nGC_7055])

      call avCT(1124, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_7056, nGC_7057])

      allocate(vertices(643)%branchCT(0:1))
      call avCT(643, 0, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_7387, nGC_7382])

      call avCT(643, 1, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_7391, nGC_7392])

      allocate(vertices(644)%branchCT(0:1))
      call avCT(644, 0, 27, 1, 0, FaVF0, 0, [0, 3], [nGC_7590])

      call avCT(644, 1, 27, 1, 0, FaVF0, 0, [2, 1], [nGC_7589])

      allocate(vertices(1069)%branchCT(0:1))
      call avCT(1069, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_7676, nGC_7677])

      call avCT(1069, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_7670, nGC_7673])

      allocate(vertices(645)%branchCT(0:0))
      call avCT(645, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7770])

      allocate(vertices(1441)%branchCT(0:0))
      call avCT(1441, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7779])

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7296])

      allocate(vertices(649)%branchCT(0:0))
      call avCT(649, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7128])

      allocate(vertices(650)%branchCT(0:1))
      call avCT(650, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_8519, nGC_8520])

      call avCT(650, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_8521, nGC_8522])

      allocate(vertices(651)%branchCT(0:0))
      call avCT(651, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(1262)%branchCT(0:0))
      call avCT(1262, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7686])

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7618])

      allocate(vertices(655)%branchCT(0:0))
      call avCT(655, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_8924])

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5357])

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7982])

      allocate(vertices(659)%branchCT(0:0))
      call avCT(659, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_7145, nGC_7146])

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(661)%branchCT(0:0))
      call avCT(661, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(1178)%branchCT(0:0))
      call avCT(1178, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_10241, nGC_10241])

      allocate(vertices(1442)%branchCT(0:0))
      call avCT(1442, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7723])

      allocate(vertices(662)%branchCT(0:0))
      call avCT(662, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7145, nGC_7146])

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7227])

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_9374])

      allocate(vertices(667)%branchCT(0:1))
      call avCT(667, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_7192])

      call avCT(667, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_7191])

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7211])

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(670)%branchCT(0:0))
      call avCT(670, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_7361])

      allocate(vertices(672)%branchCT(0:1))
      call avCT(672, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_8244, nGC_8244])

      call avCT(672, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_8246, nGC_8246])

      allocate(vertices(67)%branchCT(0:1))
      call avCT(67, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7676, nGC_7677])

      call avCT(67, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7670, nGC_7673])

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10301])

      allocate(vertices(676)%branchCT(0:0))
      call avCT(676, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7459])

      allocate(vertices(677)%branchCT(0:1))
      call avCT(677, 0, 27, 1, 0, FaVF0, 0, [0, 3], [nGC_7288])

      call avCT(677, 1, 27, 1, 0, FaVF0, 0, [2, 1], [nGC_7287])

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7122])

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7486, nGC_7487])

      allocate(vertices(680)%branchCT(0:1))
      call avCT(680, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_8732, nGC_8732])

      call avCT(680, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_8734, nGC_8734])

      allocate(vertices(681)%branchCT(0:0))
      call avCT(681, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9709])

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_10329])

      allocate(vertices(77)%branchCT(0:1))
      call avCT(77, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_10339, nGC_10338])

      call avCT(77, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_10341, nGC_10340])

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8807])

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7314, nGC_7313,        &
      nGC_7314])

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7227])

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 14, 1, 0, FaF0, 0, [0, 2], [nGC_10329])

      allocate(vertices(1445)%branchCT(0:0))
      call avCT(1445, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7428])

      allocate(vertices(1266)%branchCT(0:3))
      call avCT(1266, 0, 19, 2, 0, FaFV0, 0, [1, 2], [nGC_7531, nGC_7529])

      call avCT(1266, 1, 19, 2, 0, FaFV0, 0, [3, 0], [nGC_7535, nGC_7536])

      call avCT(1266, 2, 20, 3, 0, FaFV0, 0, [1, 2], [nGC_7531, nGC_7529])

      call avCT(1266, 3, 20, 3, 0, FaFV0, 0, [3, 0], [nGC_7535, nGC_7536])

      allocate(vertices(690)%branchCT(0:1))
      call avCT(690, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8906, nGC_8907])

      call avCT(690, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8899, nGC_8902])

      allocate(vertices(691)%branchCT(0:0))
      call avCT(691, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7459])

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9709])

      allocate(vertices(694)%branchCT(0:0))
      call avCT(694, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_7317])

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(1446)%branchCT(0:0))
      call avCT(1446, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8274])

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7412])

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7428])

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8039])

      allocate(vertices(700)%branchCT(0:0))
      call avCT(700, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7128])

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5362])

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7090])

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7723])

      allocate(vertices(703)%branchCT(0:0))
      call avCT(703, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7122])

      allocate(vertices(704)%branchCT(0:0))
      call avCT(704, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7314, nGC_7313,        &
      nGC_7314])

      allocate(vertices(776)%branchCT(0:1))
      call avCT(776, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_7137, nGC_7138])

      call avCT(776, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_7139, nGC_7140])

      allocate(vertices(706)%branchCT(0:0))
      call avCT(706, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7528])

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7546])

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(724)%branchCT(0:1))
      call avCT(724, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8341, nGC_8341])

      call avCT(724, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8339, nGC_8339])

      allocate(vertices(537)%branchCT(0:0))
      call avCT(537, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7171, nGC_7171])

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7252])

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7246])

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_9108])

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7657])

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_7065])

      allocate(vertices(716)%branchCT(0:0))
      call avCT(716, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7771])

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_10465])

      allocate(vertices(718)%branchCT(0:0))
      call avCT(718, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7246])

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_7221, nGC_7222])

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(721)%branchCT(0:1))
      call avCT(721, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_8127, nGC_8127])

      call avCT(721, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_8129, nGC_8129])

      allocate(vertices(1018)%branchCT(0:0))
      call avCT(1018, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7723])

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9709])

      allocate(vertices(389)%branchCT(0:1))
      call avCT(389, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7795, nGC_7796])

      call avCT(389, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7797, nGC_7798])

      allocate(vertices(725)%branchCT(0:3))
      call avCT(725, 0, 21, 2, 0, FVFa1, 0, [1, 2], [nGC_7415, nGC_7413])

      call avCT(725, 1, 21, 2, 0, FVFa1, 0, [3, 0], [nGC_7420, nGC_7421])

      call avCT(725, 2, 22, 3, 0, FVFa1, 0, [1, 2], [nGC_7415, nGC_7413])

      call avCT(725, 3, 22, 3, 0, FVFa1, 0, [3, 0], [nGC_7420, nGC_7421])

      allocate(vertices(726)%branchCT(0:0))
      call avCT(726, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5363])

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8603])

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7486, nGC_7487])

      allocate(vertices(426)%branchCT(0:1))
      call avCT(426, 0, 28, 1, 0, FaFV1, 0, [0, 3], [nGC_7590])

      call avCT(426, 1, 28, 1, 0, FaFV1, 0, [2, 1], [nGC_7589])

      allocate(vertices(731)%branchCT(0:0))
      call avCT(731, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_8924])

      allocate(vertices(732)%branchCT(0:0))
      call avCT(732, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8563, nGC_8563])

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7210])

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(735)%branchCT(0:1))
      call avCT(735, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_7796, nGC_7795])

      call avCT(735, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_7798, nGC_7797])

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_7317])

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(739)%branchCT(0:0))
      call avCT(739, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_7317])

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7314,        &
      nGC_7314])

      allocate(vertices(741)%branchCT(0:0))
      call avCT(741, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7464])

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7428])

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_10150])

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(746)%branchCT(0:1))
      call avCT(746, 0, 27, 1, 0, FaVF0, 0, [0, 3], [nGC_7192])

      call avCT(746, 1, 27, 1, 0, FaVF0, 0, [2, 1], [nGC_7191])

      allocate(vertices(747)%branchCT(0:1))
      call avCT(747, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_9059, nGC_9059])

      call avCT(747, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_9061, nGC_9061])

      allocate(vertices(748)%branchCT(0:1))
      call avCT(748, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8033, nGC_8034])

      call avCT(748, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8035, nGC_8036])

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7657])

      allocate(vertices(750)%branchCT(0:0))
      call avCT(750, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(751)%branchCT(0:3))
      call avCT(751, 0, 21, 2, 0, FVFa1, 0, [1, 2], [nGC_7531, nGC_7529])

      call avCT(751, 1, 21, 2, 0, FVFa1, 0, [3, 0], [nGC_7535, nGC_7536])

      call avCT(751, 2, 22, 3, 0, FVFa1, 0, [1, 2], [nGC_7531, nGC_7529])

      call avCT(751, 3, 22, 3, 0, FVFa1, 0, [3, 0], [nGC_7535, nGC_7536])

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7546])

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7686])

      allocate(vertices(754)%branchCT(0:0))
      call avCT(754, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7227])

      allocate(vertices(755)%branchCT(0:1))
      call avCT(755, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_7572, nGC_7572])

      call avCT(755, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_7570, nGC_7570])

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8374])

      allocate(vertices(757)%branchCT(0:0))
      call avCT(757, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7205, nGC_7206,        &
      nGC_7206])

      allocate(vertices(758)%branchCT(0:0))
      call avCT(758, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7314, nGC_7314,        &
      nGC_7313])

      allocate(vertices(760)%branchCT(0:0))
      call avCT(760, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10301])

      allocate(vertices(584)%branchCT(0:0))
      call avCT(584, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7061])

      allocate(vertices(946)%branchCT(0:0))
      call avCT(946, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_8172])

      allocate(vertices(1454)%branchCT(0:0))
      call avCT(1454, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_10664, nGC_10659,     &
      nGC_10666, nGC_10666])

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7123])

      allocate(vertices(763)%branchCT(0:0))
      call avCT(763, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7314, nGC_7314,        &
      nGC_7313])

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7770])

      allocate(vertices(1199)%branchCT(0:0))
      call avCT(1199, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7163])

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_8401])

      allocate(vertices(767)%branchCT(0:1))
      call avCT(767, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_7795, nGC_7796])

      call avCT(767, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_7797, nGC_7798])

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 14, 1, 0, SS1, 0, [0, 2], [nGC_10696, nGC_10691])

      allocate(vertices(120)%branchCT(0:0))
      call avCT(120, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_7065])

      allocate(vertices(770)%branchCT(0:3))
      call avCT(770, 0, 23, 2, 0, VFaF1, 0, [1, 2], [nGC_7415, nGC_7413])

      call avCT(770, 1, 23, 2, 0, VFaF1, 0, [3, 0], [nGC_7420, nGC_7421])

      call avCT(770, 2, 24, 3, 0, VFaF1, 0, [1, 2], [nGC_7415, nGC_7413])

      call avCT(770, 3, 24, 3, 0, VFaF1, 0, [3, 0], [nGC_7420, nGC_7421])

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7227])

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_10722, nGC_10717,     &
      nGC_10724, nGC_10724])

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7403])

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(774)%branchCT(0:1))
      call avCT(774, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_7796, nGC_7795])

      call avCT(774, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_7798, nGC_7797])

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(705)%branchCT(0:1))
      call avCT(705, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_7474, nGC_7473])

      call avCT(705, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_7476, nGC_7475])

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(778)%branchCT(0:0))
      call avCT(778, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10301])

      allocate(vertices(779)%branchCT(0:1))
      call avCT(779, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_9098, nGC_9099])

      call avCT(779, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_9095, nGC_9091])

      allocate(vertices(1458)%branchCT(0:0))
      call avCT(1458, 0, 14, 1, 0, FaF1, 0, [0, 2], [nGC_10722, nGC_10717,     &
      nGC_10724, nGC_10724])

      allocate(vertices(729)%branchCT(0:1))
      call avCT(729, 0, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_7035, nGC_7030])

      call avCT(729, 1, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_7040, nGC_7041])

      allocate(vertices(781)%branchCT(0:0))
      call avCT(781, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7205,        &
      nGC_7206])

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(785)%branchCT(0:0))
      call avCT(785, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7441])

      allocate(vertices(786)%branchCT(0:0))
      call avCT(786, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7459])

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7295])

      allocate(vertices(788)%branchCT(0:0))
      call avCT(788, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7614])

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8563, nGC_8563])

      allocate(vertices(791)%branchCT(0:1))
      call avCT(791, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_8984, nGC_8984])

      call avCT(791, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_8986, nGC_8986])

      allocate(vertices(1459)%branchCT(0:0))
      call avCT(1459, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7723])

      allocate(vertices(792)%branchCT(0:0))
      call avCT(792, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7464])

      allocate(vertices(793)%branchCT(0:0))
      call avCT(793, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9709])

      allocate(vertices(794)%branchCT(0:1))
      call avCT(794, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_7795, nGC_7796])

      call avCT(794, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_7797, nGC_7798])

      allocate(vertices(1037)%branchCT(0:0))
      call avCT(1037, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7459])

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7412])

      allocate(vertices(796)%branchCT(0:0))
      call avCT(796, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8010, nGC_8011])

      allocate(vertices(1461)%branchCT(0:0))
      call avCT(1461, 0, 14, 1, 0, VV3, 0, [0, 2], [nGC_10849, nGC_10848])

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7210])

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(826)%branchCT(0:0))
      call avCT(826, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(1288)%branchCT(0:0))
      call avCT(1288, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7810, nGC_7811])

      allocate(vertices(801)%branchCT(0:0))
      call avCT(801, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7412])

      allocate(vertices(802)%branchCT(0:1))
      call avCT(802, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_8732, nGC_8732])

      call avCT(802, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_8734, nGC_8734])

      allocate(vertices(803)%branchCT(0:0))
      call avCT(803, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7080])

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_7695, nGC_7695])

      allocate(vertices(805)%branchCT(0:0))
      call avCT(805, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7261])

      allocate(vertices(806)%branchCT(0:1))
      call avCT(806, 0, 28, 1, 0, FaFV1, 0, [0, 3], [nGC_7192])

      call avCT(806, 1, 28, 1, 0, FaFV1, 0, [2, 1], [nGC_7191])

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5362])

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7206,        &
      nGC_7205])

      allocate(vertices(709)%branchCT(0:1))
      call avCT(709, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7473, nGC_7474])

      call avCT(709, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7475, nGC_7476])

      allocate(vertices(810)%branchCT(0:0))
      call avCT(810, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7205,        &
      nGC_7206])

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7122])

      allocate(vertices(812)%branchCT(0:1))
      call avCT(812, 0, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_8763, nGC_8764])

      call avCT(812, 1, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_8759, nGC_8754])

      allocate(vertices(1123)%branchCT(0:0))
      call avCT(1123, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7076,       &
      nGC_7076])

      allocate(vertices(814)%branchCT(0:0))
      call avCT(814, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7216])

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8039])

      allocate(vertices(932)%branchCT(0:1))
      call avCT(932, 0, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_7590])

      call avCT(932, 1, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_7589])

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7206, nGC_7206,        &
      nGC_7205])

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7027, nGC_7028,        &
      nGC_7027])

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7779])

      allocate(vertices(819)%branchCT(0:1))
      call avCT(819, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_7996, nGC_7997])

      call avCT(819, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_7990, nGC_7993])

      allocate(vertices(820)%branchCT(0:0))
      call avCT(820, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7252])

      allocate(vertices(821)%branchCT(0:1))
      call avCT(821, 0, 34, 4, 0, UVUa0, 0, [3, 0], [nGC_8196])

      call avCT(821, 1, 35, 5, 0, UVUa0, 0, [3, 0], [nGC_8196])

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5363])

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7357])

      allocate(vertices(825)%branchCT(0:0))
      call avCT(825, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7657])

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7441])

      allocate(vertices(800)%branchCT(0:0))
      call avCT(800, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7357])

      allocate(vertices(1464)%branchCT(0:0))
      call avCT(1464, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7546])

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_8172])

      allocate(vertices(828)%branchCT(0:0))
      call avCT(828, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7061])

      allocate(vertices(1373)%branchCT(0:1))
      call avCT(1373, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_9098, nGC_9099])

      call avCT(1373, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_9095, nGC_9091])

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7045])

      allocate(vertices(832)%branchCT(0:0))
      call avCT(832, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5362])

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 14, 1, 0, SS2, 0, [0, 2], [nGC_10999])

      allocate(vertices(831)%branchCT(0:1))
      call avCT(831, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_8244, nGC_8244])

      call avCT(831, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_8246, nGC_8246])

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7196])

      allocate(vertices(833)%branchCT(0:1))
      call avCT(833, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_7599, nGC_7599])

      call avCT(833, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_7601, nGC_7601])

      allocate(vertices(834)%branchCT(0:0))
      call avCT(834, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7061])

      allocate(vertices(835)%branchCT(0:0))
      call avCT(835, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7783])

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7045])

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7494])

      allocate(vertices(839)%branchCT(0:3))
      call avCT(839, 0, 23, 2, 0, VFaF1, 0, [1, 2], [nGC_8073, nGC_8069])

      call avCT(839, 1, 23, 2, 0, VFaF1, 0, [3, 0], [nGC_8075, nGC_8076])

      call avCT(839, 2, 24, 3, 0, VFaF1, 0, [1, 2], [nGC_8073, nGC_8069])

      call avCT(839, 3, 24, 3, 0, VFaF1, 0, [3, 0], [nGC_8075, nGC_8076])

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8068, nGC_8068])

      allocate(vertices(841)%branchCT(0:0))
      call avCT(841, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7227])

      allocate(vertices(842)%branchCT(0:1))
      call avCT(842, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8580, nGC_8581])

      call avCT(842, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8573, nGC_8576])

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7308, nGC_7308])

      allocate(vertices(1466)%branchCT(0:0))
      call avCT(1466, 0, 14, 1, 0, SV0, 0, [0, 2], [nGC_11072, nGC_11073])

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7076,       &
      nGC_7076])

      allocate(vertices(844)%branchCT(0:0))
      call avCT(844, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7122])

      allocate(vertices(845)%branchCT(0:1))
      call avCT(845, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_7273, nGC_7274])

      call avCT(845, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_7268, nGC_7265])

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7464])

      allocate(vertices(1467)%branchCT(0:0))
      call avCT(1467, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7428])

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5360])

      allocate(vertices(850)%branchCT(0:1))
      call avCT(850, 0, 27, 1, 0, FaVF0, 0, [0, 3], [nGC_7192])

      call avCT(850, 1, 27, 1, 0, FaVF0, 0, [2, 1], [nGC_7191])

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_10150])

      allocate(vertices(852)%branchCT(0:0))
      call avCT(852, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7614])

      allocate(vertices(1468)%branchCT(0:0))
      call avCT(1468, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7723])

      allocate(vertices(855)%branchCT(0:0))
      call avCT(855, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7122])

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(857)%branchCT(0:0))
      call avCT(857, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7357])

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7176])

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5356])

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7246])

      allocate(vertices(861)%branchCT(0:0))
      call avCT(861, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7076,        &
      nGC_7076])

      allocate(vertices(862)%branchCT(0:1))
      call avCT(862, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_10339, nGC_10338])

      call avCT(862, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_10341, nGC_10340])

      allocate(vertices(1469)%branchCT(0:1))
      call avCT(1469, 0, 16, 8, 0, VV3, 0, [2, 0], [nGC_11135, nGC_11134])

      call avCT(1469, 1, 15, 1, 0, VV3, 0, [2, 0], [nGC_11135, nGC_11134])

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7722])

      allocate(vertices(864)%branchCT(0:0))
      call avCT(864, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(865)%branchCT(0:1))
      call avCT(865, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8129, nGC_8129])

      call avCT(865, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8127, nGC_8127])

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7227])

      allocate(vertices(867)%branchCT(0:0))
      call avCT(867, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7357])

      allocate(vertices(868)%branchCT(0:1))
      call avCT(868, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8580, nGC_8581])

      call avCT(868, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8573, nGC_8576])

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9035])

      allocate(vertices(869)%branchCT(0:1))
      call avCT(869, 0, 0, 4, 0, VVV0, 0, [3, 0], [nGC_11171])

      call avCT(869, 1, 1, 5, 0, VVV0, 0, [3, 0], [nGC_11171])

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7314,        &
      nGC_7314])

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 14, 1, 0, VV2, 0, [0, 2], [nGC_11183, nGC_11177,      &
      nGC_11182])

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7618])

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7657])

      allocate(vertices(1302)%branchCT(0:1))
      call avCT(1302, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_8966, nGC_8966])

      call avCT(1302, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_8965, nGC_8965])

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7027, nGC_7028,        &
      nGC_7027])

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5221])

      allocate(vertices(1315)%branchCT(0:1))
      call avCT(1315, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_7054, nGC_7055])

      call avCT(1315, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_7056, nGC_7057])

      allocate(vertices(876)%branchCT(0:0))
      call avCT(876, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7045])

      allocate(vertices(877)%branchCT(0:1))
      call avCT(877, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7453, nGC_7453])

      call avCT(877, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7455, nGC_7455])

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_8401])

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7618])

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7216])

      allocate(vertices(880)%branchCT(0:0))
      call avCT(880, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7122])

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8563, nGC_8563])

      allocate(vertices(882)%branchCT(0:0))
      call avCT(882, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7176])

      allocate(vertices(1471)%branchCT(0:0))
      call avCT(1471, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7723])

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7412])

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7357])

      allocate(vertices(884)%branchCT(0:0))
      call avCT(884, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7227])

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7755])

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7403])

      allocate(vertices(887)%branchCT(0:0))
      call avCT(887, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_10150])

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_7065])

      allocate(vertices(889)%branchCT(0:1))
      call avCT(889, 0, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_8759, nGC_8754])

      call avCT(889, 1, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_8763, nGC_8764])

      allocate(vertices(890)%branchCT(0:0))
      call avCT(890, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7339])

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7252])

      allocate(vertices(798)%branchCT(0:0))
      call avCT(798, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7325, nGC_7326])

      allocate(vertices(1473)%branchCT(0:0))
      call avCT(1473, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7801])

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7614])

      allocate(vertices(894)%branchCT(0:0))
      call avCT(894, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7459])

      allocate(vertices(895)%branchCT(0:0))
      call avCT(895, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7464])

      allocate(vertices(1192)%branchCT(0:0))
      call avCT(1192, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7077, nGC_7076,       &
      nGC_7076])

      allocate(vertices(896)%branchCT(0:1))
      call avCT(896, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_7473, nGC_7474])

      call avCT(896, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_7475, nGC_7476])

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7614])

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7428])

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8131])

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7610])

      allocate(vertices(901)%branchCT(0:0))
      call avCT(901, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7783])

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7205, nGC_7206,        &
      nGC_7206])

      allocate(vertices(903)%branchCT(0:1))
      call avCT(903, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_8906, nGC_8907])

      call avCT(903, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_8899, nGC_8902])

      allocate(vertices(904)%branchCT(0:0))
      call avCT(904, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_7317])

      allocate(vertices(906)%branchCT(0:0))
      call avCT(906, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7261])

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_7810, nGC_7811])

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_9108])

      allocate(vertices(1476)%branchCT(0:0))
      call avCT(1476, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7779])

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7330])

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8010, nGC_8011])

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_8924])

      allocate(vertices(912)%branchCT(0:1))
      call avCT(912, 0, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_7391, nGC_7392])

      call avCT(912, 1, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_7387, nGC_7382])

      allocate(vertices(913)%branchCT(0:0))
      call avCT(913, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7459])

      allocate(vertices(914)%branchCT(0:0))
      call avCT(914, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7071])

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7246])

      allocate(vertices(572)%branchCT(0:3))
      call avCT(572, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_7415, nGC_7413])

      call avCT(572, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_7420, nGC_7421])

      call avCT(572, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_7415, nGC_7413])

      call avCT(572, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_7420, nGC_7421])

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7227])

      allocate(vertices(916)%branchCT(0:0))
      call avCT(916, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7163])

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_8924])

    end subroutine fill_vertices_mdl3
end module vertices_info3
