!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(697)%branchR2(0:1))
      call avR2(697, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_4931, nGC_4929])

      call avR2(697, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_4932, nGC_4930])

      allocate(vertices(770)%branchR2(0:3))
      call avR2(770, 0, 24, 1, 0, VFaF1, 0, [1, 2], [nGC_5085, nGC_5084])

      call avR2(770, 1, 24, 1, 0, VFaF1, 0, [3, 0], [nGC_5079, nGC_5079])

      call avR2(770, 2, 23, 1, 0, VFaF1, 0, [1, 2], [nGC_5087, nGC_5086])

      call avR2(770, 3, 23, 1, 0, VFaF1, 0, [3, 0], [nGC_5082, nGC_5082])

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5115])

      allocate(vertices(1642)%branchR2(0:0))
      call avR2(1642, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5114])

      allocate(vertices(1643)%branchR2(0:0))
      call avR2(1643, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5113])

      allocate(vertices(1161)%branchR2(0:0))
      call avR2(1161, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5052])

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_4938])

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5113])

      allocate(vertices(842)%branchR2(0:1))
      call avR2(842, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_4902, nGC_4901])

      call avR2(842, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_4897, nGC_4897])

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5146])

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5019])

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4923])

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5169])

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5051])

      allocate(vertices(1069)%branchR2(0:1))
      call avR2(1069, 0, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_5059, nGC_5057])

      call avR2(1069, 1, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_5060, nGC_5058])

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5144])

      allocate(vertices(1645)%branchR2(0:1))
      call avR2(1645, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_5034])

      call avR2(1645, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_5035])

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(368)%branchR2(0:1))
      call avR2(368, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4917, nGC_4916])

      call avR2(368, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_4900, nGC_4900])

      allocate(vertices(768)%branchR2(0:0))
      call avR2(768, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5163])

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5171])

      allocate(vertices(715)%branchR2(0:1))
      call avR2(715, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_5015, nGC_5016])

      call avR2(715, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5017, nGC_5017])

      allocate(vertices(1057)%branchR2(0:3))
      call avR2(1057, 0, 21, 1, 0, FVFa1, 0, [1, 2], [nGC_5101, nGC_5100])

      call avR2(1057, 1, 21, 1, 0, FVFa1, 0, [3, 0], [nGC_5097, nGC_5097])

      call avR2(1057, 2, 22, 1, 0, FVFa1, 0, [1, 2], [nGC_5099, nGC_5098])

      call avR2(1057, 3, 22, 1, 0, FVFa1, 0, [3, 0], [nGC_5094, nGC_5094])

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5116])

      allocate(vertices(1249)%branchR2(0:1))
      call avR2(1249, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_4936, nGC_4934])

      call avR2(1249, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_4949, nGC_4948])

      allocate(vertices(604)%branchR2(0:0))
      call avR2(604, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5111, nGC_5109,        &
      nGC_5110])

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5117])

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5139])

      allocate(vertices(298)%branchR2(0:0))
      call avR2(298, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5147])

      allocate(vertices(1527)%branchR2(0:0))
      call avR2(1527, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_4907])

      allocate(vertices(30)%branchR2(0:0))
      call avR2(30, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_4970, nGC_4969])

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_4908])

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5171])

      allocate(vertices(430)%branchR2(0:1))
      call avR2(430, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_5012, nGC_5012])

      call avR2(430, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_5010, nGC_5011])

      allocate(vertices(579)%branchR2(0:1))
      call avR2(579, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4961, nGC_4963])

      call avR2(579, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4962, nGC_4964])

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5145])

      allocate(vertices(1412)%branchR2(0:1))
      call avR2(1412, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_4864, nGC_4861,       &
      nGC_4862, nGC_4862])

      call avR2(1412, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_4856, nGC_4856,       &
      nGC_4863, nGC_4863])

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5123])

      allocate(vertices(1646)%branchR2(0:1))
      call avR2(1646, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_5148])

      call avR2(1646, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_5149])

      allocate(vertices(393)%branchR2(0:1))
      call avR2(393, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_5023, nGC_5023])

      call avR2(393, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_5021, nGC_5022])

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5120])

      allocate(vertices(296)%branchR2(0:0))
      call avR2(296, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13774])

      allocate(vertices(1492)%branchR2(0:0))
      call avR2(1492, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5127])

      allocate(vertices(1138)%branchR2(0:0))
      call avR2(1138, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5136])

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5150])

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5074, nGC_5075])

      allocate(vertices(503)%branchR2(0:0))
      call avR2(503, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5108])

      allocate(vertices(1257)%branchR2(0:0))
      call avR2(1257, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_5033, nGC_5032])

      allocate(vertices(1366)%branchR2(0:1))
      call avR2(1366, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_5000, nGC_5000])

      call avR2(1366, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_4998, nGC_4999])

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_4877])

      allocate(vertices(1647)%branchR2(0:1))
      call avR2(1647, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_5179, nGC_5179,      &
      nGC_5179])

      call avR2(1647, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_5178, nGC_5178,      &
      nGC_5178])

      allocate(vertices(1228)%branchR2(0:1))
      call avR2(1228, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_4977, nGC_4979])

      call avR2(1228, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_4978, nGC_4980])

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5120])

      allocate(vertices(890)%branchR2(0:0))
      call avR2(890, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5163])

      allocate(vertices(1304)%branchR2(0:0))
      call avR2(1304, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5147])

      allocate(vertices(187)%branchR2(0:0))
      call avR2(187, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5118])

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5157])

      allocate(vertices(1436)%branchR2(0:0))
      call avR2(1436, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_4908])

      allocate(vertices(345)%branchR2(0:0))
      call avR2(345, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_4951])

      allocate(vertices(1429)%branchR2(0:0))
      call avR2(1429, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5132])

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5051])

      allocate(vertices(1326)%branchR2(0:1))
      call avR2(1326, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_4928, nGC_4926])

      call avR2(1326, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_4945, nGC_4944])

      allocate(vertices(1046)%branchR2(0:0))
      call avR2(1046, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5051])

      allocate(vertices(948)%branchR2(0:0))
      call avR2(948, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5119])

      allocate(vertices(1029)%branchR2(0:0))
      call avR2(1029, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4991])

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5051])

      allocate(vertices(531)%branchR2(0:0))
      call avR2(531, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(70)%branchR2(0:0))
      call avR2(70, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5116])

      allocate(vertices(1485)%branchR2(0:1))
      call avR2(1485, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_4864, nGC_4861,       &
      nGC_4883, nGC_4883])

      call avR2(1485, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_4856, nGC_4856,       &
      nGC_4884, nGC_4884])

      allocate(vertices(1482)%branchR2(0:0))
      call avR2(1482, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_4907])

      allocate(vertices(338)%branchR2(0:0))
      call avR2(338, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4942])

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5135])

      allocate(vertices(1648)%branchR2(0:1))
      call avR2(1648, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_5148])

      call avR2(1648, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_5149])

      allocate(vertices(316)%branchR2(0:23))
      call avR2(316, 0, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_5201, nGC_5200,       &
      nGC_5201])

      call avR2(316, 1, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_5200, nGC_5201,       &
      nGC_5201])

      call avR2(316, 2, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_5210, nGC_5210,      &
      nGC_5210])

      call avR2(316, 3, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_5196, nGC_5196,        &
      nGC_5195])

      call avR2(316, 4, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_5204, nGC_5206,        &
      nGC_5205])

      call avR2(316, 5, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_5210, nGC_5210,      &
      nGC_5210])

      call avR2(316, 6, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_5198, nGC_5199,       &
      nGC_5197])

      call avR2(316, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_5198, nGC_5197,       &
      nGC_5199])

      call avR2(316, 8, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_5211, nGC_5211,      &
      nGC_5211])

      call avR2(316, 9, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_5202, nGC_5203,       &
      nGC_5200])

      call avR2(316, 10, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_5210, nGC_5210,     &
      nGC_5210])

      call avR2(316, 11, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_5207, nGC_5209,       &
      nGC_5208])

      call avR2(316, 12, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5199,      &
      nGC_5198])

      call avR2(316, 13, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_5204, nGC_5206,       &
      nGC_5205])

      call avR2(316, 14, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_5210, nGC_5210,     &
      nGC_5210])

      call avR2(316, 15, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197,      &
      nGC_5197])

      call avR2(316, 16, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_5198, nGC_5199,      &
      nGC_5197])

      call avR2(316, 17, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5197,      &
      nGC_5197])

      call avR2(316, 18, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_5197, nGC_5199,      &
      nGC_5198])

      call avR2(316, 19, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_5210, nGC_5210,     &
      nGC_5210])

      call avR2(316, 20, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_5207, nGC_5209,       &
      nGC_5208])

      call avR2(316, 21, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_5196, nGC_5196,       &
      nGC_5195])

      call avR2(316, 22, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_5198, nGC_5197,      &
      nGC_5199])

      call avR2(316, 23, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_5210, nGC_5210,     &
      nGC_5210])

      allocate(vertices(96)%branchR2(0:1))
      call avR2(96, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_5000, nGC_5000])

      call avR2(96, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_4998, nGC_4999])

      allocate(vertices(966)%branchR2(0:1))
      call avR2(966, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_5007, nGC_5008])

      call avR2(966, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5009, nGC_5009])

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5142])

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5129, nGC_5128,        &
      nGC_5130])

      allocate(vertices(606)%branchR2(0:0))
      call avR2(606, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5124])

      allocate(vertices(1055)%branchR2(0:0))
      call avR2(1055, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_5014, nGC_5013])

      allocate(vertices(177)%branchR2(0:1))
      call avR2(177, 0, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_4897, nGC_4897])

      call avR2(177, 1, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_4896, nGC_4895])

      allocate(vertices(1649)%branchR2(0:1))
      call avR2(1649, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_5178, nGC_5178,      &
      nGC_5178])

      call avR2(1649, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_5179, nGC_5179,      &
      nGC_5179])

      allocate(vertices(773)%branchR2(0:0))
      call avR2(773, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5119])

      allocate(vertices(24)%branchR2(0:1))
      call avR2(24, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4977, nGC_4979])

      call avR2(24, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4978, nGC_4980])

      allocate(vertices(1375)%branchR2(0:1))
      call avR2(1375, 0, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_4977, nGC_4979])

      call avR2(1375, 1, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_4978, nGC_4980])

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_5031, nGC_5030])

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5147])

      allocate(vertices(1355)%branchR2(0:0))
      call avR2(1355, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_4970, nGC_4969])

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(612)%branchR2(0:0))
      call avR2(612, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5067])

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5127])

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_4950])

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5144])

      allocate(vertices(1321)%branchR2(0:1))
      call avR2(1321, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_4994, nGC_4994])

      call avR2(1321, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_4992, nGC_4993])

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5124])

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5118])

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5123])

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5051])

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5169])

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_13758])

      allocate(vertices(1255)%branchR2(0:1))
      call avR2(1255, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_4998, nGC_4999])

      call avR2(1255, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5000, nGC_5000])

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5156])

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5144])

      allocate(vertices(1233)%branchR2(0:0))
      call avR2(1233, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5156])

      allocate(vertices(1170)%branchR2(0:0))
      call avR2(1170, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5143])

      allocate(vertices(797)%branchR2(0:0))
      call avR2(797, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5184, nGC_5183,        &
      nGC_5184])

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5175, nGC_5177,       &
      nGC_5176])

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5074, nGC_5075])

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5144])

      allocate(vertices(650)%branchR2(0:1))
      call avR2(650, 0, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_4957, nGC_4959])

      call avR2(650, 1, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_4958, nGC_4960])

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4988])

      allocate(vertices(323)%branchR2(0:0))
      call avR2(323, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5120])

      allocate(vertices(654)%branchR2(0:1))
      call avR2(654, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_4977, nGC_4979])

      call avR2(654, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_4978, nGC_4980])

      allocate(vertices(1529)%branchR2(0:1))
      call avR2(1529, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_4864, nGC_4861,       &
      nGC_4880, nGC_4880])

      call avR2(1529, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_4856, nGC_4856,       &
      nGC_4881, nGC_4881])

      allocate(vertices(1319)%branchR2(0:1))
      call avR2(1319, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4965, nGC_4967])

      call avR2(1319, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4966, nGC_4968])

      allocate(vertices(665)%branchR2(0:0))
      call avR2(665, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5119])

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5172])

      allocate(vertices(501)%branchR2(0:0))
      call avR2(501, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4956])

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5123])

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_4903, nGC_4904])

      allocate(vertices(242)%branchR2(0:3))
      call avR2(242, 0, 21, 1, 0, FVFa1, 0, [1, 2], [nGC_5083, nGC_5081])

      call avR2(242, 1, 21, 1, 0, FVFa1, 0, [3, 0], [nGC_5082, nGC_5082])

      call avR2(242, 2, 22, 1, 0, FVFa1, 0, [1, 2], [nGC_5080, nGC_5078])

      call avR2(242, 3, 22, 1, 0, FVFa1, 0, [3, 0], [nGC_5079, nGC_5079])

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5108])

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5124])

      allocate(vertices(1152)%branchR2(0:0))
      call avR2(1152, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5124])

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5129, nGC_5130,        &
      nGC_5128])

      allocate(vertices(329)%branchR2(0:1))
      call avR2(329, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4928, nGC_4926])

      call avR2(329, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4945, nGC_4944])

      allocate(vertices(26)%branchR2(0:0))
      call avR2(26, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_15469])

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5164])

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5150])

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5135])

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5146])

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5135])

      allocate(vertices(1101)%branchR2(0:1))
      call avR2(1101, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_5039, nGC_5040])

      call avR2(1101, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5041, nGC_5041])

      allocate(vertices(237)%branchR2(0:0))
      call avR2(237, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_4923])

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5132])

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5139])

      allocate(vertices(1650)%branchR2(0:5))
      call avR2(1650, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,      &
      nGC_5192])

      call avR2(1650, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,      &
      nGC_5193])

      call avR2(1650, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,      &
      nGC_5193])

      call avR2(1650, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,      &
      nGC_5193])

      call avR2(1650, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_5194, nGC_5194,      &
      nGC_5194])

      call avR2(1650, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,      &
      nGC_5192])

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_4951])

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5145])

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5119])

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5124])

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5052])

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_5006, nGC_5005])

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_4982, nGC_4981])

      allocate(vertices(1496)%branchR2(0:0))
      call avR2(1496, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5131])

      allocate(vertices(250)%branchR2(0:0))
      call avR2(250, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5118])

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_4951])

      allocate(vertices(741)%branchR2(0:0))
      call avR2(741, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5164])

      allocate(vertices(555)%branchR2(0:1))
      call avR2(555, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_4928, nGC_4926])

      call avR2(555, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_4945, nGC_4944])

      allocate(vertices(730)%branchR2(0:1))
      call avR2(730, 0, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_5056, nGC_5054])

      call avR2(730, 1, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_5062, nGC_5061])

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5176, nGC_5175,        &
      nGC_5177])

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5119])

      allocate(vertices(1339)%branchR2(0:1))
      call avR2(1339, 0, 31, 1, 0, VFFa0, 0, [2, 1], [nGC_5049])

      call avR2(1339, 1, 31, 1, 0, VFFa0, 0, [0, 3], [nGC_5050])

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5151])

      allocate(vertices(14)%branchR2(0:1))
      call avR2(14, 0, 29, 1, 0, FVFa0, 0, [2, 1], [nGC_5049])

      call avR2(14, 1, 29, 1, 0, FVFa0, 0, [0, 3], [nGC_5050])

      allocate(vertices(779)%branchR2(0:1))
      call avR2(779, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_5056, nGC_5054])

      call avR2(779, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_5071, nGC_5070])

      allocate(vertices(840)%branchR2(0:0))
      call avR2(840, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_5006, nGC_5005])

      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13802])

      allocate(vertices(833)%branchR2(0:1))
      call avR2(833, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_5046, nGC_5046])

      call avR2(833, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_5044, nGC_5045])

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5171])

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5169])

      allocate(vertices(1528)%branchR2(0:0))
      call avR2(1528, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5132])

      allocate(vertices(865)%branchR2(0:1))
      call avR2(865, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5024, nGC_5025])

      call avR2(865, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5026, nGC_5026])

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_4982, nGC_4981])

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4887])

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4889])

      allocate(vertices(611)%branchR2(0:0))
      call avR2(611, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5074, nGC_5075])

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5118])

      allocate(vertices(325)%branchR2(0:1))
      call avR2(325, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4930, nGC_4932])

      call avR2(325, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4946, nGC_4947])

      allocate(vertices(1111)%branchR2(0:1))
      call avR2(1111, 0, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_4930, nGC_4932])

      call avR2(1111, 1, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_4946, nGC_4947])

      allocate(vertices(1500)%branchR2(0:0))
      call avR2(1500, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5132])

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5069])

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5108])

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5138, nGC_5138,       &
      nGC_5138])

      allocate(vertices(1227)%branchR2(0:0))
      call avR2(1227, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_4940])

      allocate(vertices(184)%branchR2(0:0))
      call avR2(184, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5145])

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_4937])

      allocate(vertices(684)%branchR2(0:0))
      call avR2(684, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5118])

      allocate(vertices(1256)%branchR2(0:0))
      call avR2(1256, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_4951])

      allocate(vertices(535)%branchR2(0:1))
      call avR2(535, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_5012, nGC_5012])

      call avR2(535, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_5010, nGC_5011])

      allocate(vertices(799)%branchR2(0:0))
      call avR2(799, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5124])

      allocate(vertices(348)%branchR2(0:0))
      call avR2(348, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5119])

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_4938])

      allocate(vertices(1220)%branchR2(0:0))
      call avR2(1220, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(571)%branchR2(0:0))
      call avR2(571, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5135])

      allocate(vertices(1460)%branchR2(0:0))
      call avR2(1460, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5131])

      allocate(vertices(1282)%branchR2(0:1))
      call avR2(1282, 0, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_5060, nGC_5058])

      call avR2(1282, 1, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_5077, nGC_5076])

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5158])

      allocate(vertices(1301)%branchR2(0:0))
      call avR2(1301, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5142])

      allocate(vertices(1652)%branchR2(0:1))
      call avR2(1652, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_5179, nGC_5179,      &
      nGC_5179])

      call avR2(1652, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_5178, nGC_5178,      &
      nGC_5178])

      allocate(vertices(496)%branchR2(0:0))
      call avR2(496, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5119])

      allocate(vertices(643)%branchR2(0:1))
      call avR2(643, 0, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_4917, nGC_4916])

      call avR2(643, 1, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_4900, nGC_4900])

      allocate(vertices(16)%branchR2(0:0))
      call avR2(16, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5162])

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 14, 1, 0, VV2, 0, [0, 2], [nGC_4842, nGC_4841,        &
      nGC_4843])

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_4939])

      allocate(vertices(58)%branchR2(0:0))
      call avR2(58, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5162])

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5169])

      allocate(vertices(914)%branchR2(0:0))
      call avR2(914, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4990])

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_4950])

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5147])

      allocate(vertices(54)%branchR2(0:0))
      call avR2(54, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5147])

      allocate(vertices(1236)%branchR2(0:1))
      call avR2(1236, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_5059, nGC_5057])

      call avR2(1236, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_5060, nGC_5058])

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5116])

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5119])

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5164])

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5144])

      allocate(vertices(243)%branchR2(0:0))
      call avR2(243, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5143])

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5132])

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5143])

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5145])

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_4937])

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5136])

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5142])

      allocate(vertices(894)%branchR2(0:0))
      call avR2(894, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5116])

      allocate(vertices(138)%branchR2(0:0))
      call avR2(138, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5136])

      allocate(vertices(1126)%branchR2(0:0))
      call avR2(1126, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(1653)%branchR2(0:0))
      call avR2(1653, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5113])

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5119])

      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5135])

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_15469])

      allocate(vertices(985)%branchR2(0:3))
      call avR2(985, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_5096, nGC_5095])

      call avR2(985, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_5097, nGC_5097])

      call avR2(985, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_5093, nGC_5092])

      call avR2(985, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_5094, nGC_5094])

      allocate(vertices(286)%branchR2(0:0))
      call avR2(286, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5067])

      allocate(vertices(321)%branchR2(0:0))
      call avR2(321, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5123])

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5069])

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5145])

      allocate(vertices(1364)%branchR2(0:1))
      call avR2(1364, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5036, nGC_5037])

      call avR2(1364, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5038, nGC_5038])

      allocate(vertices(1273)%branchR2(0:1))
      call avR2(1273, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_4973, nGC_4975])

      call avR2(1273, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_4974, nGC_4976])

      allocate(vertices(1135)%branchR2(0:0))
      call avR2(1135, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5111, nGC_5110,       &
      nGC_5109])

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_4939])

      allocate(vertices(1654)%branchR2(0:0))
      call avR2(1654, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5115])

      allocate(vertices(1153)%branchR2(0:0))
      call avR2(1153, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5118])

      allocate(vertices(1303)%branchR2(0:0))
      call avR2(1303, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5051])

      allocate(vertices(898)%branchR2(0:3))
      call avR2(898, 0, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_5091, nGC_5090])

      call avR2(898, 1, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_5082, nGC_5082])

      call avR2(898, 2, 26, 1, 0, VFFa1, 0, [1, 2], [nGC_5089, nGC_5088])

      call avR2(898, 3, 26, 1, 0, VFFa1, 0, [3, 0], [nGC_5079, nGC_5079])

      allocate(vertices(1337)%branchR2(0:0))
      call avR2(1337, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5130, nGC_5128,       &
      nGC_5129])

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5171])

      allocate(vertices(1655)%branchR2(0:1))
      call avR2(1655, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_5187])

      call avR2(1655, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_5188])

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5128, nGC_5130,        &
      nGC_5129])

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5052])

      allocate(vertices(1140)%branchR2(0:0))
      call avR2(1140, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_5002, nGC_5001])

      allocate(vertices(69)%branchR2(0:1))
      call avR2(69, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_5041, nGC_5041])

      call avR2(69, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_5039, nGC_5040])

      allocate(vertices(1108)%branchR2(0:0))
      call avR2(1108, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5142])

      allocate(vertices(1103)%branchR2(0:0))
      call avR2(1103, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4955])

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5132])

      allocate(vertices(858)%branchR2(0:1))
      call avR2(858, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_4997, nGC_4997])

      call avR2(858, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_4995, nGC_4996])

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5145])

      allocate(vertices(1225)%branchR2(0:0))
      call avR2(1225, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5134])

      allocate(vertices(1382)%branchR2(0:1))
      call avR2(1382, 0, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_4936, nGC_4934])

      call avR2(1382, 1, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_4949, nGC_4948])

      allocate(vertices(1656)%branchR2(0:0))
      call avR2(1656, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5113])

      allocate(vertices(1657)%branchR2(0:1))
      call avR2(1657, 0, 48, 1, 0, VSV0, 0, [2, 1], [nGC_5004])

      call avR2(1657, 1, 47, 1, 0, VSV0, 0, [2, 1], [nGC_5003])

      allocate(vertices(614)%branchR2(0:1))
      call avR2(614, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5039, nGC_5040])

      call avR2(614, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5041, nGC_5041])

      allocate(vertices(441)%branchR2(0:0))
      call avR2(441, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4920])

      allocate(vertices(1658)%branchR2(0:1))
      call avR2(1658, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_5148])

      call avR2(1658, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_5149])

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4893])

      allocate(vertices(119)%branchR2(0:0))
      call avR2(119, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5183, nGC_5184,        &
      nGC_5184])

      allocate(vertices(984)%branchR2(0:1))
      call avR2(984, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_5046, nGC_5046])

      call avR2(984, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_5044, nGC_5045])

      allocate(vertices(149)%branchR2(0:0))
      call avR2(149, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5160])

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 14, 1, 0, SS3, 0, [0, 2], [nGC_4845, nGC_4844])

      allocate(vertices(1511)%branchR2(0:0))
      call avR2(1511, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5127])

      allocate(vertices(776)%branchR2(0:1))
      call avR2(776, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_4925, nGC_4927])

      call avR2(776, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_4926, nGC_4928])

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

      allocate(vertices(1393)%branchR2(0:0))
      call avR2(1393, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5132])

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5164])

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5156])

      allocate(vertices(117)%branchR2(0:0))
      call avR2(117, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_5031, nGC_5030])

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5067])

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5151])

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_4938])

      allocate(vertices(1065)%branchR2(0:0))
      call avR2(1065, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14673])

      allocate(vertices(1068)%branchR2(0:1))
      call avR2(1068, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_4936, nGC_4934])

      call avR2(1068, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_4949, nGC_4948])

      allocate(vertices(489)%branchR2(0:0))
      call avR2(489, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5119])

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5146])

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5161])

      allocate(vertices(3)%branchR2(0:1))
      call avR2(3, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_4961, nGC_4963])

      call avR2(3, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_4962, nGC_4964])

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5108])

      allocate(vertices(1379)%branchR2(0:0))
      call avR2(1379, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5117])

      allocate(vertices(1659)%branchR2(0:1))
      call avR2(1659, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_5152, nGC_5152,      &
      nGC_5152])

      call avR2(1659, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_5153, nGC_5153,      &
      nGC_5153])

      allocate(vertices(1660)%branchR2(0:1))
      call avR2(1660, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_5178, nGC_5178,      &
      nGC_5178])

      call avR2(1660, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_5179, nGC_5179,      &
      nGC_5179])

      allocate(vertices(202)%branchR2(0:3))
      call avR2(202, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_5101, nGC_5100])

      call avR2(202, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_5097, nGC_5097])

      call avR2(202, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_5099, nGC_5098])

      call avR2(202, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_5094, nGC_5094])

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 14, 1, 0, SS3, 0, [0, 2], [nGC_4835, nGC_4834])

      allocate(vertices(1493)%branchR2(0:1))
      call avR2(1493, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_4860, nGC_4857,       &
      nGC_4858, nGC_4858])

      call avR2(1493, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_4856, nGC_4856,       &
      nGC_4859, nGC_4859])

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_4956])

      allocate(vertices(1661)%branchR2(0:1))
      call avR2(1661, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_5173])

      call avR2(1661, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_5174])

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5146])

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5150])

      allocate(vertices(480)%branchR2(0:1))
      call avR2(480, 0, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_5009, nGC_5009])

      call avR2(480, 1, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_5007, nGC_5008])

      allocate(vertices(233)%branchR2(0:1))
      call avR2(233, 0, 30, 1, 0, SFaF0, 0, [0, 3], [nGC_5036, nGC_5037])

      call avR2(233, 1, 30, 1, 0, SFaF0, 0, [2, 1], [nGC_5038, nGC_5038])

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5109, nGC_5111,        &
      nGC_5110])

      allocate(vertices(275)%branchR2(0:1))
      call avR2(275, 0, 31, 1, 0, VFFa1, 0, [2, 1], [nGC_5060, nGC_5058])

      call avR2(275, 1, 31, 1, 0, VFFa1, 0, [0, 3], [nGC_5077, nGC_5076])

      allocate(vertices(103)%branchR2(0:0))
      call avR2(103, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5118])

      allocate(vertices(1488)%branchR2(0:0))
      call avR2(1488, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5133])

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_4950])

      allocate(vertices(1331)%branchR2(0:1))
      call avR2(1331, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4933, nGC_4935])

      call avR2(1331, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4934, nGC_4936])

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5116])

      allocate(vertices(1008)%branchR2(0:1))
      call avR2(1008, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_5023, nGC_5023])

      call avR2(1008, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_5021, nGC_5022])

      allocate(vertices(692)%branchR2(0:0))
      call avR2(692, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5118])

      allocate(vertices(59)%branchR2(0:1))
      call avR2(59, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_4900, nGC_4900])

      call avR2(59, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_4917, nGC_4916])

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5063, nGC_5064])

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5128, nGC_5130,       &
      nGC_5129])

      allocate(vertices(1662)%branchR2(0:0))
      call avR2(1662, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5138, nGC_5138,       &
      nGC_5138])

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5166])

      allocate(vertices(1663)%branchR2(0:1))
      call avR2(1663, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_5179, nGC_5179,      &
      nGC_5179])

      call avR2(1663, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_5178, nGC_5178,      &
      nGC_5178])

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5145])

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4953])

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5118])

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_4908])

      allocate(vertices(391)%branchR2(0:3))
      call avR2(391, 0, 19, 1, 0, FaFV0, 0, [1, 2], [nGC_5083, nGC_5081])

      call avR2(391, 1, 19, 1, 0, FaFV0, 0, [3, 0], [nGC_5082, nGC_5082])

      call avR2(391, 2, 20, 1, 0, FaFV0, 0, [1, 2], [nGC_5080, nGC_5078])

      call avR2(391, 3, 20, 1, 0, FaFV0, 0, [3, 0], [nGC_5079, nGC_5079])

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_5043, nGC_5042])

      allocate(vertices(426)%branchR2(0:1))
      call avR2(426, 0, 28, 1, 0, FaFV1, 0, [2, 1], [nGC_5049])

      call avR2(426, 1, 28, 1, 0, FaFV1, 0, [0, 3], [nGC_5050])

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5146])

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5164])

      allocate(vertices(145)%branchR2(0:0))
      call avR2(145, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5169])

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5065, nGC_5066])

      allocate(vertices(1425)%branchR2(0:0))
      call avR2(1425, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_4907])

      allocate(vertices(1314)%branchR2(0:0))
      call avR2(1314, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4941])

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_4952])

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5157])

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5151])

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5120])

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_13730])

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5162])

      allocate(vertices(1664)%branchR2(0:0))
      call avR2(1664, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4890])

      allocate(vertices(1665)%branchR2(0:0))
      call avR2(1665, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5115])

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(299)%branchR2(0:0))
      call avR2(299, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5156])

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5139])

      allocate(vertices(1044)%branchR2(0:0))
      call avR2(1044, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4943])

      allocate(vertices(251)%branchR2(0:0))
      call avR2(251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5155])

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5119])

      allocate(vertices(708)%branchR2(0:1))
      call avR2(708, 0, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_5060, nGC_5058])

      call avR2(708, 1, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_5073, nGC_5072])

      allocate(vertices(748)%branchR2(0:1))
      call avR2(748, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_4973, nGC_4975])

      call avR2(748, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_4974, nGC_4976])

      allocate(vertices(1666)%branchR2(0:0))
      call avR2(1666, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5126, nGC_5125,       &
      nGC_5126])

      allocate(vertices(1667)%branchR2(0:5))
      call avR2(1667, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,      &
      nGC_5192])

      call avR2(1667, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_5194, nGC_5194,      &
      nGC_5194])

      call avR2(1667, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,      &
      nGC_5193])

      call avR2(1667, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,      &
      nGC_5193])

      call avR2(1667, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,      &
      nGC_5193])

      call avR2(1667, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,      &
      nGC_5192])

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_5051])

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5164])

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5116])

      allocate(vertices(37)%branchR2(0:1))
      call avR2(37, 0, 28, 1, 0, FaFV0, 0, [2, 1], [nGC_4900, nGC_4900])

      call avR2(37, 1, 28, 1, 0, FaFV0, 0, [0, 3], [nGC_4899, nGC_4898])

      allocate(vertices(1468)%branchR2(0:0))
      call avR2(1468, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5132])

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14094])

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5020])

      allocate(vertices(1391)%branchR2(0:0))
      call avR2(1391, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5127])

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5128, nGC_5129,        &
      nGC_5130])

      allocate(vertices(859)%branchR2(0:0))
      call avR2(859, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5150])

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5116])

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_4939])

      allocate(vertices(1668)%branchR2(0:1))
      call avR2(1668, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_5153, nGC_5153,      &
      nGC_5153])

      call avR2(1668, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_5152, nGC_5152,      &
      nGC_5152])

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_4952])

      allocate(vertices(1313)%branchR2(0:0))
      call avR2(1313, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5119])

      allocate(vertices(1669)%branchR2(0:1))
      call avR2(1669, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_5003])

      call avR2(1669, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_5004])

      allocate(vertices(953)%branchR2(0:0))
      call avR2(953, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5147])

      allocate(vertices(1670)%branchR2(0:1))
      call avR2(1670, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_5187])

      call avR2(1670, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_5188])

      allocate(vertices(1351)%branchR2(0:1))
      call avR2(1351, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4911, nGC_4910])

      call avR2(1351, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_4897, nGC_4897])

      allocate(vertices(818)%branchR2(0:0))
      call avR2(818, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4920])

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5142])

      allocate(vertices(101)%branchR2(0:1))
      call avR2(101, 0, 28, 1, 0, FaFS0, 0, [2, 1], [nGC_4928, nGC_4926])

      call avR2(101, 1, 28, 1, 0, FaFS0, 0, [0, 3], [nGC_4945, nGC_4944])

      allocate(vertices(747)%branchR2(0:1))
      call avR2(747, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_5023, nGC_5023])

      call avR2(747, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_5021, nGC_5022])

      allocate(vertices(597)%branchR2(0:0))
      call avR2(597, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5051])

      allocate(vertices(1092)%branchR2(0:3))
      call avR2(1092, 0, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_5083, nGC_5081])

      call avR2(1092, 1, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_5082, nGC_5082])

      call avR2(1092, 2, 26, 1, 0, VFFa1, 0, [1, 2], [nGC_5080, nGC_5078])

      call avR2(1092, 3, 26, 1, 0, VFFa1, 0, [3, 0], [nGC_5079, nGC_5079])

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5130, nGC_5128,        &
      nGC_5129])

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_4938])

      allocate(vertices(1188)%branchR2(0:0))
      call avR2(1188, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5109, nGC_5110,       &
      nGC_5111])

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5151])

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5150])

      allocate(vertices(283)%branchR2(0:0))
      call avR2(283, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5051])

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5052])

      allocate(vertices(693)%branchR2(0:0))
      call avR2(693, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5166])

      allocate(vertices(91)%branchR2(0:1))
      call avR2(91, 0, 27, 1, 0, FaSF0, 0, [2, 1], [nGC_5000, nGC_5000])

      call avR2(91, 1, 27, 1, 0, FaSF0, 0, [0, 3], [nGC_4998, nGC_4999])

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5160])

      allocate(vertices(1336)%branchR2(0:0))
      call avR2(1336, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_5006, nGC_5005])

      allocate(vertices(1442)%branchR2(0:0))
      call avR2(1442, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5132])

      allocate(vertices(295)%branchR2(0:1))
      call avR2(295, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_4900, nGC_4900])

      call avR2(295, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_4913, nGC_4912])

      allocate(vertices(616)%branchR2(0:0))
      call avR2(616, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5144])

      allocate(vertices(1193)%branchR2(0:0))
      call avR2(1193, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4943])

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_5019])

      allocate(vertices(143)%branchR2(0:0))
      call avR2(143, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5158])

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5162])

      allocate(vertices(1671)%branchR2(0:0))
      call avR2(1671, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5121, nGC_5121,       &
      nGC_5121])

      allocate(vertices(1452)%branchR2(0:0))
      call avR2(1452, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_4909])

      allocate(vertices(347)%branchR2(0:0))
      call avR2(347, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5142])

      allocate(vertices(1284)%branchR2(0:0))
      call avR2(1284, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4943])

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4886])

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5154])

      allocate(vertices(1672)%branchR2(0:1))
      call avR2(1672, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_5186])

      call avR2(1672, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_5185])

      allocate(vertices(127)%branchR2(0:3))
      call avR2(127, 0, 21, 1, 0, FVFa1, 0, [1, 2], [nGC_5096, nGC_5095])

      call avR2(127, 1, 21, 1, 0, FVFa1, 0, [3, 0], [nGC_5097, nGC_5097])

      call avR2(127, 2, 22, 1, 0, FVFa1, 0, [1, 2], [nGC_5093, nGC_5092])

      call avR2(127, 3, 22, 1, 0, FVFa1, 0, [3, 0], [nGC_5094, nGC_5094])

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5132])

      allocate(vertices(775)%branchR2(0:0))
      call avR2(775, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5146])

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5130, nGC_5128,        &
      nGC_5129])

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5143])

      allocate(vertices(1404)%branchR2(0:1))
      call avR2(1404, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_4860, nGC_4857,       &
      nGC_4858, nGC_4858])

      call avR2(1404, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_4856, nGC_4856,       &
      nGC_4859, nGC_4859])

      allocate(vertices(34)%branchR2(0:0))
      call avR2(34, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5139])

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 14, 1, 0, VV2, 0, [0, 2], [nGC_4837, nGC_4836,        &
      nGC_4838])

      allocate(vertices(359)%branchR2(0:1))
      call avR2(359, 0, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_5056, nGC_5054])

      call avR2(359, 1, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_5062, nGC_5061])

      allocate(vertices(1189)%branchR2(0:3))
      call avR2(1189, 0, 25, 1, 0, VFFa1, 0, [1, 2], [nGC_5096, nGC_5095])

      call avR2(1189, 1, 25, 1, 0, VFFa1, 0, [3, 0], [nGC_5097, nGC_5097])

      call avR2(1189, 2, 26, 1, 0, VFFa1, 0, [1, 2], [nGC_5093, nGC_5092])

      call avR2(1189, 3, 26, 1, 0, VFFa1, 0, [3, 0], [nGC_5094, nGC_5094])

      allocate(vertices(1312)%branchR2(0:1))
      call avR2(1312, 0, 30, 1, 0, VFaF1, 0, [0, 3], [nGC_5055, nGC_5053])

      call avR2(1312, 1, 30, 1, 0, VFaF1, 0, [2, 1], [nGC_5056, nGC_5054])

      allocate(vertices(1199)%branchR2(0:0))
      call avR2(1199, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5142])

      allocate(vertices(1173)%branchR2(0:0))
      call avR2(1173, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5160])

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4990])

      allocate(vertices(28)%branchR2(0:1))
      call avR2(28, 0, 30, 1, 0, VFaF0, 0, [0, 3], [nGC_5048])

      call avR2(28, 1, 30, 1, 0, VFaF0, 0, [2, 1], [nGC_5049])

      allocate(vertices(602)%branchR2(0:0))
      call avR2(602, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5117])

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5146])

      allocate(vertices(153)%branchR2(0:0))
      call avR2(153, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_4939])

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 14, 1, 0, FaF2, 0, [0, 2], [nGC_4867, nGC_4868,       &
      nGC_4869, nGC_4869])

      allocate(vertices(351)%branchR2(0:1))
      call avR2(351, 0, 29, 1, 0, FSFa0, 0, [0, 3], [nGC_4977, nGC_4979])

      call avR2(351, 1, 29, 1, 0, FSFa0, 0, [2, 1], [nGC_4978, nGC_4980])

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4954])

      allocate(vertices(208)%branchR2(0:1))
      call avR2(208, 0, 31, 1, 0, SFFa0, 0, [0, 3], [nGC_5027, nGC_5028])

      call avR2(208, 1, 31, 1, 0, SFFa0, 0, [2, 1], [nGC_5029, nGC_5029])

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_5033, nGC_5032])

      allocate(vertices(211)%branchR2(0:0))
      call avR2(211, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_5006, nGC_5005])

      allocate(vertices(1673)%branchR2(0:1))
      call avR2(1673, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_5152, nGC_5152,      &
      nGC_5152])

      call avR2(1673, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_5153, nGC_5153,      &
      nGC_5153])

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_5031, nGC_5030])

      allocate(vertices(1674)%branchR2(0:1))
      call avR2(1674, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_5152, nGC_5152,      &
      nGC_5152])

      call avR2(1674, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_5153, nGC_5153,      &
      nGC_5153])

      allocate(vertices(1381)%branchR2(0:1))
      call avR2(1381, 0, 29, 1, 0, FVFa1, 0, [2, 1], [nGC_4897, nGC_4897])

      call avR2(1381, 1, 29, 1, 0, FVFa1, 0, [0, 3], [nGC_4896, nGC_4895])

      allocate(vertices(702)%branchR2(0:0))
      call avR2(702, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5052])

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13802])

    end subroutine fill_vertices_mdl6
end module vertices_info6
