!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_4640) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_4641) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_4642) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
      coupl(nGC_4643) = -cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_259) = cima*gs
      coupl(nGC_251) = -3d0*ca**3d0*cima*vevs
      coupl(nGC_253) = 3d0*ca*cima*sa*(ca*vev - sa*vevs)
      coupl(nGC_255) = 3d0*cima*sa**3d0*vev
      coupl(nGC_100) = -cima*ym
      coupl(nGC_101) = -sqrt(2d0)*ym/2d0
      coupl(nGC_102) = sqrt(2d0)*ym/2d0
      coupl(nGC_103) = -sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_104) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_105) = -cima*ys
      coupl(nGC_106) = -sqrt(2d0)*ys/2d0
      coupl(nGC_107) = sqrt(2d0)*ys/2d0
      coupl(nGC_108) = -sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_109) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_1183) = -coupl(nGC_47)
      coupl(nGC_923) = -coupl(nGC_46)
      coupl(nGC_4679) = -ca*cima*ee**2d0*vev/sw**3d0
      coupl(nGC_4678) = -ee**2d0/cw
      coupl(nGC_4671) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_4670) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_4673) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_4672) = -cima*ee**2d0*vev/cw
      coupl(nGC_4675) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_4674) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_4677) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_4676) = -cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)**&
                        2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_247) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0)
      coupl(nGC_4583) = -cMZ*cima*ee/(2d0*sw**2d0)
      coupl(nGC_4582) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_4581) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_4580) = cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_4587) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_4586) = 2d0*cima*ee**2d0/sw
      coupl(nGC_4585) = cima*ee/(4d0*cMZ*sw)
      coupl(nGC_4584) = cMZ*cima*ee/(2d0*sw)
      coupl(nGC_4589) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_4588) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_119) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_118) = -sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_117) = sqrt(2d0)*ytau/2d0
      coupl(nGC_116) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_115) = -cima*ytau
      coupl(nGC_114) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_113) = -sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_112) = sqrt(2d0)*yt/2d0
      coupl(nGC_111) = -sqrt(2d0)*yt/2d0
      coupl(nGC_110) = cima*yt
      coupl(nGC_1107) = -2d0*coupl(nGC_5)
      coupl(nGC_2389) = -coupl(nGC_57)
      coupl(nGC_931) = -coupl(nGC_34)
      coupl(nGC_419) = -coupl(nGC_32)
      coupl(nGC_1067) = -2d0*coupl(nGC_12)
      coupl(nGC_443) = -coupl(nGC_4)
      coupl(nGC_883) = -2d0*coupl(nGC_27)
      coupl(nGC_1275) = -coupl(nGC_61)
      coupl(nGC_1071) = -coupl(nGC_12)
      coupl(nGC_1073) = 2d0*coupl(nGC_12)
      coupl(nGC_435) = -coupl(nGC_3)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
