!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_4949) = (8d0*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_2) + coupl( &
                        nGC_1)*coupl(nGC_120)*coupl(nGC_4) + coupl(nGC_120)*   &
                        coupl(nGC_2)*coupl(nGC_443) + coupl(nGC_120)*coupl(    &
                        nGC_2061)*coupl(nGC_51) + 8d0*coupl(nGC_120)*coupl(    &
                        nGC_51)*coupl(nGC_53) + coupl(nGC_120)*coupl(nGC_53)*  &
                        coupl(nGC_55) + coupl(nGC_121)*coupl(nGC_32)*coupl(    &
                        nGC_33) - coupl(nGC_121)*coupl(nGC_90)*coupl(nGC_92) + &
                        coupl(nGC_123)*coupl(nGC_1581)*coupl(nGC_33) - coupl(  &
                        nGC_123)*coupl(nGC_90)*coupl(nGC_93) + coupl(nGC_124)* &
                        coupl(nGC_33)*coupl(nGC_923) - coupl(nGC_124)*coupl(   &
                        nGC_90)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_4948) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_90) - coupl(nGC_120)*    &
                        coupl(nGC_122)*coupl(nGC_91) - coupl(nGC_120)*coupl(   &
                        nGC_123)*coupl(nGC_93) - coupl(nGC_120)*coupl(nGC_124)*&
                        coupl(nGC_94) + coupl(nGC_2)*coupl(nGC_443)*coupl(     &
                        nGC_90) + coupl(nGC_2061)*coupl(nGC_54)*coupl(nGC_90   &
                        ) + coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_93) + coupl( &
                        nGC_33)*coupl(nGC_419)*coupl(nGC_91) + coupl(nGC_33)*  &
                        coupl(nGC_46)*coupl(nGC_94) + 8d0*coupl(nGC_50)*coupl( &
                        nGC_54)*coupl(nGC_90) + coupl(nGC_50)*coupl(nGC_55)*   &
                        coupl(nGC_90))/(32d0*pi**2d0)
      coupl(nGC_5031) = (coupl(nGC_1275)*coupl(nGC_52)*coupl(nGC_97) + coupl(  &
                        nGC_33)*coupl(nGC_46)*coupl(nGC_95) + 8d0*coupl(nGC_4  &
                        )**2d0*coupl(nGC_99) + 8d0*coupl(nGC_52)*coupl(nGC_55)*&
                        coupl(nGC_99) + coupl(nGC_55)*coupl(nGC_61)*coupl(     &
                        nGC_97) - coupl(nGC_97)**2d0*coupl(nGC_99) - coupl(    &
                        nGC_98)**2d0*coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_5175) = (-4d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)*coupl(   &
                        nGC_54) - 4d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_54  &
                        )**2d0 + 4d0*cima*coupl(nGC_29)**2d0 - 4d0*cima*coupl( &
                        nGC_33)**2d0*coupl(nGC_55)**2d0 + 12d0*cima*coupl(     &
                        nGC_33)**2d0*coupl(nGC_55)*coupl(nGC_56) - 4d0*cima*   &
                        coupl(nGC_33)**2d0*coupl(nGC_56)**2d0 - 8d0*cima*coupl(&
                        nGC_37)**2d0*coupl(nGC_435)**2d0 - 8d0*cima*coupl(     &
                        nGC_37)**2d0*coupl(nGC_517)**2d0 + 4d0*cima*coupl(     &
                        nGC_423)**2d0 + coupl(nGC_27)*coupl(nGC_37)**2d0 + 12d0&
                        *coupl(nGC_29)*coupl(nGC_37)*coupl(nGC_517) + coupl(   &
                        nGC_29)*coupl(nGC_435)**2d0 + coupl(nGC_29)*coupl(     &
                        nGC_517)**2d0 + 2d0*coupl(nGC_37)*coupl(nGC_41)*coupl( &
                        nGC_435) + 12d0*coupl(nGC_37)*coupl(nGC_423)*coupl(    &
                        nGC_435) + 2d0*coupl(nGC_37)*coupl(nGC_463)*coupl(     &
                        nGC_517) + coupl(nGC_517)**2d0*coupl(nGC_883))/(32d0*pi&
                        **2d0)
      coupl(nGC_5127) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_106)*coupl(      &
                        nGC_107)*coupl(nGC_50) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_53) - 12d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_81)*coupl(   &
                        nGC_82) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)*coupl&
                        (nGC_91)*coupl(nGC_92) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) - 12d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_91)*coupl(   &
                        nGC_92) - 12d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*  &
                        coupl(nGC_2)*coupl(nGC_51) - 12d0*Nc*cima*coupl(nGC_111&
                        )*coupl(nGC_112)*coupl(nGC_2)*coupl(nGC_54) - 12d0*Nc* &
                        cima*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_2)*coupl( &
                        nGC_51) - 12d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122)*  &
                        coupl(nGC_2)*coupl(nGC_54) - 12d0*Nc*cima*coupl(nGC_2)*&
                        coupl(nGC_51)*coupl(nGC_86)*coupl(nGC_87) - 12d0*Nc*   &
                        cima*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_86)*coupl(   &
                        nGC_87) - 12d0*cima*coupl(nGC_101)*coupl(nGC_102)*coupl&
                        (nGC_4)*coupl(nGC_52) - 12d0*cima*coupl(nGC_101)*coupl(&
                        nGC_102)*coupl(nGC_4)*coupl(nGC_55) - 12d0*cima*coupl( &
                        nGC_116)*coupl(nGC_117)*coupl(nGC_4)*coupl(nGC_52) -   &
                        12d0*cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4)*  &
                        coupl(nGC_55) + 4d0*cima*coupl(nGC_2061)*coupl(nGC_32)*&
                        coupl(nGC_419)*coupl(nGC_443) + 12d0*cima*coupl(nGC_26 &
                        )*coupl(nGC_41) + 9d0*cima*coupl(nGC_3)*coupl(nGC_32)* &
                        coupl(nGC_37)*coupl(nGC_419) + 4d0*cima*coupl(nGC_32)* &
                        coupl(nGC_4)*coupl(nGC_419)*coupl(nGC_55) + 9d0*cima*  &
                        coupl(nGC_32)*coupl(nGC_419)*coupl(nGC_435)*coupl(     &
                        nGC_517) - 12d0*cima*coupl(nGC_4)*coupl(nGC_52)*coupl( &
                        nGC_96)*coupl(nGC_97) - 12d0*cima*coupl(nGC_4)*coupl(  &
                        nGC_55)*coupl(nGC_96)*coupl(nGC_97) + 18d0*coupl(nGC_26&
                        )*coupl(nGC_3)*coupl(nGC_37) + 18d0*coupl(nGC_26)*coupl&
                        (nGC_435)*coupl(nGC_517) - 3d0*coupl(nGC_3)*coupl(     &
                        nGC_32)*coupl(nGC_8) - 3d0*coupl(nGC_3)*coupl(nGC_419)*&
                        coupl(nGC_7) - 6d0*coupl(nGC_32)*coupl(nGC_41)*coupl(  &
                        nGC_419) + 6d0*coupl(nGC_32)*coupl(nGC_419)*coupl(     &
                        nGC_58) - 3d0*coupl(nGC_32)*coupl(nGC_435)*coupl(nGC_7 &
                        ) - 6d0*coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_419) -   &
                        6d0*coupl(nGC_39)*coupl(nGC_419)*coupl(nGC_517) - 3d0* &
                        coupl(nGC_419)*coupl(nGC_435)*coupl(nGC_8))/(96d0*pi** &
                        2d0)
      coupl(nGC_4942) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) -  &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) - 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_89) + 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) + 4d0*coupl( &
                        nGC_100)*coupl(nGC_104)*coupl(nGC_33) + 4d0*coupl(     &
                        nGC_115)*coupl(nGC_119)*coupl(nGC_33) + coupl(nGC_1183 &
                        )*coupl(nGC_1581)**2d0 + coupl(nGC_1183)*coupl(nGC_32  &
                        )**2d0 + coupl(nGC_1183)*coupl(nGC_923)**2d0 + coupl(  &
                        nGC_1275)*coupl(nGC_419)*coupl(nGC_55) - 6d0*coupl(    &
                        nGC_2061)*coupl(nGC_46)*coupl(nGC_517) + 4d0*coupl(    &
                        nGC_33)*coupl(nGC_95)*coupl(nGC_99) - 6d0*coupl(nGC_37 &
                        )*coupl(nGC_419)*coupl(nGC_61) - 6d0*coupl(nGC_435)*   &
                        coupl(nGC_443)*coupl(nGC_46))/(96d0*pi**2d0)
      coupl(nGC_4941) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) -  &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) - 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_88) + 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) + 4d0*coupl( &
                        nGC_100)*coupl(nGC_103)*coupl(nGC_33) + 4d0*coupl(     &
                        nGC_115)*coupl(nGC_118)*coupl(nGC_33) + coupl(nGC_1581 &
                        )**2d0*coupl(nGC_931) - 6d0*coupl(nGC_2061)*coupl(     &
                        nGC_35)*coupl(nGC_517) + coupl(nGC_2389)*coupl(nGC_419 &
                        )*coupl(nGC_55) + coupl(nGC_32)**2d0*coupl(nGC_931) +  &
                        4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_98) - 6d0*   &
                        coupl(nGC_35)*coupl(nGC_435)*coupl(nGC_443) - 6d0*coupl&
                        (nGC_37)*coupl(nGC_419)*coupl(nGC_57) + coupl(nGC_923  &
                        )**2d0*coupl(nGC_931))/(96d0*pi**2d0)
      coupl(nGC_4940) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_33) -  &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_112)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_82) - 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_87) + 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_92) + 4d0*coupl( &
                        nGC_100)*coupl(nGC_102)*coupl(nGC_33) + 4d0*coupl(     &
                        nGC_115)*coupl(nGC_117)*coupl(nGC_33) - 6d0*coupl(     &
                        nGC_1275)*coupl(nGC_37)*coupl(nGC_46) + coupl(nGC_1581 &
                        )**2d0*coupl(nGC_32) - 6d0*coupl(nGC_2061)*coupl(      &
                        nGC_419)*coupl(nGC_517) - 6d0*coupl(nGC_2389)*coupl(   &
                        nGC_35)*coupl(nGC_37) + coupl(nGC_32)**3d0 + coupl(    &
                        nGC_32)*coupl(nGC_923)**2d0 + 4d0*coupl(nGC_33)*coupl( &
                        nGC_95)*coupl(nGC_97) + coupl(nGC_35)*coupl(nGC_55)*   &
                        coupl(nGC_57) - 6d0*coupl(nGC_419)*coupl(nGC_435)*coupl&
                        (nGC_443) + coupl(nGC_46)*coupl(nGC_55)*coupl(nGC_61   &
                        ))/(96d0*pi**2d0)
      coupl(nGC_4947) = (8d0*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_105)*coupl(nGC_443) - coupl(nGC_105)* &
                        coupl(nGC_2)*coupl(nGC_4) - coupl(nGC_105)*coupl(      &
                        nGC_2061)*coupl(nGC_50) + 8d0*coupl(nGC_105)*coupl(    &
                        nGC_50)*coupl(nGC_54) - coupl(nGC_105)*coupl(nGC_54)*  &
                        coupl(nGC_55) - coupl(nGC_106)*coupl(nGC_32)*coupl(    &
                        nGC_33) - coupl(nGC_106)*coupl(nGC_85)*coupl(nGC_87) - &
                        coupl(nGC_108)*coupl(nGC_1581)*coupl(nGC_33) - coupl(  &
                        nGC_108)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_109)* &
                        coupl(nGC_33)*coupl(nGC_923) - coupl(nGC_109)*coupl(   &
                        nGC_85)*coupl(nGC_89))/(32d0*pi**2d0)
      coupl(nGC_4946) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(  &
                        nGC_1)*coupl(nGC_443)*coupl(nGC_85) - coupl(nGC_105)*  &
                        coupl(nGC_107)*coupl(nGC_86) - coupl(nGC_105)*coupl(   &
                        nGC_108)*coupl(nGC_88) - coupl(nGC_105)*coupl(nGC_109)*&
                        coupl(nGC_89) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_85 &
                        ) - coupl(nGC_2061)*coupl(nGC_53)*coupl(nGC_85) - coupl&
                        (nGC_33)*coupl(nGC_35)*coupl(nGC_88) - coupl(nGC_33)*  &
                        coupl(nGC_419)*coupl(nGC_86) - coupl(nGC_33)*coupl(    &
                        nGC_46)*coupl(nGC_89) + 8d0*coupl(nGC_51)*coupl(nGC_53 &
                        )*coupl(nGC_85) - coupl(nGC_51)*coupl(nGC_55)*coupl(   &
                        nGC_85))/(32d0*pi**2d0)
      coupl(nGC_4945) = (8d0*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_2) + coupl( &
                        nGC_1)*coupl(nGC_110)*coupl(nGC_4) + coupl(nGC_110)*   &
                        coupl(nGC_2)*coupl(nGC_443) + coupl(nGC_110)*coupl(    &
                        nGC_2061)*coupl(nGC_51) + 8d0*coupl(nGC_110)*coupl(    &
                        nGC_51)*coupl(nGC_53) + coupl(nGC_110)*coupl(nGC_53)*  &
                        coupl(nGC_55) + coupl(nGC_111)*coupl(nGC_32)*coupl(    &
                        nGC_33) - coupl(nGC_111)*coupl(nGC_80)*coupl(nGC_82) + &
                        coupl(nGC_113)*coupl(nGC_1581)*coupl(nGC_33) - coupl(  &
                        nGC_113)*coupl(nGC_80)*coupl(nGC_83) + coupl(nGC_114)* &
                        coupl(nGC_33)*coupl(nGC_923) - coupl(nGC_114)*coupl(   &
                        nGC_80)*coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_4944) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80) + coupl(  &
                        nGC_1)*coupl(nGC_4)*coupl(nGC_80) - coupl(nGC_110)*    &
                        coupl(nGC_112)*coupl(nGC_81) - coupl(nGC_110)*coupl(   &
                        nGC_113)*coupl(nGC_83) - coupl(nGC_110)*coupl(nGC_114)*&
                        coupl(nGC_84) + coupl(nGC_2)*coupl(nGC_443)*coupl(     &
                        nGC_80) + coupl(nGC_2061)*coupl(nGC_54)*coupl(nGC_80   &
                        ) + coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_83) + coupl( &
                        nGC_33)*coupl(nGC_419)*coupl(nGC_81) + coupl(nGC_33)*  &
                        coupl(nGC_46)*coupl(nGC_84) + 8d0*coupl(nGC_50)*coupl( &
                        nGC_54)*coupl(nGC_80) + coupl(nGC_50)*coupl(nGC_55)*   &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8129) = coupl(nGC_8125) + coupl(nGC_8128)
      coupl(nGC_5197) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_1071)*coupl(nGC_1073) - 12d0*Nc*cima*   &
                        coupl(nGC_1073)*coupl(nGC_12) - 3d0*Nc*coupl(nGC_10)** &
                        2d0*coupl(nGC_1067)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)** &
                        2d0*coupl(nGC_1071)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)** &
                        2d0*coupl(nGC_1073)*sq2**2d0 - 21d0*Nc*coupl(nGC_10)** &
                        2d0*coupl(nGC_12)*sq2**2d0 - 12d0*cima*coupl(nGC_11)** &
                        4d0*sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_5196) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_1071)**2d0 + 12d0*Nc*cima*coupl(nGC_12  &
                        )**2d0 - 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_1071)*sq2&
                        **2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2** &
                        2d0 + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi &
                        **2d0)
      coupl(nGC_7830) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0&
                         + coupl(nGC_5238)
      coupl(nGC_7831) = -coupl(nGC_7830)
      coupl(nGC_5199) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*Nc*cima&
                        *coupl(nGC_1071)*coupl(nGC_1073) - 6d0*Nc*cima*coupl(  &
                        nGC_1073)*coupl(nGC_12) - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_1067)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_1071)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_1073)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_12)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0*  &
                        sq2**4d0)/(384d0*pi**2d0*Nc)
      coupl(nGC_5198) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*Nc*cima*&
                        coupl(nGC_1071)*coupl(nGC_1073) - 3d0*Nc*cima*coupl(   &
                        nGC_1073)*coupl(nGC_12) + 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_1071)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_1073)*sq2**2d0 - 6d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_12)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0*  &
                        sq2**4d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_15469) = -coupl(nGC_4922)
      coupl(nGC_7403) = -coupl(nGC_7402)
      coupl(nGC_7686) = coupl(nGC_5231) + coupl(nGC_74)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_75)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_18_Hl) + coupl&
                        (nGC_TS_GC_20_Hh)
      coupl(nGC_5050) = coupl(nGC_33)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1 &
                        )*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_435) - coupl(  &
                        nGC_37)*coupl(nGC_53) - coupl(nGC_517)*coupl(nGC_54) + &
                        coupl(nGC_53)*coupl(nGC_54))/(8d0*pi**2d0)
      coupl(nGC_5051) = coupl(nGC_33)*(coupl(nGC_37)*coupl(nGC_56) + coupl(    &
                        nGC_4)*coupl(nGC_435) + coupl(nGC_517)*coupl(nGC_55) + &
                        coupl(nGC_55)*coupl(nGC_56))/(8d0*pi**2d0)
      coupl(nGC_8563) = coupl(nGC_8561) + coupl(nGC_8562)
      coupl(nGC_8349) = -coupl(nGC_8348)
      coupl(nGC_4923) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) + &
                        4d0*Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) +   &
                        4d0*Nc*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) -   &
                        4d0*Nc*coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) + 4d0*&
                        Nc*coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_89) - 4d0*Nc* &
                        coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) - 4d0*coupl( &
                        nGC_100)*coupl(nGC_104)*coupl(nGC_33) - 4d0*coupl(     &
                        nGC_115)*coupl(nGC_119)*coupl(nGC_33) + coupl(nGC_1183 &
                        )**2d0*coupl(nGC_923) + coupl(nGC_1275)*coupl(nGC_2061 &
                        )*coupl(nGC_419) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(&
                        nGC_47) + coupl(nGC_32)**2d0*coupl(nGC_923) - 4d0*coupl&
                        (nGC_33)*coupl(nGC_95)*coupl(nGC_99) - 6d0*coupl(nGC_37&
                        )*coupl(nGC_47)*coupl(nGC_55) - 6d0*coupl(nGC_419)*    &
                        coupl(nGC_517)*coupl(nGC_61) + coupl(nGC_923)*coupl(   &
                        nGC_931)**2d0)/(96d0*pi**2d0)
      coupl(nGC_7453) = coupl(nGC_5354) + coupl(nGC_7452)
      coupl(nGC_9826) = coupl(nGC_5441) + coupl(nGC_TS_GC_108_Hh) + coupl(     &
                        nGC_TS_GC_109_Hl)
      coupl(nGC_5119) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_109 &
                        )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_110)*coupl(nGC_114)*coupl(nGC_33) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80&
                        )*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_33)*coupl(nGC_85)*coupl(nGC_89) + 4d0*Nc*cima*coupl&
                        (nGC_1)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) -    &
                        16d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_2 &
                        )*coupl(nGC_33) + 4d0*Nc*cima*coupl(nGC_110)*coupl(    &
                        nGC_114)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima*coupl&
                        (nGC_120)*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_33) -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80)* &
                        coupl(nGC_84) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*&
                        coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_4&
                        ) + 4d0*cima*coupl(nGC_115)*coupl(nGC_119)*coupl(nGC_33&
                        )*coupl(nGC_4) + 4d0*cima*coupl(nGC_1183)**2d0*coupl(  &
                        nGC_443)*coupl(nGC_923) + 4d0*cima*coupl(nGC_1275)*    &
                        coupl(nGC_2061)*coupl(nGC_4)*coupl(nGC_419) + 24d0*cima&
                        *coupl(nGC_17)*coupl(nGC_423) + 9d0*cima*coupl(nGC_3)* &
                        coupl(nGC_4)*coupl(nGC_435)*coupl(nGC_47) + 9d0*cima*  &
                        coupl(nGC_3)*coupl(nGC_419)*coupl(nGC_517)*coupl(nGC_61&
                        ) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_443)*coupl(  &
                        nGC_923) + 4d0*cima*coupl(nGC_33)*coupl(nGC_4)*coupl(  &
                        nGC_95)*coupl(nGC_99) + 9d0*cima*coupl(nGC_37)*coupl(  &
                        nGC_435)*coupl(nGC_47)*coupl(nGC_55) + 4d0*cima*coupl( &
                        nGC_443)*coupl(nGC_923)*coupl(nGC_931)**2d0 + 24d0*cima&
                        *coupl(nGC_48)*coupl(nGC_5) + 6d0*coupl(nGC_1183)*coupl&
                        (nGC_48)*coupl(nGC_923) + 6d0*coupl(nGC_1275)*coupl(   &
                        nGC_2061)*coupl(nGC_38) + 36d0*coupl(nGC_17)*coupl(    &
                        nGC_3)*coupl(nGC_517) - 6d0*coupl(nGC_2061)*coupl(     &
                        nGC_48)*coupl(nGC_517) - 6d0*coupl(nGC_26)*coupl(      &
                        nGC_435)*coupl(nGC_47) - 6d0*coupl(nGC_3)*coupl(nGC_30 &
                        )*coupl(nGC_34) - 6d0*coupl(nGC_3)*coupl(nGC_31)*coupl(&
                        nGC_47) + 36d0*coupl(nGC_3)*coupl(nGC_435)*coupl(nGC_48&
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_6) + 6d0* &
                        coupl(nGC_32)*coupl(nGC_38)*coupl(nGC_923) - 6d0*coupl(&
                        nGC_37)*coupl(nGC_47)*coupl(nGC_58) - 6d0*coupl(nGC_38 &
                        )*coupl(nGC_517)*coupl(nGC_61) - 6d0*coupl(nGC_4)*coupl&
                        (nGC_47)*coupl(nGC_5) + 6d0*coupl(nGC_40)*coupl(nGC_923&
                        )*coupl(nGC_931) - 6d0*coupl(nGC_419)*coupl(nGC_423)*  &
                        coupl(nGC_61) - 6d0*coupl(nGC_423)*coupl(nGC_47)*coupl(&
                        nGC_55) - 6d0*coupl(nGC_435)*coupl(nGC_443)*coupl(     &
                        nGC_48))/(192d0*pi**2d0)
      coupl(nGC_5118) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_108 &
                        )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_110)*coupl(nGC_113)*coupl(nGC_33) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80&
                        )*coupl(nGC_83) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_33)*coupl(nGC_85)*coupl(nGC_88) + 4d0*Nc*cima*coupl&
                        (nGC_1)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) -    &
                        16d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_2 &
                        )*coupl(nGC_33) + 4d0*Nc*cima*coupl(nGC_110)*coupl(    &
                        nGC_113)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima*coupl&
                        (nGC_120)*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_33) -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80)* &
                        coupl(nGC_83) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*&
                        coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_93) + 4d0*cima*&
                        coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_4&
                        ) + 4d0*cima*coupl(nGC_115)*coupl(nGC_118)*coupl(nGC_33&
                        )*coupl(nGC_4) + 4d0*cima*coupl(nGC_1183)**2d0*coupl(  &
                        nGC_1581)*coupl(nGC_443) + 4d0*cima*coupl(nGC_1581)*   &
                        coupl(nGC_32)**2d0*coupl(nGC_443) + 4d0*cima*coupl(    &
                        nGC_1581)*coupl(nGC_443)*coupl(nGC_931)**2d0 + 4d0*cima&
                        *coupl(nGC_2061)*coupl(nGC_2389)*coupl(nGC_4)*coupl(   &
                        nGC_419) + 9d0*cima*coupl(nGC_3)*coupl(nGC_34)*coupl(  &
                        nGC_4)*coupl(nGC_435) + 9d0*cima*coupl(nGC_3)*coupl(   &
                        nGC_419)*coupl(nGC_517)*coupl(nGC_57) + 4d0*cima*coupl(&
                        nGC_33)*coupl(nGC_4)*coupl(nGC_95)*coupl(nGC_98) + 9d0*&
                        cima*coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_435)*coupl( &
                        nGC_55) + 24d0*cima*coupl(nGC_40)*coupl(nGC_5) + 24d0* &
                        cima*coupl(nGC_423)*coupl(nGC_9) + 6d0*coupl(nGC_1183)*&
                        coupl(nGC_1581)*coupl(nGC_48) + 6d0*coupl(nGC_1581)*   &
                        coupl(nGC_32)*coupl(nGC_38) + 6d0*coupl(nGC_1581)*coupl&
                        (nGC_40)*coupl(nGC_931) + 6d0*coupl(nGC_2061)*coupl(   &
                        nGC_2389)*coupl(nGC_38) - 6d0*coupl(nGC_2061)*coupl(   &
                        nGC_40)*coupl(nGC_517) - 6d0*coupl(nGC_26)*coupl(nGC_34&
                        )*coupl(nGC_435) - 6d0*coupl(nGC_28)*coupl(nGC_3)*coupl&
                        (nGC_34) - 6d0*coupl(nGC_3)*coupl(nGC_30)*coupl(nGC_47 &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_6) + 36d0*&
                        coupl(nGC_3)*coupl(nGC_40)*coupl(nGC_435) + 36d0*coupl(&
                        nGC_3)*coupl(nGC_517)*coupl(nGC_9) - 6d0*coupl(nGC_34)*&
                        coupl(nGC_37)*coupl(nGC_58) - 6d0*coupl(nGC_34)*coupl( &
                        nGC_4)*coupl(nGC_5) - 6d0*coupl(nGC_34)*coupl(nGC_423)*&
                        coupl(nGC_55) - 6d0*coupl(nGC_38)*coupl(nGC_517)*coupl(&
                        nGC_57) - 6d0*coupl(nGC_40)*coupl(nGC_435)*coupl(      &
                        nGC_443) - 6d0*coupl(nGC_419)*coupl(nGC_423)*coupl(    &
                        nGC_57))/(192d0*pi**2d0)
      coupl(nGC_4920) = (4d0*Nc*coupl(nGC_105)**2d0*coupl(nGC_50) - 4d0*Nc*    &
                        coupl(nGC_105)**2d0*coupl(nGC_54) - 4d0*Nc*coupl(      &
                        nGC_110)**2d0*coupl(nGC_51) + 4d0*Nc*coupl(nGC_110)**  &
                        2d0*coupl(nGC_53) - 4d0*Nc*coupl(nGC_120)**2d0*coupl(  &
                        nGC_51) + 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_53) +   &
                        4d0*Nc*coupl(nGC_50)*coupl(nGC_80)**2d0 + 4d0*Nc*coupl(&
                        nGC_50)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_51)*coupl&
                        (nGC_85)**2d0 + 4d0*Nc*coupl(nGC_53)*coupl(nGC_85)**2d0&
                         - 4d0*Nc*coupl(nGC_54)*coupl(nGC_80)**2d0 - 4d0*Nc*   &
                        coupl(nGC_54)*coupl(nGC_90)**2d0 + 4d0*coupl(nGC_100)**&
                        2d0*coupl(nGC_52) - 4d0*coupl(nGC_100)**2d0*coupl(     &
                        nGC_56) + 4d0*coupl(nGC_115)**2d0*coupl(nGC_52) - 4d0* &
                        coupl(nGC_115)**2d0*coupl(nGC_56) + coupl(nGC_1183)*   &
                        coupl(nGC_1275)*coupl(nGC_419) - 6d0*coupl(nGC_1581)*  &
                        coupl(nGC_34)*coupl(nGC_37) + coupl(nGC_2061)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_2389)*coupl(nGC_419)*coupl(  &
                        nGC_931) + coupl(nGC_32)*coupl(nGC_35)*coupl(nGC_57) - &
                        6d0*coupl(nGC_32)*coupl(nGC_37)*coupl(nGC_419) + coupl(&
                        nGC_32)*coupl(nGC_46)*coupl(nGC_61) - 6d0*coupl(nGC_37 &
                        )*coupl(nGC_47)*coupl(nGC_923) + coupl(nGC_443)**2d0*  &
                        coupl(nGC_55) + 4d0*coupl(nGC_52)*coupl(nGC_95)**2d0 - &
                        4d0*coupl(nGC_56)*coupl(nGC_95)**2d0)/(96d0*pi**2d0)
      coupl(nGC_5113) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_109)**2d0 - &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_84)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_94)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_114)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_89)**2d0 -    &
                        24d0*cima*coupl(nGC_104)**2d0*coupl(nGC_4)**2d0 + 12d0*&
                        cima*coupl(nGC_1107)*coupl(nGC_31) + 9d0*cima*coupl(   &
                        nGC_1183)*coupl(nGC_3)**2d0*coupl(nGC_46) + 4d0*cima*  &
                        coupl(nGC_1183)*coupl(nGC_4)**2d0*coupl(nGC_46) - 24d0*&
                        cima*coupl(nGC_119)**2d0*coupl(nGC_4)**2d0 - 24d0*cima*&
                        coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 + 9d0*cima*coupl( &
                        nGC_435)**2d0*coupl(nGC_47)*coupl(nGC_923) + 4d0*cima* &
                        coupl(nGC_443)**2d0*coupl(nGC_47)*coupl(nGC_923) - 3d0*&
                        coupl(nGC_1107)*coupl(nGC_1183)*coupl(nGC_46) - 3d0*   &
                        coupl(nGC_1107)*coupl(nGC_47)*coupl(nGC_923) - 6d0*    &
                        coupl(nGC_1183)*coupl(nGC_3)*coupl(nGC_48) + 3d0*coupl(&
                        nGC_1183)*coupl(nGC_46)*coupl(nGC_6) + 18d0*coupl(nGC_3&
                        )**2d0*coupl(nGC_31) - 6d0*coupl(nGC_3)*coupl(nGC_46)* &
                        coupl(nGC_48) + 18d0*coupl(nGC_31)*coupl(nGC_435)**2d0 &
                         - 6d0*coupl(nGC_435)*coupl(nGC_47)*coupl(nGC_48) - 6d0&
                        *coupl(nGC_435)*coupl(nGC_48)*coupl(nGC_923) + 3d0*    &
                        coupl(nGC_47)*coupl(nGC_6)*coupl(nGC_923))/(96d0*pi**  &
                        2d0)
      coupl(nGC_5112) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_108)**2d0 - &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_83)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_93)**2d0 -    &
                        24d0*Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_88)**2d0 -    &
                        24d0*cima*coupl(nGC_103)**2d0*coupl(nGC_4)**2d0 + 12d0*&
                        cima*coupl(nGC_1107)*coupl(nGC_28) - 24d0*cima*coupl(  &
                        nGC_118)**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(      &
                        nGC_1581)*coupl(nGC_34)*coupl(nGC_435)**2d0 + 4d0*cima*&
                        coupl(nGC_1581)*coupl(nGC_34)*coupl(nGC_443)**2d0 + 9d0&
                        *cima*coupl(nGC_3)**2d0*coupl(nGC_35)*coupl(nGC_931) + &
                        4d0*cima*coupl(nGC_35)*coupl(nGC_4)**2d0*coupl(nGC_931 &
                        ) - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_98)**2d0 -   &
                        3d0*coupl(nGC_1107)*coupl(nGC_1581)*coupl(nGC_34) - 3d0&
                        *coupl(nGC_1107)*coupl(nGC_35)*coupl(nGC_931) + 3d0*   &
                        coupl(nGC_1581)*coupl(nGC_34)*coupl(nGC_6) - 6d0*coupl(&
                        nGC_1581)*coupl(nGC_40)*coupl(nGC_435) + 18d0*coupl(   &
                        nGC_28)*coupl(nGC_3)**2d0 + 18d0*coupl(nGC_28)*coupl(  &
                        nGC_435)**2d0 - 6d0*coupl(nGC_3)*coupl(nGC_35)*coupl(  &
                        nGC_40) - 6d0*coupl(nGC_3)*coupl(nGC_40)*coupl(nGC_931 &
                        ) - 6d0*coupl(nGC_34)*coupl(nGC_40)*coupl(nGC_435) +   &
                        3d0*coupl(nGC_35)*coupl(nGC_6)*coupl(nGC_931))/(96d0*pi&
                        **2d0)
      coupl(nGC_5111) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_33)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_33)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_33)**2d0&
                         - 24d0*cima*coupl(nGC_3)**2d0*coupl(nGC_435)**2d0 -   &
                        8d0*cima*coupl(nGC_3)**2d0*coupl(nGC_517)**2d0 - 12d0* &
                        cima*coupl(nGC_33)**2d0*coupl(nGC_4)**2d0 - 16d0*cima* &
                        coupl(nGC_37)**2d0*coupl(nGC_435)**2d0 + 12d0*cima*    &
                        coupl(nGC_423)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 6d0&
                        *coupl(nGC_1107)*coupl(nGC_3)*coupl(nGC_435) + 3d0*    &
                        coupl(nGC_27)*coupl(nGC_435)**2d0 + 3d0*coupl(nGC_3)** &
                        2d0*coupl(nGC_883) + 6d0*coupl(nGC_3)*coupl(nGC_41)*   &
                        coupl(nGC_517) + 36d0*coupl(nGC_3)*coupl(nGC_435)*coupl&
                        (nGC_5) + 36d0*coupl(nGC_37)*coupl(nGC_423)*coupl(     &
                        nGC_435) + 3d0*coupl(nGC_435)**2d0*coupl(nGC_5) + 3d0* &
                        coupl(nGC_5)*coupl(nGC_517)**2d0)/(96d0*pi**2d0)
      coupl(nGC_5116) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_106 &
                        )*coupl(nGC_33) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_110)*coupl(nGC_111)*coupl(nGC_33) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_80&
                        )*coupl(nGC_81) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_33)*coupl(nGC_85)*coupl(nGC_86) + 4d0*Nc*cima*coupl&
                        (nGC_1)*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_91) -    &
                        16d0*Nc*cima*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_2 &
                        )*coupl(nGC_33) + 4d0*Nc*cima*coupl(nGC_110)*coupl(    &
                        nGC_111)*coupl(nGC_2)*coupl(nGC_33) + 4d0*Nc*cima*coupl&
                        (nGC_120)*coupl(nGC_121)*coupl(nGC_2)*coupl(nGC_33) -  &
                        16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80)* &
                        coupl(nGC_81) + 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33)*&
                        coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_33)*coupl(nGC_90)*coupl(nGC_91) + 4d0*cima*&
                        coupl(nGC_100)*coupl(nGC_101)*coupl(nGC_33)*coupl(nGC_4&
                        ) + 4d0*cima*coupl(nGC_115)*coupl(nGC_116)*coupl(nGC_33&
                        )*coupl(nGC_4) + 4d0*cima*coupl(nGC_1183)**2d0*coupl(  &
                        nGC_32)*coupl(nGC_443) + 9d0*cima*coupl(nGC_1275)*coupl&
                        (nGC_3)*coupl(nGC_47)*coupl(nGC_517) + 4d0*cima*coupl( &
                        nGC_2061)*coupl(nGC_34)*coupl(nGC_4)*coupl(nGC_57) +   &
                        4d0*cima*coupl(nGC_2061)*coupl(nGC_4)*coupl(nGC_47)*   &
                        coupl(nGC_61) + 9d0*cima*coupl(nGC_2389)*coupl(nGC_3)* &
                        coupl(nGC_34)*coupl(nGC_517) + 9d0*cima*coupl(nGC_3)*  &
                        coupl(nGC_4)*coupl(nGC_419)*coupl(nGC_435) + 4d0*cima* &
                        coupl(nGC_32)**3d0*coupl(nGC_443) + 4d0*cima*coupl(    &
                        nGC_32)*coupl(nGC_443)*coupl(nGC_931)**2d0 + 4d0*cima* &
                        coupl(nGC_33)*coupl(nGC_4)*coupl(nGC_95)*coupl(nGC_96  &
                        ) + 9d0*cima*coupl(nGC_37)*coupl(nGC_419)*coupl(nGC_435&
                        )*coupl(nGC_55) + 24d0*cima*coupl(nGC_38)*coupl(nGC_5  &
                        ) + 24d0*cima*coupl(nGC_423)*coupl(nGC_7) + 6d0*coupl( &
                        nGC_1183)*coupl(nGC_32)*coupl(nGC_48) - 6d0*coupl(     &
                        nGC_1275)*coupl(nGC_423)*coupl(nGC_47) - 6d0*coupl(    &
                        nGC_1275)*coupl(nGC_48)*coupl(nGC_517) - 6d0*coupl(    &
                        nGC_2061)*coupl(nGC_38)*coupl(nGC_517) + 6d0*coupl(    &
                        nGC_2061)*coupl(nGC_40)*coupl(nGC_57) + 6d0*coupl(     &
                        nGC_2061)*coupl(nGC_48)*coupl(nGC_61) - 6d0*coupl(     &
                        nGC_2389)*coupl(nGC_34)*coupl(nGC_423) - 6d0*coupl(    &
                        nGC_2389)*coupl(nGC_40)*coupl(nGC_517) - 6d0*coupl(    &
                        nGC_26)*coupl(nGC_3)*coupl(nGC_419) - 6d0*coupl(nGC_26 &
                        )*coupl(nGC_419)*coupl(nGC_435) + 36d0*coupl(nGC_3)*   &
                        coupl(nGC_38)*coupl(nGC_435) - 6d0*coupl(nGC_3)*coupl( &
                        nGC_419)*coupl(nGC_6) + 36d0*coupl(nGC_3)*coupl(nGC_517&
                        )*coupl(nGC_7) + 6d0*coupl(nGC_32)**2d0*coupl(nGC_38   &
                        ) + 6d0*coupl(nGC_32)*coupl(nGC_40)*coupl(nGC_931) -   &
                        6d0*coupl(nGC_37)*coupl(nGC_419)*coupl(nGC_58) - 6d0*  &
                        coupl(nGC_38)*coupl(nGC_435)*coupl(nGC_443) - 6d0*coupl&
                        (nGC_4)*coupl(nGC_419)*coupl(nGC_5) - 6d0*coupl(nGC_419&
                        )*coupl(nGC_423)*coupl(nGC_55))/(192d0*pi**2d0)
      coupl(nGC_5115) = (-48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_108)*coupl( &
                        nGC_109) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_83 &
                        )*coupl(nGC_84) - 48d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_93)*coupl(nGC_94) - 48d0*Nc*cima*coupl(nGC_113)*   &
                        coupl(nGC_114)*coupl(nGC_2)**2d0 - 48d0*Nc*cima*coupl( &
                        nGC_123)*coupl(nGC_124)*coupl(nGC_2)**2d0 - 48d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_88)*coupl(nGC_89) -   &
                        48d0*cima*coupl(nGC_103)*coupl(nGC_104)*coupl(nGC_4)** &
                        2d0 + 24d0*cima*coupl(nGC_1107)*coupl(nGC_30) - 48d0*  &
                        cima*coupl(nGC_118)*coupl(nGC_119)*coupl(nGC_4)**2d0 + &
                        9d0*cima*coupl(nGC_1183)*coupl(nGC_3)**2d0*coupl(nGC_35&
                        ) + 4d0*cima*coupl(nGC_1183)*coupl(nGC_35)*coupl(nGC_4 &
                        )**2d0 + 9d0*cima*coupl(nGC_1581)*coupl(nGC_435)**2d0* &
                        coupl(nGC_47) + 4d0*cima*coupl(nGC_1581)*coupl(nGC_443 &
                        )**2d0*coupl(nGC_47) + 9d0*cima*coupl(nGC_3)**2d0*coupl&
                        (nGC_46)*coupl(nGC_931) + 9d0*cima*coupl(nGC_34)*coupl(&
                        nGC_435)**2d0*coupl(nGC_923) + 4d0*cima*coupl(nGC_34)* &
                        coupl(nGC_443)**2d0*coupl(nGC_923) + 4d0*cima*coupl(   &
                        nGC_4)**2d0*coupl(nGC_46)*coupl(nGC_931) - 48d0*cima*  &
                        coupl(nGC_4)**2d0*coupl(nGC_98)*coupl(nGC_99) - 6d0*   &
                        coupl(nGC_1107)*coupl(nGC_1581)*coupl(nGC_47) - 6d0*   &
                        coupl(nGC_1107)*coupl(nGC_46)*coupl(nGC_931) - 6d0*    &
                        coupl(nGC_1183)*coupl(nGC_3)*coupl(nGC_40) + 6d0*coupl(&
                        nGC_1183)*coupl(nGC_35)*coupl(nGC_6) - 6d0*coupl(      &
                        nGC_1581)*coupl(nGC_435)*coupl(nGC_48) + 36d0*coupl(   &
                        nGC_3)**2d0*coupl(nGC_30) - 6d0*coupl(nGC_3)*coupl(    &
                        nGC_35)*coupl(nGC_48) - 6d0*coupl(nGC_3)*coupl(nGC_40)*&
                        coupl(nGC_46) - 6d0*coupl(nGC_3)*coupl(nGC_48)*coupl(  &
                        nGC_931) + 36d0*coupl(nGC_30)*coupl(nGC_435)**2d0 - 6d0&
                        *coupl(nGC_34)*coupl(nGC_435)*coupl(nGC_48) + 6d0*coupl&
                        (nGC_34)*coupl(nGC_6)*coupl(nGC_923) - 6d0*coupl(nGC_40&
                        )*coupl(nGC_435)*coupl(nGC_47) - 6d0*coupl(nGC_40)*    &
                        coupl(nGC_435)*coupl(nGC_923))/(192d0*pi**2d0)
      coupl(nGC_5114) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_106)*coupl( &
                        nGC_107) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_81 &
                        )*coupl(nGC_82) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_91)*coupl(nGC_92) - 24d0*Nc*cima*coupl(nGC_111)*   &
                        coupl(nGC_112)*coupl(nGC_2)**2d0 - 24d0*Nc*cima*coupl( &
                        nGC_121)*coupl(nGC_122)*coupl(nGC_2)**2d0 - 24d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_87) -   &
                        24d0*cima*coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_4)** &
                        2d0 + 12d0*cima*coupl(nGC_1107)*coupl(nGC_26) - 24d0*  &
                        cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4)**2d0 + &
                        9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_32)*coupl(nGC_419 &
                        ) + 4d0*cima*coupl(nGC_32)*coupl(nGC_4)**2d0*coupl(    &
                        nGC_419) + 9d0*cima*coupl(nGC_32)*coupl(nGC_419)*coupl(&
                        nGC_435)**2d0 + 4d0*cima*coupl(nGC_32)*coupl(nGC_419)* &
                        coupl(nGC_443)**2d0 - 24d0*cima*coupl(nGC_4)**2d0*coupl&
                        (nGC_96)*coupl(nGC_97) - 6d0*coupl(nGC_1107)*coupl(    &
                        nGC_32)*coupl(nGC_419) + 18d0*coupl(nGC_26)*coupl(nGC_3&
                        )**2d0 + 18d0*coupl(nGC_26)*coupl(nGC_435)**2d0 - 6d0* &
                        coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_39) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_38)*coupl(nGC_419) - 6d0*coupl(nGC_32 &
                        )*coupl(nGC_38)*coupl(nGC_435) + 6d0*coupl(nGC_32)*    &
                        coupl(nGC_419)*coupl(nGC_6) - 6d0*coupl(nGC_39)*coupl( &
                        nGC_419)*coupl(nGC_435))/(96d0*pi**2d0)
      coupl(nGC_8604) = -coupl(nGC_8603)
      coupl(nGC_4959) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_81) - coupl(nGC_110)* &
                        coupl(nGC_111)*coupl(nGC_80) - coupl(nGC_1275)*coupl(  &
                        nGC_53)*coupl(nGC_84) - coupl(nGC_2389)*coupl(nGC_53)* &
                        coupl(nGC_83) - coupl(nGC_33)*coupl(nGC_419)*coupl(    &
                        nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_81 &
                        ) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_83) - coupl( &
                        nGC_50)*coupl(nGC_61)*coupl(nGC_84) - coupl(nGC_81)**  &
                        2d0*coupl(nGC_82) - coupl(nGC_82)*coupl(nGC_83)**2d0 - &
                        coupl(nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_4965) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_92) - coupl(nGC_120)* &
                        coupl(nGC_122)*coupl(nGC_90) - coupl(nGC_1275)*coupl(  &
                        nGC_50)*coupl(nGC_94) - coupl(nGC_2389)*coupl(nGC_50)* &
                        coupl(nGC_93) - coupl(nGC_32)*coupl(nGC_33)*coupl(     &
                        nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_92 &
                        ) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_93) - coupl( &
                        nGC_53)*coupl(nGC_61)*coupl(nGC_94) - coupl(nGC_91)*   &
                        coupl(nGC_92)**2d0 - coupl(nGC_91)*coupl(nGC_93)**2d0  &
                         - coupl(nGC_91)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8907) = coupl(nGC_7367) + coupl(nGC_8905)
      coupl(nGC_5108) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_105)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_110)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_120)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_80)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_85)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_90)**2d0 +    &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_105)**2d0*coupl(   &
                        nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_110)**2d0*&
                        coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_120 &
                        )**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_2)*coupl(nGC_80)**2d0 + 40d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(  &
                        nGC_1)*coupl(nGC_2)*coupl(nGC_90)**2d0 - 32d0*Nc*cima* &
                        coupl(nGC_105)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_110)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_120)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_80)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 - 32d0*Nc*cima*   &
                        coupl(nGC_2)**2d0*coupl(nGC_90)**2d0 - 32d0*cima*coupl(&
                        nGC_100)**2d0*coupl(nGC_4)**2d0 + 24d0*cima*coupl(     &
                        nGC_1107)*coupl(nGC_26) - 32d0*cima*coupl(nGC_115)**2d0&
                        *coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_1183)*coupl(   &
                        nGC_435)**2d0*coupl(nGC_46) + 9d0*cima*coupl(nGC_1581)*&
                        coupl(nGC_3)**2d0*coupl(nGC_34) + 4d0*cima*coupl(      &
                        nGC_2061)**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(nGC_3&
                        )**2d0*coupl(nGC_32)*coupl(nGC_419) + 9d0*cima*coupl(  &
                        nGC_3)**2d0*coupl(nGC_47)*coupl(nGC_923) + 9d0*cima*   &
                        coupl(nGC_32)*coupl(nGC_419)*coupl(nGC_435)**2d0 + 9d0*&
                        cima*coupl(nGC_35)*coupl(nGC_435)**2d0*coupl(nGC_931   &
                        ) + 8d0*cima*coupl(nGC_4)**2d0*coupl(nGC_443)**2d0 -   &
                        32d0*cima*coupl(nGC_4)**2d0*coupl(nGC_95)**2d0 + 4d0*  &
                        cima*coupl(nGC_443)**2d0*coupl(nGC_55)**2d0 - 6d0*coupl&
                        (nGC_1107)*coupl(nGC_1581)*coupl(nGC_34) - 6d0*coupl(  &
                        nGC_1107)*coupl(nGC_32)*coupl(nGC_419) - 6d0*coupl(    &
                        nGC_1107)*coupl(nGC_47)*coupl(nGC_923) - 6d0*coupl(    &
                        nGC_1183)*coupl(nGC_435)*coupl(nGC_48) - 6d0*coupl(    &
                        nGC_1581)*coupl(nGC_3)*coupl(nGC_40) + 6d0*coupl(      &
                        nGC_2061)**2d0*coupl(nGC_6) + 36d0*coupl(nGC_26)*coupl(&
                        nGC_3)**2d0 + 36d0*coupl(nGC_26)*coupl(nGC_435)**2d0 - &
                        6d0*coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_38) - 6d0*    &
                        coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_40) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_39)*coupl(nGC_419) - 6d0*coupl(nGC_3)*&
                        coupl(nGC_47)*coupl(nGC_48) - 6d0*coupl(nGC_3)*coupl(  &
                        nGC_48)*coupl(nGC_923) - 6d0*coupl(nGC_32)*coupl(nGC_39&
                        )*coupl(nGC_435) - 6d0*coupl(nGC_35)*coupl(nGC_40)*    &
                        coupl(nGC_435) - 6d0*coupl(nGC_38)*coupl(nGC_419)*coupl&
                        (nGC_435) - 6d0*coupl(nGC_40)*coupl(nGC_435)*coupl(    &
                        nGC_931) - 6d0*coupl(nGC_435)*coupl(nGC_46)*coupl(     &
                        nGC_48) + 6d0*coupl(nGC_443)**2d0*coupl(nGC_6))/(192d0*&
                        pi**2d0)
      coupl(nGC_8906) = coupl(nGC_7367) + coupl(nGC_8904)
      coupl(nGC_4952) = (-coupl(nGC_115)*coupl(nGC_2061)*coupl(nGC_52) - coupl(&
                        nGC_115)*coupl(nGC_4)*coupl(nGC_443) + 8d0*coupl(      &
                        nGC_115)*coupl(nGC_52)*coupl(nGC_56) - coupl(nGC_115)* &
                        coupl(nGC_55)*coupl(nGC_56) - coupl(nGC_116)*coupl(    &
                        nGC_32)*coupl(nGC_33) - coupl(nGC_118)*coupl(nGC_1581)*&
                        coupl(nGC_33) - coupl(nGC_119)*coupl(nGC_33)*coupl(    &
                        nGC_923))/(32d0*pi**2d0)
      coupl(nGC_4953) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_83) + 16d0*Nc*&
                        cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*&
                        cMB*coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl&
                        (nGC_86)**2d0*coupl(nGC_88) + 16d0*Nc*cMC*coupl(nGC_86 &
                        )*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_87&
                        )**2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*  &
                        coupl(nGC_93) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92 &
                        )*coupl(nGC_93) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl( &
                        nGC_93) + 4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_108 &
                        ) + 16d0*Nc*cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_108) + 4d0*Nc*cMS*coupl(nGC_107)**2d0*coupl(nGC_108&
                        ) + 4d0*Nc*cMT*coupl(nGC_111)**2d0*coupl(nGC_113) +    &
                        16d0*Nc*cMT*coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_113&
                        ) + 4d0*Nc*cMT*coupl(nGC_112)**2d0*coupl(nGC_113) + 4d0&
                        *Nc*cMU*coupl(nGC_121)**2d0*coupl(nGC_123) + 16d0*Nc*  &
                        cMU*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_123) + 4d0*&
                        Nc*cMU*coupl(nGC_122)**2d0*coupl(nGC_123) + 4d0*cME*   &
                        coupl(nGC_96)**2d0*coupl(nGC_98) + 16d0*cME*coupl(     &
                        nGC_96)*coupl(nGC_97)*coupl(nGC_98) + 4d0*cME*coupl(   &
                        nGC_97)**2d0*coupl(nGC_98) + 4d0*cMM*coupl(nGC_101)**  &
                        2d0*coupl(nGC_103) + 16d0*cMM*coupl(nGC_101)*coupl(    &
                        nGC_102)*coupl(nGC_103) + 4d0*cMM*coupl(nGC_102)**2d0* &
                        coupl(nGC_103) + 4d0*cMTA*coupl(nGC_116)**2d0*coupl(   &
                        nGC_118) + 16d0*cMTA*coupl(nGC_116)*coupl(nGC_117)*    &
                        coupl(nGC_118) + 4d0*cMTA*coupl(nGC_117)**2d0*coupl(   &
                        nGC_118) + 4d0*cima*coupl(nGC_26)*coupl(nGC_69) + 2d0* &
                        cima*coupl(nGC_64)*coupl(nGC_72) + coupl(nGC_1275)*    &
                        coupl(nGC_2389)*coupl(nGC_74) + coupl(nGC_1275)*coupl( &
                        nGC_57)*coupl(nGC_76) - coupl(nGC_1275)*coupl(nGC_61)* &
                        coupl(nGC_72) + coupl(nGC_1275)*coupl(nGC_61)*coupl(   &
                        nGC_79) + coupl(nGC_2389)**2d0*coupl(nGC_75) - coupl(  &
                        nGC_2389)*coupl(nGC_57)*coupl(nGC_72) + coupl(nGC_2389 &
                        )*coupl(nGC_57)*coupl(nGC_78) + coupl(nGC_2389)*coupl( &
                        nGC_61)*coupl(nGC_76) - 2d0*coupl(nGC_32)*coupl(nGC_419&
                        )*coupl(nGC_69) + 2d0*coupl(nGC_32)*coupl(nGC_419)*    &
                        coupl(nGC_75) + coupl(nGC_57)**2d0*coupl(nGC_75) +     &
                        coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_74))/(32d0*pi**  &
                        2d0)
      coupl(nGC_8285) = coupl(nGC_7270) + coupl(nGC_8283)
      coupl(nGC_7485) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_5238)
      coupl(nGC_4957) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_82) - coupl(nGC_110)* &
                        coupl(nGC_112)*coupl(nGC_80) - coupl(nGC_1275)*coupl(  &
                        nGC_50)*coupl(nGC_84) - coupl(nGC_2389)*coupl(nGC_50)* &
                        coupl(nGC_83) - coupl(nGC_32)*coupl(nGC_33)*coupl(     &
                        nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_82 &
                        ) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_83) - coupl( &
                        nGC_53)*coupl(nGC_61)*coupl(nGC_84) - coupl(nGC_81)*   &
                        coupl(nGC_82)**2d0 - coupl(nGC_81)*coupl(nGC_83)**2d0  &
                         - coupl(nGC_81)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_5157) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_108)*coupl(&
                        nGC_109) + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)* &
                        coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc*cima*coupl(    &
                        nGC_107)**2d0*coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc* &
                        cima*coupl(nGC_111)**2d0*coupl(nGC_113)*coupl(nGC_114  &
                        ) + 80d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(  &
                        nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(nGC_112)**&
                        2d0*coupl(nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_123)*coupl(nGC_124) + 80d0*Nc* &
                        cima*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_123)*coupl&
                        (nGC_124) + 20d0*Nc*cima*coupl(nGC_122)**2d0*coupl(    &
                        nGC_123)*coupl(nGC_124) + 20d0*Nc*cima*coupl(nGC_81)** &
                        2d0*coupl(nGC_83)*coupl(nGC_84) + 80d0*Nc*cima*coupl(  &
                        nGC_81)*coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) +    &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_83)*coupl(   &
                        nGC_84) + 20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88 &
                        )*coupl(nGC_89) + 80d0*Nc*cima*coupl(nGC_86)*coupl(    &
                        nGC_87)*coupl(nGC_88)*coupl(nGC_89) + 20d0*Nc*cima*    &
                        coupl(nGC_87)**2d0*coupl(nGC_88)*coupl(nGC_89) + 20d0* &
                        Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_93)*coupl(nGC_94  &
                        ) + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl(    &
                        nGC_93)*coupl(nGC_94) + 20d0*Nc*cima*coupl(nGC_92)**2d0&
                        *coupl(nGC_93)*coupl(nGC_94) + 20d0*cima*coupl(nGC_101 &
                        )**2d0*coupl(nGC_103)*coupl(nGC_104) + 80d0*cima*coupl(&
                        nGC_101)*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_104   &
                        ) + 20d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(&
                        nGC_104) + 20d0*cima*coupl(nGC_116)**2d0*coupl(nGC_118 &
                        )*coupl(nGC_119) + 80d0*cima*coupl(nGC_116)*coupl(     &
                        nGC_117)*coupl(nGC_118)*coupl(nGC_119) + 20d0*cima*    &
                        coupl(nGC_117)**2d0*coupl(nGC_118)*coupl(nGC_119) -    &
                        10d0*cima*coupl(nGC_1183)*coupl(nGC_32)*coupl(nGC_35)* &
                        coupl(nGC_419) - 5d0*cima*coupl(nGC_1183)*coupl(nGC_419&
                        )**2d0*coupl(nGC_931) - 5d0*cima*coupl(nGC_1275)**2d0* &
                        coupl(nGC_57)*coupl(nGC_61) - 5d0*cima*coupl(nGC_1275)*&
                        coupl(nGC_2389)*coupl(nGC_57)**2d0 - 5d0*cima*coupl(   &
                        nGC_1275)*coupl(nGC_2389)*coupl(nGC_61)**2d0 - 10d0*   &
                        cima*coupl(nGC_1581)*coupl(nGC_32)*coupl(nGC_419)*coupl&
                        (nGC_47) - 5d0*cima*coupl(nGC_1581)*coupl(nGC_419)**2d0&
                        *coupl(nGC_923) - 5d0*cima*coupl(nGC_2389)**2d0*coupl( &
                        nGC_57)*coupl(nGC_61) + 12d0*cima*coupl(nGC_26)*coupl( &
                        nGC_30) - 5d0*cima*coupl(nGC_32)**2d0*coupl(nGC_34)*   &
                        coupl(nGC_47) - 5d0*cima*coupl(nGC_32)**2d0*coupl(     &
                        nGC_35)*coupl(nGC_46) - 10d0*cima*coupl(nGC_32)*coupl( &
                        nGC_34)*coupl(nGC_419)*coupl(nGC_923) - 10d0*cima*coupl&
                        (nGC_32)*coupl(nGC_419)*coupl(nGC_46)*coupl(nGC_931) + &
                        6d0*cima*coupl(nGC_64)*coupl(nGC_66) + 20d0*cima*coupl(&
                        nGC_96)**2d0*coupl(nGC_98)*coupl(nGC_99) + 80d0*cima*  &
                        coupl(nGC_96)*coupl(nGC_97)*coupl(nGC_98)*coupl(nGC_99 &
                        ) + 20d0*cima*coupl(nGC_97)**2d0*coupl(nGC_98)*coupl(  &
                        nGC_99) + 3d0*coupl(nGC_1183)*coupl(nGC_13)*coupl(     &
                        nGC_35) + 3d0*coupl(nGC_1275)**2d0*coupl(nGC_18) + 3d0*&
                        coupl(nGC_1275)*coupl(nGC_15)*coupl(nGC_57) + 3d0*coupl&
                        (nGC_1275)*coupl(nGC_19)*coupl(nGC_2389) + 3d0*coupl(  &
                        nGC_1275)*coupl(nGC_20)*coupl(nGC_2389) + 3d0*coupl(   &
                        nGC_1275)*coupl(nGC_21)*coupl(nGC_61) + 3d0*coupl(     &
                        nGC_1275)*coupl(nGC_25)*coupl(nGC_57) - 3d0*coupl(     &
                        nGC_1275)*coupl(nGC_61)*coupl(nGC_66) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_34)*coupl(nGC_923) - 3d0*coupl(      &
                        nGC_1581)*coupl(nGC_26)*coupl(nGC_47) + 3d0*coupl(     &
                        nGC_18)*coupl(nGC_2389)**2d0 + 6d0*coupl(nGC_18)*coupl(&
                        nGC_32)*coupl(nGC_419) + 3d0*coupl(nGC_18)*coupl(nGC_57&
                        )**2d0 + 3d0*coupl(nGC_18)*coupl(nGC_61)**2d0 + 3d0*   &
                        coupl(nGC_19)*coupl(nGC_57)*coupl(nGC_61) + 3d0*coupl( &
                        nGC_20)*coupl(nGC_57)*coupl(nGC_61) + 3d0*coupl(nGC_22 &
                        )*coupl(nGC_2389)*coupl(nGC_57) + 3d0*coupl(nGC_2389)* &
                        coupl(nGC_25)*coupl(nGC_61) - 3d0*coupl(nGC_2389)*coupl&
                        (nGC_57)*coupl(nGC_66) - 3d0*coupl(nGC_2389)*coupl(    &
                        nGC_61)*coupl(nGC_64) - 3d0*coupl(nGC_26)*coupl(nGC_46 &
                        )*coupl(nGC_931) - 6d0*coupl(nGC_30)*coupl(nGC_32)*    &
                        coupl(nGC_419))/(96d0*pi**2d0)
      coupl(nGC_5156) = (-32d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(    &
                        nGC_33)**2d0 - 32d0*Nc*cima*coupl(nGC_111)*coupl(      &
                        nGC_112)*coupl(nGC_33)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_121)*coupl(nGC_122)*coupl(nGC_33)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_33)**2d0*coupl(nGC_81)*coupl(nGC_82) -  &
                        32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_86)*coupl(   &
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_91 &
                        )*coupl(nGC_92) - 32d0*cima*coupl(nGC_101)*coupl(      &
                        nGC_102)*coupl(nGC_33)**2d0 - 32d0*cima*coupl(nGC_116)*&
                        coupl(nGC_117)*coupl(nGC_33)**2d0 + 4d0*cima*coupl(    &
                        nGC_1183)*coupl(nGC_1275)*coupl(nGC_35)*coupl(nGC_57   &
                        ) + 4d0*cima*coupl(nGC_1183)*coupl(nGC_1275)*coupl(    &
                        nGC_46)*coupl(nGC_61) + 4d0*cima*coupl(nGC_1183)*coupl(&
                        nGC_32)*coupl(nGC_419)*coupl(nGC_46) + 4d0*cima*coupl( &
                        nGC_1275)*coupl(nGC_34)*coupl(nGC_57)*coupl(nGC_923) + &
                        9d0*cima*coupl(nGC_1275)*coupl(nGC_37)**2d0*coupl(     &
                        nGC_61) + 4d0*cima*coupl(nGC_1275)*coupl(nGC_47)*coupl(&
                        nGC_61)*coupl(nGC_923) + 9d0*cima*coupl(nGC_1275)*coupl&
                        (nGC_517)**2d0*coupl(nGC_61) + 4d0*cima*coupl(nGC_1581 &
                        )*coupl(nGC_2389)*coupl(nGC_34)*coupl(nGC_57) + 4d0*   &
                        cima*coupl(nGC_1581)*coupl(nGC_2389)*coupl(nGC_47)*    &
                        coupl(nGC_61) + 4d0*cima*coupl(nGC_1581)*coupl(nGC_32)*&
                        coupl(nGC_34)*coupl(nGC_419) + 4d0*cima*coupl(nGC_2389 &
                        )*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_931) + 9d0*cima&
                        *coupl(nGC_2389)*coupl(nGC_37)**2d0*coupl(nGC_57) + 4d0&
                        *cima*coupl(nGC_2389)*coupl(nGC_46)*coupl(nGC_61)*coupl&
                        (nGC_931) + 9d0*cima*coupl(nGC_2389)*coupl(nGC_517)**  &
                        2d0*coupl(nGC_57) + 24d0*cima*coupl(nGC_26)*coupl(     &
                        nGC_27) + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_32)*    &
                        coupl(nGC_419) + 8d0*cima*coupl(nGC_32)**2d0*coupl(    &
                        nGC_419)**2d0 + 4d0*cima*coupl(nGC_32)*coupl(nGC_35)*  &
                        coupl(nGC_419)*coupl(nGC_931) + 9d0*cima*coupl(nGC_32)*&
                        coupl(nGC_37)**2d0*coupl(nGC_419) + 9d0*cima*coupl(    &
                        nGC_32)*coupl(nGC_419)*coupl(nGC_435)**2d0 + 4d0*cima* &
                        coupl(nGC_32)*coupl(nGC_419)*coupl(nGC_47)*coupl(      &
                        nGC_923) + 9d0*cima*coupl(nGC_32)*coupl(nGC_419)*coupl(&
                        nGC_517)**2d0 - 32d0*cima*coupl(nGC_33)**2d0*coupl(    &
                        nGC_96)*coupl(nGC_97) + 12d0*cima*coupl(nGC_463)*coupl(&
                        nGC_64) + 6d0*coupl(nGC_1275)*coupl(nGC_30)*coupl(     &
                        nGC_57) + 6d0*coupl(nGC_1275)*coupl(nGC_31)*coupl(     &
                        nGC_61) - 6d0*coupl(nGC_1275)*coupl(nGC_463)*coupl(    &
                        nGC_61) + 6d0*coupl(nGC_2389)*coupl(nGC_28)*coupl(     &
                        nGC_57) + 6d0*coupl(nGC_2389)*coupl(nGC_30)*coupl(     &
                        nGC_61) - 6d0*coupl(nGC_2389)*coupl(nGC_463)*coupl(    &
                        nGC_57) + 12d0*coupl(nGC_26)*coupl(nGC_32)*coupl(      &
                        nGC_419) + 36d0*coupl(nGC_26)*coupl(nGC_435)**2d0 +    &
                        36d0*coupl(nGC_26)*coupl(nGC_517)**2d0 - 12d0*coupl(   &
                        nGC_27)*coupl(nGC_32)*coupl(nGC_419) - 6d0*coupl(nGC_3 &
                        )*coupl(nGC_32)*coupl(nGC_38) - 6d0*coupl(nGC_3)*coupl(&
                        nGC_39)*coupl(nGC_419) - 6d0*coupl(nGC_32)*coupl(nGC_37&
                        )*coupl(nGC_7) - 6d0*coupl(nGC_32)*coupl(nGC_39)*coupl(&
                        nGC_435) - 6d0*coupl(nGC_32)*coupl(nGC_517)*coupl(nGC_8&
                        ) + 36d0*coupl(nGC_37)**2d0*coupl(nGC_64) - 6d0*coupl( &
                        nGC_37)*coupl(nGC_419)*coupl(nGC_8) - 6d0*coupl(nGC_38 &
                        )*coupl(nGC_419)*coupl(nGC_435) - 6d0*coupl(nGC_419)*  &
                        coupl(nGC_517)*coupl(nGC_7))/(192d0*pi**2d0)
      coupl(nGC_14226) = -coupl(nGC_4942)
      coupl(nGC_5022) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)* &
                        coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_1275)*coupl(  &
                        nGC_50)*coupl(nGC_81) - coupl(nGC_33)*coupl(nGC_47)*   &
                        coupl(nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_84) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_81) -  &
                        coupl(nGC_81)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0* &
                        coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_13502) = coupl(nGC_13493) + coupl(nGC_13501)
      coupl(nGC_8127) = coupl(nGC_5352) + coupl(nGC_8126)
      coupl(nGC_4886) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90 &
                        ) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_2)*coupl(nGC_33&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_33&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_33&
                        ) + 4d0*cima*coupl(nGC_423)*coupl(nGC_68) + 4d0*cima*  &
                        coupl(nGC_5)*coupl(nGC_71) - coupl(nGC_2061)*coupl(    &
                        nGC_517)*coupl(nGC_71) - coupl(nGC_3)*coupl(nGC_34)*   &
                        coupl(nGC_69) + 6d0*coupl(nGC_3)*coupl(nGC_435)*coupl( &
                        nGC_71) - coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_70) +   &
                        6d0*coupl(nGC_3)*coupl(nGC_517)*coupl(nGC_68) - coupl( &
                        nGC_435)*coupl(nGC_443)*coupl(nGC_71))/(32d0*pi**2d0)
      coupl(nGC_4887) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_110)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl&
                        (nGC_120)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_80)**2d0&
                         + 4d0*Nc*coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_105 &
                        )**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_110)**2d0*coupl(&
                        nGC_2) - 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_2) - 4d0*&
                        Nc*coupl(nGC_2)*coupl(nGC_80)**2d0 - 4d0*Nc*coupl(nGC_2&
                        )*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_90&
                        )**2d0 + 4d0*coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*   &
                        coupl(nGC_115)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_1581)*&
                        coupl(nGC_3)*coupl(nGC_34) + coupl(nGC_2061)**2d0*coupl&
                        (nGC_4) - 6d0*coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_419 &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_923) +    &
                        coupl(nGC_4)*coupl(nGC_443)**2d0 + 4d0*coupl(nGC_4)*   &
                        coupl(nGC_95)**2d0)/(96d0*pi**2d0)
      coupl(nGC_4885) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80   &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85 &
                        ) - 2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90 &
                        ) - 2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_2)*coupl(nGC_33&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_33&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_33&
                        ) + 4d0*cima*coupl(nGC_423)*coupl(nGC_68) + 4d0*cima*  &
                        coupl(nGC_5)*coupl(nGC_71) - coupl(nGC_3)*coupl(nGC_4)*&
                        coupl(nGC_71) + 6d0*coupl(nGC_3)*coupl(nGC_435)*coupl( &
                        nGC_71) - coupl(nGC_35)*coupl(nGC_435)*coupl(nGC_69) + &
                        6d0*coupl(nGC_37)*coupl(nGC_435)*coupl(nGC_68) - coupl(&
                        nGC_37)*coupl(nGC_55)*coupl(nGC_71) - coupl(nGC_435)*  &
                        coupl(nGC_46)*coupl(nGC_70))/(32d0*pi**2d0)
      coupl(nGC_7810) = coupl(nGC_7485) + coupl(nGC_7808)
      coupl(nGC_7419) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_5273)
      coupl(nGC_4888) = (coupl(nGC_1581)*coupl(nGC_419)*coupl(nGC_443) - 6d0*  &
                        coupl(nGC_3)*coupl(nGC_32)*coupl(nGC_35) - 6d0*coupl(  &
                        nGC_32)*coupl(nGC_34)*coupl(nGC_435) + coupl(nGC_4)*   &
                        coupl(nGC_419)*coupl(nGC_931))/(96d0*pi**2d0)
      coupl(nGC_4889) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_83   &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_83 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_88 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_88 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_93 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_93 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_50&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_53&
                        ) - 4d0*Nc*cMT*coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_51&
                        ) - 4d0*Nc*cMT*coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_54&
                        ) - 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_51&
                        ) - 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_54&
                        ) - 4d0*cME*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_98) - &
                        4d0*cME*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_98) - 4d0*&
                        cMM*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM&
                        *coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_55) - 4d0*cMTA* &
                        coupl(nGC_118)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMTA*  &
                        coupl(nGC_118)*coupl(nGC_4)*coupl(nGC_55) + 4d0*cima*  &
                        coupl(nGC_41)*coupl(nGC_69) - coupl(nGC_1581)*coupl(   &
                        nGC_435)*coupl(nGC_68) + 6d0*coupl(nGC_3)*coupl(nGC_37 &
                        )*coupl(nGC_69) - coupl(nGC_3)*coupl(nGC_68)*coupl(    &
                        nGC_931) - coupl(nGC_34)*coupl(nGC_517)*coupl(nGC_71   &
                        ) - coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_71) + 6d0*   &
                        coupl(nGC_435)*coupl(nGC_517)*coupl(nGC_69))/(32d0*pi**&
                        2d0)
      coupl(nGC_9409) = coupl(nGC_9403) + coupl(nGC_9408)
      coupl(nGC_5109) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_33)**2d0 +  &
                        36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_33)** &
                        2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_33)**2d0&
                         - 24d0*cima*coupl(nGC_3)**2d0*coupl(nGC_435)**2d0 -   &
                        16d0*cima*coupl(nGC_3)**2d0*coupl(nGC_517)**2d0 - 12d0*&
                        cima*coupl(nGC_33)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*  &
                        coupl(nGC_37)**2d0*coupl(nGC_435)**2d0 + 12d0*cima*    &
                        coupl(nGC_423)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 6d0&
                        *coupl(nGC_1107)*coupl(nGC_3)*coupl(nGC_435) + 3d0*    &
                        coupl(nGC_27)*coupl(nGC_3)**2d0 + 36d0*coupl(nGC_3)*   &
                        coupl(nGC_423)*coupl(nGC_517) + 36d0*coupl(nGC_3)*coupl&
                        (nGC_435)*coupl(nGC_5) + 6d0*coupl(nGC_37)*coupl(nGC_41&
                        )*coupl(nGC_435) + 3d0*coupl(nGC_435)**2d0*coupl(nGC_5 &
                        ) + 3d0*coupl(nGC_435)**2d0*coupl(nGC_883) + 3d0*coupl(&
                        nGC_5)*coupl(nGC_517)**2d0)/(96d0*pi**2d0)
      coupl(nGC_5025) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) - coupl( &
                        nGC_1275)*coupl(nGC_51)*coupl(nGC_87) + 8d0*coupl(nGC_2&
                        )**2d0*coupl(nGC_89) - coupl(nGC_33)*coupl(nGC_46)*    &
                        coupl(nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_89) - coupl(nGC_54)*coupl(nGC_61)*coupl(nGC_87) -  &
                        coupl(nGC_87)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0* &
                        coupl(nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5024) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) - coupl( &
                        nGC_1183)*coupl(nGC_33)*coupl(nGC_85) - coupl(nGC_1275 &
                        )*coupl(nGC_54)*coupl(nGC_86) + 8d0*coupl(nGC_2)**2d0* &
                        coupl(nGC_89) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_89) - coupl(nGC_51)*coupl(nGC_61)*coupl(nGC_86) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0* &
                        coupl(nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_5202) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_1073)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_1071)*sq2**2d0 + 15d0*coupl(nGC_10)**2d0*coupl(    &
                        nGC_1073)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_12)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_9035) = -coupl(nGC_7819)
      coupl(nGC_5021) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)* &
                        coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_1275)*coupl(  &
                        nGC_53)*coupl(nGC_82) - coupl(nGC_33)*coupl(nGC_80)*   &
                        coupl(nGC_923) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(&
                        nGC_84) - coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_82) -  &
                        coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0* &
                        coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_7094) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_4)*dZAZ_QED2/2d0&
                         + coupl(nGC_5361)
      coupl(nGC_7095) = -coupl(nGC_7094)
      coupl(nGC_7314) = -coupl(nGC_7311)/2d0 + coupl(nGC_7312)
      coupl(nGC_7313) = coupl(nGC_7311) - 2d0*coupl(nGC_7312)
      coupl(nGC_5176) = (18d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)**2d0 -  &
                        30d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)*coupl(   &
                        nGC_54) + 18d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_54 &
                        )**2d0 + 6d0*cima*coupl(nGC_27)*coupl(nGC_463) + 18d0* &
                        cima*coupl(nGC_33)**2d0*coupl(nGC_55)**2d0 - 30d0*cima*&
                        coupl(nGC_33)**2d0*coupl(nGC_55)*coupl(nGC_56) + 18d0* &
                        cima*coupl(nGC_33)**2d0*coupl(nGC_56)**2d0 - 16d0*cima*&
                        coupl(nGC_37)**2d0*coupl(nGC_435)**2d0 - 16d0*cima*    &
                        coupl(nGC_37)**2d0*coupl(nGC_517)**2d0 + 9d0*coupl(    &
                        nGC_27)*coupl(nGC_37)**2d0 + 9d0*coupl(nGC_27)*coupl(  &
                        nGC_517)**2d0 + 6d0*coupl(nGC_29)*coupl(nGC_37)*coupl( &
                        nGC_517) + 6d0*coupl(nGC_37)*coupl(nGC_423)*coupl(     &
                        nGC_435) + 9d0*coupl(nGC_435)**2d0*coupl(nGC_463) + 9d0&
                        *coupl(nGC_463)*coupl(nGC_517)**2d0)/(48d0*pi**2d0)
      coupl(nGC_5028) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)* &
                        coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_1275)*coupl(  &
                        nGC_50)*coupl(nGC_91) - coupl(nGC_33)*coupl(nGC_47)*   &
                        coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_94) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_91) -  &
                        coupl(nGC_91)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0* &
                        coupl(nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
      coupl(nGC_7077) = coupl(nGC_7074) - 2d0*coupl(nGC_7075)
      coupl(nGC_4838) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                        coupl(nGC_33)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_33 &
                        )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_33)**2d0 + 2d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_33)**2d0 + 2d0*cME**2d0*cima&
                        *coupl(nGC_33)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_33)**&
                        2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_33)**2d0 + 3d0*cMW**&
                        2d0*cima*coupl(nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(  &
                        nGC_37)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_435)**2d0 + &
                        3d0*cMW**2d0*cima*coupl(nGC_517)**2d0 - 4d0*cMW**2d0*  &
                        coupl(nGC_27) + 3d0*cMZ**2d0*cima*coupl(nGC_37)**2d0 + &
                        3d0*cMZ**2d0*cima*coupl(nGC_517)**2d0 - 2d0*cMZ**2d0*  &
                        coupl(nGC_463))/(32d0*pi**2d0)
      coupl(nGC_5121) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_50) + 6d0*Nc* &
                        cima*coupl(nGC_1)**3d0*coupl(nGC_53) + 6d0*Nc*cima*    &
                        coupl(nGC_2)**3d0*coupl(nGC_51) + 6d0*Nc*cima*coupl(   &
                        nGC_2)**3d0*coupl(nGC_54) + 6d0*cima*coupl(nGC_1107)*  &
                        coupl(nGC_41) - 20d0*cima*coupl(nGC_3)**3d0*coupl(     &
                        nGC_37) + 6d0*cima*coupl(nGC_4)**3d0*coupl(nGC_52) +   &
                        6d0*cima*coupl(nGC_4)**3d0*coupl(nGC_55) - 20d0*cima*  &
                        coupl(nGC_435)**3d0*coupl(nGC_517) + 9d0*coupl(nGC_1107&
                        )*coupl(nGC_3)*coupl(nGC_37) + 9d0*coupl(nGC_1107)*    &
                        coupl(nGC_435)*coupl(nGC_517) + 9d0*coupl(nGC_3)**2d0* &
                        coupl(nGC_41) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_423) + &
                        3d0*coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_5) + 9d0*coupl&
                        (nGC_41)*coupl(nGC_435)**2d0 + 3d0*coupl(nGC_423)*coupl&
                        (nGC_435)**2d0 + 3d0*coupl(nGC_435)*coupl(nGC_5)*coupl(&
                        nGC_517))/(48d0*pi**2d0)
      coupl(nGC_7392) = coupl(nGC_7270) + coupl(nGC_7389)
      coupl(nGC_7391) = coupl(nGC_7270) + coupl(nGC_7390)
      coupl(nGC_4890) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_84) - 8d0*Nc* &
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_89) - 8d0*Nc*cMD*coupl(&
                        nGC_1)**2d0*coupl(nGC_94) - 8d0*Nc*cMS*coupl(nGC_1)**  &
                        2d0*coupl(nGC_109) - 8d0*Nc*cMT*coupl(nGC_114)*coupl(  &
                        nGC_2)**2d0 - 8d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)** &
                        2d0 - 8d0*cME*coupl(nGC_4)**2d0*coupl(nGC_99) - 8d0*cMM&
                        *coupl(nGC_104)*coupl(nGC_4)**2d0 - 8d0*cMTA*coupl(    &
                        nGC_119)*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_1107)* &
                        coupl(nGC_70) - coupl(nGC_1183)*coupl(nGC_3)*coupl(    &
                        nGC_71) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_70) - coupl( &
                        nGC_3)*coupl(nGC_46)*coupl(nGC_71) + 6d0*coupl(nGC_435 &
                        )**2d0*coupl(nGC_70) - coupl(nGC_435)*coupl(nGC_47)*   &
                        coupl(nGC_71) - coupl(nGC_435)*coupl(nGC_71)*coupl(    &
                        nGC_923))/(32d0*pi**2d0)
      coupl(nGC_8033) = coupl(nGC_107)*dZsL_QCD2/2d0 + coupl(nGC_107)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5297)
      coupl(nGC_7252) = coupl(nGC_5262) + coupl(nGC_68)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_68)*dZZ_QED2/2d0 + coupl(nGC_71)*dZAZ_QED2/  &
                        2d0 + coupl(nGC_TS_GC_17_Hl) + coupl(nGC_TS_GC_9_Hh)
      coupl(nGC_4893) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_84   &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_84 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_89 &
                        ) - 4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_89 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_94 &
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_94 &
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_50&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_53&
                        ) - 4d0*Nc*cMT*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_51&
                        ) - 4d0*Nc*cMT*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_54&
                        ) - 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_51&
                        ) - 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_54&
                        ) - 4d0*cME*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_99) - &
                        4d0*cME*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_99) - 4d0*&
                        cMM*coupl(nGC_104)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM&
                        *coupl(nGC_104)*coupl(nGC_4)*coupl(nGC_55) - 4d0*cMTA* &
                        coupl(nGC_119)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMTA*  &
                        coupl(nGC_119)*coupl(nGC_4)*coupl(nGC_55) + 4d0*cima*  &
                        coupl(nGC_41)*coupl(nGC_70) - coupl(nGC_1183)*coupl(   &
                        nGC_3)*coupl(nGC_68) + 6d0*coupl(nGC_3)*coupl(nGC_37)* &
                        coupl(nGC_70) - coupl(nGC_37)*coupl(nGC_46)*coupl(     &
                        nGC_71) + 6d0*coupl(nGC_435)*coupl(nGC_517)*coupl(     &
                        nGC_70) - coupl(nGC_435)*coupl(nGC_68)*coupl(nGC_923   &
                        ) - coupl(nGC_47)*coupl(nGC_517)*coupl(nGC_71))/(32d0* &
                        pi**2d0)
      coupl(nGC_8035) = coupl(nGC_107)*dZsL_QED2/2d0 + coupl(nGC_107)*dZsR_QED2&
                        /2d0 + coupl(nGC_5298)
      coupl(nGC_8034) = coupl(nGC_106)*dZsL_QCD2/2d0 + coupl(nGC_106)*dZsR_QCD2&
                        /2d0 + coupl(nGC_5299)
      coupl(nGC_14250) = -coupl(nGC_4887)
      coupl(nGC_8264) = coupl(nGC_8255) + coupl(nGC_8263)
      coupl(nGC_7731) = coupl(nGC_7419) + coupl(nGC_7729)
      coupl(nGC_7657) = -coupl(nGC_7656)
      coupl(nGC_7421) = coupl(nGC_7414) + coupl(nGC_7419)
      coupl(nGC_7420) = coupl(nGC_7416) + coupl(nGC_7419)
      coupl(nGC_7205) = -2d0*coupl(nGC_7203) + coupl(nGC_7204)
      coupl(nGC_9827) = coupl(nGC_9822) + coupl(nGC_9826)
      coupl(nGC_7614) = -coupl(nGC_7613)
      coupl(nGC_8324) = coupl(nGC_7419) + coupl(nGC_8322)
      coupl(nGC_8323) = coupl(nGC_7419) + coupl(nGC_8320)
      coupl(nGC_7811) = coupl(nGC_7485) + coupl(nGC_7809)
      coupl(nGC_13730) = -coupl(nGC_5047)
      coupl(nGC_13966) = -coupl(nGC_4920)
      coupl(nGC_13980) = -coupl(nGC_4921)
      coupl(nGC_7487) = coupl(nGC_7483) + coupl(nGC_7485)
      coupl(nGC_13774) = -coupl(nGC_4940)
      coupl(nGC_13655) = -coupl(nGC_4941)
      coupl(nGC_10666) = coupl(nGC_10660) + coupl(nGC_10665)
      coupl(nGC_7536) = coupl(nGC_7419) + coupl(nGC_7530)
      coupl(nGC_7535) = coupl(nGC_7419) + coupl(nGC_7532)
      coupl(nGC_7514) = coupl(nGC_7419) + coupl(nGC_7508)
      coupl(nGC_7513) = coupl(nGC_7419) + coupl(nGC_7512)
      coupl(nGC_8011) = coupl(nGC_7485) + coupl(nGC_8009)
      coupl(nGC_8010) = coupl(nGC_7485) + coupl(nGC_8008)
      coupl(nGC_14673) = -coupl(nGC_4923)
      coupl(nGC_7197) = -coupl(nGC_7196)
      coupl(nGC_7486) = coupl(nGC_7484) + coupl(nGC_7485)
      coupl(nGC_8076) = coupl(nGC_7419) + coupl(nGC_8070)
      coupl(nGC_8075) = coupl(nGC_7419) + coupl(nGC_8074)
      coupl(nGC_13802) = -coupl(nGC_4888)
      coupl(nGC_7730) = coupl(nGC_7419) + coupl(nGC_7727)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
