!******************************************************************************!
!                                                                              !
!    ctparameter124.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter124.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter124
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter124()
  if (dZdL_QED2_scheme .eq. 1) then
    dZdL_QED2 = (2d0*Ten268*coupl(nGC_1)**2d0 + 2d0*Ten269*coupl(nGC_53)**2d0  &
                 + 2d0*Ten270*coupl(nGC_33)**2d0 + 2d0*Ten273*coupl(nGC_1)**2d0&
                 + 2d0*Ten274*coupl(nGC_53)**2d0 + 2d0*Ten275*coupl(nGC_33)**  &
                2d0 - 4d0*Ten280*cMD_reg**2d0*coupl(nGC_1)**2d0 + 4d0*Ten285*  &
                cMD_reg**2d0*coupl(nGC_1)**2d0 + pi**2d0*(-coupl(nGC_1)**2d0/pi&
                **2d0 - coupl(nGC_33)**2d0/pi**2d0 - coupl(nGC_53)**2d0/pi**2d0&
                ))/(16d0*pi**2d0)
    dZdL_QED2 = cone*real(dZdL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter124
end module ctparameter124
