!******************************************************************************!
!                                                                              !
!    ctparameter126.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter126.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-11 09:05             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter126
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter126()
  dZAZ_QED2 = (4d0*Nc*Ten214*cMU**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_51) -  &
              cMZ**2d0*coupl(nGC_54) + coupl(nGC_51)*rMZ**2d0 + coupl(nGC_54)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten215*cMC**2d0*coupl(    &
              nGC_2)*(-cMZ**2d0*coupl(nGC_51) - cMZ**2d0*coupl(nGC_54) + coupl(&
              nGC_51)*rMZ**2d0 + coupl(nGC_54)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              4d0*Nc*Ten216*cMT**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_51) -   &
              cMZ**2d0*coupl(nGC_54) + coupl(nGC_51)*rMZ**2d0 + coupl(nGC_54)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten217*cMD**2d0*coupl(    &
              nGC_1)*(-cMZ**2d0*coupl(nGC_50) - cMZ**2d0*coupl(nGC_53) + coupl(&
              nGC_50)*rMZ**2d0 + coupl(nGC_53)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              4d0*Nc*Ten218*cMS**2d0*coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_50) -   &
              cMZ**2d0*coupl(nGC_53) + coupl(nGC_50)*rMZ**2d0 + coupl(nGC_53)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten219*cMB**2d0*coupl(    &
              nGC_1)*(-cMZ**2d0*coupl(nGC_50) - cMZ**2d0*coupl(nGC_53) + coupl(&
              nGC_50)*rMZ**2d0 + coupl(nGC_53)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + &
              8d0*Nc*Ten220*coupl(nGC_2)*(cMZ**2d0*coupl(nGC_51) + cMZ**2d0*   &
              coupl(nGC_54) - coupl(nGC_51)*rMZ**2d0 - coupl(nGC_54)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten221*coupl(nGC_2)*(cMZ**2d0*    &
              coupl(nGC_51) + cMZ**2d0*coupl(nGC_54) - coupl(nGC_51)*rMZ**2d0  &
               - coupl(nGC_54)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten222*  &
              coupl(nGC_2)*(cMZ**2d0*coupl(nGC_51) + cMZ**2d0*coupl(nGC_54) -  &
              coupl(nGC_51)*rMZ**2d0 - coupl(nGC_54)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 8d0*Nc*Ten223*coupl(nGC_1)*(cMZ**2d0*coupl(nGC_50) + cMZ**&
              2d0*coupl(nGC_53) - coupl(nGC_50)*rMZ**2d0 - coupl(nGC_53)*rMZ** &
              2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten224*coupl(nGC_1)*(cMZ**2d0* &
              coupl(nGC_50) + cMZ**2d0*coupl(nGC_53) - coupl(nGC_50)*rMZ**2d0  &
               - coupl(nGC_53)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten225*  &
              coupl(nGC_1)*(cMZ**2d0*coupl(nGC_50) + cMZ**2d0*coupl(nGC_53) -  &
              coupl(nGC_50)*rMZ**2d0 - coupl(nGC_53)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 4d0*Nc*Ten549*cMU**2d0*coupl(nGC_2)*(coupl(nGC_51) + coupl&
              (nGC_54))/rMZ**2d0 + 4d0*Nc*Ten550*cMC**2d0*coupl(nGC_2)*(coupl( &
              nGC_51) + coupl(nGC_54))/rMZ**2d0 + 4d0*Nc*Ten551*cMT**2d0*coupl(&
              nGC_2)*(coupl(nGC_51) + coupl(nGC_54))/rMZ**2d0 + 4d0*Nc*Ten552* &
              cMD**2d0*coupl(nGC_1)*(coupl(nGC_50) + coupl(nGC_53))/rMZ**2d0 + &
              4d0*Nc*Ten553*cMS**2d0*coupl(nGC_1)*(coupl(nGC_50) + coupl(nGC_53&
              ))/rMZ**2d0 + 4d0*Nc*Ten554*cMB**2d0*coupl(nGC_1)*(coupl(nGC_50  &
              ) + coupl(nGC_53))/rMZ**2d0 + 4d0*Nc*Ten567*coupl(nGC_2)*(-coupl(&
              nGC_51) - coupl(nGC_54)) + 4d0*Nc*Ten568*coupl(nGC_2)*(-coupl(   &
              nGC_51) - coupl(nGC_54)) + 4d0*Nc*Ten569*coupl(nGC_2)*(-coupl(   &
              nGC_51) - coupl(nGC_54)) + 8d0*Nc*Ten570*coupl(nGC_2)*(-coupl(   &
              nGC_51) - coupl(nGC_54))/rMZ**2d0 + 8d0*Nc*Ten571*coupl(nGC_2)*(-&
              coupl(nGC_51) - coupl(nGC_54))/rMZ**2d0 + 8d0*Nc*Ten572*coupl(   &
              nGC_2)*(-coupl(nGC_51) - coupl(nGC_54))/rMZ**2d0 + 4d0*Nc*Ten573*&
              coupl(nGC_2)*(-coupl(nGC_51) - coupl(nGC_54)) + 4d0*Nc*Ten574*   &
              coupl(nGC_2)*(-coupl(nGC_51) - coupl(nGC_54)) + 4d0*Nc*Ten575*   &
              coupl(nGC_2)*(-coupl(nGC_51) - coupl(nGC_54)) + 4d0*Nc*Ten576*   &
              coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53)) + 4d0*Nc*Ten577*   &
              coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53)) + 4d0*Nc*Ten578*   &
              coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53)) + 8d0*Nc*Ten579*   &
              coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53))/rMZ**2d0 + 8d0*Nc* &
              Ten580*coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53))/rMZ**2d0 +  &
              8d0*Nc*Ten581*coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53))/rMZ**&
              2d0 + 4d0*Nc*Ten582*coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53  &
              )) + 4d0*Nc*Ten583*coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53   &
              )) + 4d0*Nc*Ten584*coupl(nGC_1)*(-coupl(nGC_50) - coupl(nGC_53   &
              )) + 2d0*cima*Ten3*(-3d0*coupl(nGC_41) + coupl(nGC_58))/cMZ**2d0 &
               + 4d0*Ten516*coupl(nGC_68)*coupl(nGC_71)*(-cMZ**2d0 + rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 2d0*Ten519*(17d0*cMZ**2d0*coupl(nGC_3)*  &
              coupl(nGC_37) - cMZ**2d0*coupl(nGC_36)*coupl(nGC_4) + 4d0*cMZ**  &
              2d0*coupl(nGC_4)*coupl(nGC_55) - 17d0*coupl(nGC_3)*coupl(nGC_37)*&
              rMZ**2d0 + coupl(nGC_36)*coupl(nGC_4)*rMZ**2d0 - 4d0*coupl(nGC_4 &
              )*coupl(nGC_55)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten526*cME** &
              2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_52) - cMZ**2d0*coupl(nGC_55&
              ) + coupl(nGC_52)*rMZ**2d0 + coupl(nGC_55)*rMZ**2d0)/(cMZ**2d0*  &
              rMZ**2d0) + 4d0*Ten527*cMM**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(   &
              nGC_52) - cMZ**2d0*coupl(nGC_55) + coupl(nGC_52)*rMZ**2d0 + coupl&
              (nGC_55)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten528*cMTA**2d0*   &
              coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_52) - cMZ**2d0*coupl(nGC_55) + &
              coupl(nGC_52)*rMZ**2d0 + coupl(nGC_55)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 8d0*Ten529*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_52) + cMZ**2d0&
              *coupl(nGC_55) - coupl(nGC_52)*rMZ**2d0 - coupl(nGC_55)*rMZ**2d0 &
              )/(cMZ**2d0*rMZ**2d0) + 8d0*Ten530*coupl(nGC_4)*(cMZ**2d0*coupl( &
              nGC_52) + cMZ**2d0*coupl(nGC_55) - coupl(nGC_52)*rMZ**2d0 - coupl&
              (nGC_55)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Ten531*coupl(nGC_4  &
              )*(cMZ**2d0*coupl(nGC_52) + cMZ**2d0*coupl(nGC_55) - coupl(nGC_52&
              )*rMZ**2d0 - coupl(nGC_55)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 2d0*  &
              Ten545*(-5d0*coupl(nGC_3)*coupl(nGC_37)*rMZ**2d0 + 2d0*coupl(    &
              nGC_68)*coupl(nGC_71))/rMZ**2d0 + 4d0*Ten546*cME**2d0*coupl(nGC_4&
              )*(coupl(nGC_52) + coupl(nGC_55))/rMZ**2d0 + 4d0*Ten547*cMM**2d0*&
              coupl(nGC_4)*(coupl(nGC_52) + coupl(nGC_55))/rMZ**2d0 + 4d0*     &
              Ten548*cMTA**2d0*coupl(nGC_4)*(coupl(nGC_52) + coupl(nGC_55))/rMZ&
              **2d0 - 4d0*Ten555*coupl(nGC_3)*coupl(nGC_37) + 2d0*Ten556*(-17d0&
              *coupl(nGC_3)*coupl(nGC_37) + coupl(nGC_36)*coupl(nGC_4) - 4d0*  &
              coupl(nGC_4)*coupl(nGC_55))/rMZ**2d0 - 4d0*Ten557*coupl(nGC_3)*  &
              coupl(nGC_37) + 4d0*Ten558*coupl(nGC_4)*(-coupl(nGC_52) - coupl( &
              nGC_55)) + 4d0*Ten559*coupl(nGC_4)*(-coupl(nGC_52) - coupl(nGC_55&
              )) + 4d0*Ten560*coupl(nGC_4)*(-coupl(nGC_52) - coupl(nGC_55)) +  &
              8d0*Ten561*coupl(nGC_4)*(-coupl(nGC_52) - coupl(nGC_55))/rMZ**2d0&
               + 8d0*Ten562*coupl(nGC_4)*(-coupl(nGC_52) - coupl(nGC_55))/rMZ**&
              2d0 + 8d0*Ten563*coupl(nGC_4)*(-coupl(nGC_52) - coupl(nGC_55))/  &
              rMZ**2d0 + 4d0*Ten564*coupl(nGC_4)*(-coupl(nGC_52) - coupl(nGC_55&
              )) + 4d0*Ten565*coupl(nGC_4)*(-coupl(nGC_52) - coupl(nGC_55)) +  &
              4d0*Ten566*coupl(nGC_4)*(-coupl(nGC_52) - coupl(nGC_55)) + pi**  &
              2d0*(4d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_50)/(pi**2d0*cMZ**2d0&
              ) + 4d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_53)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_51)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_54)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_50)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_53)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_50)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_53)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_51)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_54)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_51)/(pi**2d0*cMZ**2d0 &
              ) + 4d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_54)/(pi**2d0*cMZ**2d0 &
              ) - 2d0*Nc*coupl(nGC_1)*coupl(nGC_50)/pi**2d0 - 2d0*Nc*coupl(    &
              nGC_1)*coupl(nGC_53)/pi**2d0 - 2d0*Nc*coupl(nGC_2)*coupl(nGC_51)/&
              pi**2d0 - 2d0*Nc*coupl(nGC_2)*coupl(nGC_54)/pi**2d0 + 4d0*cME**  &
              2d0*coupl(nGC_4)*coupl(nGC_52)/(pi**2d0*cMZ**2d0) + 4d0*cME**2d0*&
              coupl(nGC_4)*coupl(nGC_55)/(pi**2d0*cMZ**2d0) + 4d0*cMM**2d0*    &
              coupl(nGC_4)*coupl(nGC_52)/(pi**2d0*cMZ**2d0) + 4d0*cMM**2d0*    &
              coupl(nGC_4)*coupl(nGC_55)/(pi**2d0*cMZ**2d0) + 4d0*cMTA**2d0*   &
              coupl(nGC_4)*coupl(nGC_52)/(pi**2d0*cMZ**2d0) + 4d0*cMTA**2d0*   &
              coupl(nGC_4)*coupl(nGC_55)/(pi**2d0*cMZ**2d0) + 12d0*cMW**2d0*   &
              coupl(nGC_3)*coupl(nGC_37)/(pi**2d0*cMZ**2d0) + 4d0*cima*cMW**2d0&
              *coupl(nGC_41)/(pi**2d0*cMZ**2d0) - 2d0*coupl(nGC_3)*coupl(nGC_37&
              )/pi**2d0 - 2d0*coupl(nGC_4)*coupl(nGC_52)/pi**2d0 - 2d0*coupl(  &
              nGC_4)*coupl(nGC_55)/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZAZ_QED2 = cone*real(dZAZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter126
end module ctparameter126
